2011-02-16  Aparna Nandyal  <aparna.nand@wipro.com>

        Reviewed by Andreas Kling.

        [Qt] QWebFrame: When a relative url is loaded then it will make it absolute internally, however this strips out any query/fragments
        https://bugs.webkit.org/show_bug.cgi?id=29424

        ensureAbsoluteUrl function was stripping the query and the
        fragment part of the url. Corrected this.

        * Api/qwebframe.cpp:
        (ensureAbsoluteUrl):

2011-02-15  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed.

        [Qt][V8] Buildfix. Add missing USE(JSC) guard.

        * Api/qwebelement.cpp:

2011-02-15  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Allow controlling minimum DOMTimer interval on a per-page basis
        https://bugs.webkit.org/show_bug.cgi?id=54312

        Added needed methods to implement LayoutTestController's new
        setMinimumTimerInterval method.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::defaultMinimumTimerInterval):
        (DumpRenderTreeSupportQt::setMinimumTimerInterval):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2011-01-26  MORITA Hajime  <morrita@google.com>

        Reviewed by Ryosuke Niwa.

        Refactoring: Extract TextCheckerClient from EditorClient
        https://bugs.webkit.org/show_bug.cgi?id=53213

        * WebCoreSupport/EditorClientQt.h:
        (WebCore::EditorClientQt::textChecker):

2011-02-07  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Adam Barth.

        Add EditorClient callbacks to override isDOMPasteAllowed and javaScriptCanAccessClipboard
        https://bugs.webkit.org/show_bug.cgi?id=52417

        Added two callback functions, canCopyCut and canPaste to EditorClient. They are currently
        not implemented.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::canCopyCut): Added.
        (WebCore::EditorClientQt::canPaste): Added.
        * WebCoreSupport/EditorClientQt.h:

2011-02-14  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Crash on application exit after constructing and destroying a QWebView twice
        https://bugs.webkit.org/show_bug.cgi?id=54000

        Test case to cover the crash.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::deleteQWebViewTwice):

2011-02-11  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] wmode gets overridden even if already windowless in QGraphicsWebView
        Do not override wmode if it is not set to "window".
        https://bugs.webkit.org/show_bug.cgi?id=50495

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2011-02-10  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Update calls to DocumentWriter.
        https://bugs.webkit.org/show_bug.cgi?id=50489

        * Api/qwebframe.cpp:
        (QWebFrame::setUrl):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::finishedLoading):

2011-02-10  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Ensure WebView press delay timer is cancelled when grab is taken
        https://bugs.webkit.org/show_bug.cgi?id=54242

        As reported in:
        http://bugreports.qt.nokia.com/browse/QTBUG-15529

        Flickable steals the grab, but the timer was not stopped and the
        keepGrab flag is set and the mouse grabbed. This means that the WebView
        now has the grab and subsequent clicks on another element are ignored.

        Original patch from Martin Jones <martin.jones@nokia.com>
        reviewed (there) by Joona Petrell
        52068f57f9c32098a90cc217730a530f85590f65

        * declarative/qdeclarativewebview.cpp:
        (GraphicsWebView::sceneEvent):
        * declarative/qdeclarativewebview_p.h:

2011-02-10  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Fix assert in QDeclarativeWebView
        https://bugs.webkit.org/show_bug.cgi?id=54240

        As reported in:
        http://bugreports.qt.nokia.com/browse/QTBUG-14278

        Instantiating a QDeclarativeWebView twice will trigger an assertion
        when in debug mode.

        Original patch from Thomas Hartmann <Thomas.Hartmann@nokia.com>,
        reviewed (there) by Aaron Kennedy
        f532679ca11914b453e22342f2ae5e9f790ce47a

        * declarative/qdeclarativewebview.cpp:
        (QDeclarativeWebView::init):

2011-02-10  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Misc documentation fixes/updates
        https://bugs.webkit.org/show_bug.cgi?id=54236

        There are a few commits in the Qt repository (master and 4.7 branches)
        with QtWebKit documentation fixes:

        84d278501a19eaccf9a77cccd95ca5d17a2dcd2b
        Clarified documentation of loadFinished() signal

        eebe205b306daaa3674d9746de11a73bef4bd0de
        Doc: Fixed QML, unindented snippet

        b0d64717d2c541976dc5524e4100c62f060e206f
        doc: Changed a table into 3 tables to eliminate a \raw.

        As these are all minor doc changes, I decided to group them
        into one single patch.

        * Api/qwebpage.cpp:
        * declarative/qdeclarativewebview.cpp:
        * docs/qtwebkit.qdoc:

2011-02-10  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Remove the use of deprecated qVariant*
        https://bugs.webkit.org/show_bug.cgi?id=54229

        This was applied on the Qt repository and affects QtWebKit there.
        (633f3f45e5420663cf4ceadea79e62fea44cd2eb)

        The side effect of this change is that we won't be able to build
        QtWebKit with MSVC 6, as it doesn't support member template functions
        (not sure if it's possible today anyway).

        Original patch from Olivier Goffart <olivier.goffart@nokia.com>, with
        review reported as being from the mailing list.

        The changes are result of the following commands:

            git grep -O"sed -i 's/qVariantValue</qvariant_cast</'" qVariantValue
            git grep -O"sed -i 's/qVariantSetValue(\([^&*\(),]*\), */\\1.setValue(/'" qVariantSetValue
            git grep -O"sed -i 's/qVariantSetValue *<\([^>]*\)> *(\([^&*\(),]*\), */\\2.setValue<\\1>(/'" qVariantSetValue
            git grep -O"sed -i 's/qVariantCanConvert *<\([^>]*\)> *(\([^&*\(),]*\))/\\2.canConvert<\\1>()/g'" qVariantCanConvert
            git grep -O"sed -i 's/qVariantCanConvert *<\([^>]*\)> *(\([^&*\(),]*([^&*\(),]*)\))/\\2.canConvert<\\1>()/g'" qVariantCanConvert
            git grep -O"sed -i 's/qVariantFromValue\( *[(<]\)/QVariant::fromValue\\1/'" qVariantFromValue


        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::nodesFromRect):
        * tests/qwebframe/tst_qwebframe.cpp:
        (MyQObject::myInvokableWithQObjectListArg):
        (MyQObject::myInvokableWithListOfIntArg):
        (MyQObject::myInvokableWithQObjectStarArg):
        (MyQObject::myInvokableWithQBrushArg):
        (MyQObject::myInvokableWithBrushStyleArg):
        (MyQObject::myInvokableWithVoidStarArg):
        (MyQObject::myInvokableWithAmbiguousArg):
        (MyQObject::myInvokableWithDefaultArgs):
        (MyQObject::myInvokableWithPointArg):
        (MyQObject::myOverloadedSlot):

2011-02-10  Robert Hogan  <robert@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] Return menu items from eventSender.contextMenu()
        https://bugs.webkit.org/show_bug.cgi?id=53039

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (iterateContextMenu):
        (DumpRenderTreeSupportQt::contextMenu):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2011-02-10  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] In trunk with Qt Multimedia the full screen mode doesn't work.
        https://bugs.webkit.org/show_bug.cgi?id=54201

        Add a default fullscreen handler when there is no plaftform plugin
        installed. This handler creates a fullscreen QVideoWidget and plays
        the video. Space pause/resume the video playback and esc quit the
        fullscreen mode.

        * WebCoreSupport/FullScreenVideoQt.cpp:
        (WebCore::DefaultFullScreenVideoHandler::DefaultFullScreenVideoHandler):
        (WebCore::DefaultFullScreenVideoHandler::~DefaultFullScreenVideoHandler):
        (WebCore::DefaultFullScreenVideoHandler::requiresFullScreenForVideoPlayback):
        (WebCore::DefaultFullScreenVideoHandler::enterFullScreen):
        (WebCore::DefaultFullScreenVideoHandler::exitFullScreen):
        (WebCore::FullScreenVideoQt::FullScreenVideoQt):
        * WebCoreSupport/FullScreenVideoQt.h:
        * WebCoreSupport/FullScreenVideoWidget.cpp: Added.
        (WebCore::FullScreenVideoWidget::FullScreenVideoWidget):
        (WebCore::FullScreenVideoWidget::~FullScreenVideoWidget):
        (WebCore::FullScreenVideoWidget::show):
        (WebCore::FullScreenVideoWidget::closeEvent):
        (WebCore::FullScreenVideoWidget::event):
        (WebCore::FullScreenVideoWidget::keyPressEvent):
        (WebCore::FullScreenVideoWidget::hideCursor):
        (WebCore::FullScreenVideoWidget::showCursor):
        * WebCoreSupport/FullScreenVideoWidget.h: Added.

2011-02-10  kasthuri  <kasthuri.n-s@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] QWebFrame::setHtml doesn't emit loadFinished signal
        https://bugs.webkit.org/show_bug.cgi?id=38634

        QWebView->page()->mainFrame()->setHtml(html) is always emitting
        the loadFinished() signal for all types of html files.
        But the proposed test content was trying to catch the signal after
        calling setHtml() api and becuase of this the emitted signal for a 
        simple html page is never caught as its emitted before even the connect
        call was successful.

        updated the tst_QWebFrame::setHtml() in tst_qwebframe.cpp to check for 
        signal using the QSignalSpy.
         

        * tests/qwebframe/tst_qwebframe.cpp:

2011-02-09  Robert Hogan  <robert@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt] REGRESSION (r73535): tst_QWebPage fails
        https://bugs.webkit.org/show_bug.cgi?id=51331

        Since r73535 a ContextMenu is only created when a context menu
        event is received, so QWebPage::updatePositionDependentActions()
        can't depend on one being there if it is called directly by
        the client. QtWebKit itself only ever calls updatePositionDependentActions()
        when a context menu event has been received.

        Update tst_QWebPage:contextMenuCrash to create a context menu.
        Add tst_QWebPage:updatePositionDependentActionsCrash to test for this crash.

        There doesn't seem to be a good reason for creating a context menu if
        clients call QWebPage::updatePositionDependentActions() when no
        context menu event has ever been received.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::createContextMenu):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::contextMenuCrash):

2011-02-09  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] fast/dom/nodesFromRect-links-and-text.html crashes in debug mode
        https://bugs.webkit.org/show_bug.cgi?id=53921

        QDRTNode needs a copy constructor and an operator= in order to keep
        proper refcounts.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (:m_node):
        (QDRTNode::operator=):
        (DumpRenderTreeSupportQt::nodesFromRect):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2011-02-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove orphan code from old parser
        https://bugs.webkit.org/show_bug.cgi?id=53984

        * WebCoreSupport/ChromeClientQt.h:

2011-02-07  Aparna Nandyal  <aparna.nand@wipro.com>

        Reviewed by Andreas Kling.

        [Qt] - Context menu needs "Copy" as well when the selected text is a link.
        https://bugs.webkit.org/show_bug.cgi?id=40983

        Added a test case to create a context sensitive menu.
        A check is made if it has Copy menu item when user
        selects a link and opens context menu.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::contextMenuCopy):

2011-02-07  Benjamin Poulain  <ikipou@gmail.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] cookiesEnabled could create the cookieJar on the wrong thread.
        https://bugs.webkit.org/show_bug.cgi?id=52289

        Test if the cookie jar is created in the right thread when accessed from
        the navigator object.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::navigatorCookieEnabledForNetworkAccessManagerOnDifferentThread):

2011-02-07  Qi Zhang  <qi.2.zhang@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] enum QWebPage::WebAction doesn't have value QWebPage::CopyImageUrl
        https://bugs.webkit.org/show_bug.cgi?id=52974

        Add QWebPage::CopyImageUrlToClipboard into QWebPage::WebAction.

        * Api/qwebpage.cpp:
        (webActionForContextMenuAction):
        (QWebPage::triggerAction):
        (QWebPage::action):
        * Api/qwebpage.h:
        * WebCoreSupport/WebPlatformStrategies.cpp:
        (WebPlatformStrategies::contextMenuItemTagCopyImageUrlToClipboard):
        * WebCoreSupport/WebPlatformStrategies.h:

2011-02-07  Enrica Casucci  <enrica@apple.com>

        Reviewed Adam Roben and Darin Adler.

        WebKit2: drag and drop support on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=52775

        Removed createDragImageForLink from DragClient.

        * WebCoreSupport/DragClientQt.cpp:
        * WebCoreSupport/DragClientQt.h:

2011-02-06  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Remove unnecessary QRect assignment
        https://bugs.webkit.org/show_bug.cgi?id=53873

        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderRelativeCoords):

2011-02-06  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Clear page's groupName even when not in DRT
        https://bugs.webkit.org/show_bug.cgi?id=53874

        Matches behaviour of other ports.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::closeWindowSoon):

2011-02-03  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: remove settings related methods from InspectorClient
        https://bugs.webkit.org/show_bug.cgi?id=53686

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::InspectorFrontendClientQt):
        * WebCoreSupport/InspectorClientQt.h:

2011-02-03  Adam Langley  <agl@chromium.org>

        Reviewed by Adam Barth.

        Plumb mixed script URL to FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=52384

        Regressions covered by http/tests/security/mixedContent/*

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::didRunInsecureContent):
        * WebCoreSupport/FrameLoaderClientQt.h:

2011-02-01  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed Qt buildfix after r77286.

        https://bugs.webkit.org/show_bug.cgi?id=53520 
        Remove the physical terminology from IntRect and FloatRect.

        * WebCoreSupport/PopupMenuQt.cpp:
        (WebCore::PopupMenuQt::show):

2011-01-31  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebElements example from QtWebKit Bridge documentation does not work at all
        https://bugs.webkit.org/show_bug.cgi?id=46748

        Problem was that we need to register QWebElement's variant-type to Qt's meta type system at some point.
        This wasn't caught by previous tests inside tst_QWebFrame because it only appears when there's also a QWebElement property.
        Added a regression test to tst_QWebFrame.

        * tests/qwebframe/tst_qwebframe.cpp:
        (MyWebElementSlotOnlyObject::doSomethingWithWebElement):
        (MyWebElementSlotOnlyObject::tagName):

2011-01-31  Srikumar Bonda  <srikumar.b@gmail.com>

        Reviewed by Andreas Kling.

        [Qt] ContextMenuClientQt.cpp has coding-style errors
        "RefCounted.h" header inclusion style changed to <wtf/RefCounted.h> 
        https://bugs.webkit.org/show_bug.cgi?id=40243

        * WebCoreSupport/ContextMenuClientQt.cpp:

2011-01-28  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        <select> can't display right-to-left (rtl) languages
        https://bugs.webkit.org/show_bug.cgi?id=19785

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::selectItemAlignmentFollowsMenuWritingDirection): Added.
        * WebCoreSupport/ChromeClientQt.h:

2011-01-27  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Use Document::url() instead of FrameLoader::url().
        https://bugs.webkit.org/show_bug.cgi?id=41165

        * Api/qwebframe.cpp:
        (QWebFrame::url):

2011-01-27  Robert Hogan  <robert@webkit.org>

        Rubber-stamped by Andreas Kling.

        [Qt] Style Fix: correct indentation in FrameLoadeClientQt:createPlugin

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2011-01-24  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Eric Seidel.

        Change ENABLE_3D_CANVAS to ENABLE_WEBGL
        https://bugs.webkit.org/show_bug.cgi?id=53041

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):

2011-01-24  Renata Hodovan  <reni@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] QWebFramePrivate::renderRelativeCoords() calls QPainter::save/restore more than necessary
        https://bugs.webkit.org/show_bug.cgi?id=49915

        In the first loop of renderRelativeCoords() the call of QPainter::save/restore is useless, because
        the context is saved/stored within the loop.
        In the second loop the calls are also avoidable by using inverse translation on context.

        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderRelativeCoords):

2011-01-24  Andras Becsi  <abecsi@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt] Move project files into Source
        https://bugs.webkit.org/show_bug.cgi?id=52891

        * declarative/declarative.pro:
        * docs/docs.pri:
        * tests/tests.pri:

2011-01-22  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: next step in splitting InspectorController.

        #include "InspectorController.h" was added.

        https://bugs.webkit.org/show_bug.cgi?id=52955

        * WebCoreSupport/InspectorServerQt.cpp:

2011-01-22  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Support layoutTestController.addURLToRedirect()
        https://bugs.webkit.org/show_bug.cgi?id=52956

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::addURLToRedirect):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchWillSendRequest):
        * WebCoreSupport/FrameLoaderClientQt.h:

2011-01-21  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Part 2 of "Cleanup Scrollbar/ScrollbarClient relationship"
        https://bugs.webkit.org/show_bug.cgi?id=52779

        Rename ScrollbarClient -> ScrollableArea.

        * Api/qwebframe.cpp:
        (QWebFrame::setScrollBarValue):

2011-01-20  Sam Weinig  <sam@webkit.org>

        Fix build.

        * Api/qwebframe.cpp:
        (QWebFrame::setScrollBarValue):

2011-01-20  Sam Weinig  <sam@webkit.org>

        Fix build.

        * Api/qwebframe.cpp:
        (QWebFrame::setScrollBarValue):

2011-01-20  Sam Weinig  <sam@webkit.org>

        Reviewed by Dave Hyatt.

        Cleanup Scrollbar/ScrollbarClient relationship
        https://bugs.webkit.org/show_bug.cgi?id=52779

        * Api/qwebframe.cpp:
        (QWebFrame::setScrollBarValue):

2011-01-19  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Sam Weinig.

        GraphicsLayers in subframes can get sync'd multiple times
        https://bugs.webkit.org/show_bug.cgi?id=52489

        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQWidget::syncLayers): syncCompositingStateRecursive()
        was renamed to syncCompositingStateIncludingSubframes().

2011-01-19  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Laszlo Gombos and Tor Arne Vestbø.

        [Qt] Remove unnecessary "../Source" from paths
        after moving source files into Source is finished.

        * Api/DerivedSources.pro:

2011-01-18  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] http/tests/incremental/slow-utf8-text.pl fails
        https://bugs.webkit.org/show_bug.cgi?id=44282

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::responseMimeType):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2011-01-17  Alexey Proskuryakov  <ap@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=52495

        * Api/qwebframe.cpp: (QWebFrame::print): Avoid breaking the build due to type mismatch.
        Longer term, this code should be changed to use an unsigned type for page count.

2011-01-17  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Extend the Platform Plugin to support full screen video handler
        https://bugs.webkit.org/show_bug.cgi?id=51249

        Add a new webkit platform plugin interface to support full screen video handler.

        * Api/qwebkitplatformplugin.h:
        (QWebFullScreenVideoHandler::QWebFullScreenVideoHandler):
        (QWebFullScreenVideoHandler::~QWebFullScreenVideoHandler):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::ChromeClientQt):
        (WebCore::ChromeClientQt::~ChromeClientQt):
        (WebCore::ChromeClientQt::fullScreenVideo):
        (WebCore::ChromeClientQt::supportsFullscreenForNode):
        (WebCore::ChromeClientQt::requiresFullscreenForVideoPlayback):
        (WebCore::ChromeClientQt::enterFullscreenForNode):
        (WebCore::ChromeClientQt::exitFullscreenForNode):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/FullScreenVideoQt.cpp: Added.
        (WebCore::FullScreenVideoQt::FullScreenVideoQt):
        (WebCore::FullScreenVideoQt::~FullScreenVideoQt):
        (WebCore::FullScreenVideoQt::enterFullScreenForNode):
        (WebCore::FullScreenVideoQt::exitFullScreenForNode):
        (WebCore::FullScreenVideoQt::aboutToClose):
        (WebCore::FullScreenVideoQt::mediaPlayer):
        (WebCore::FullScreenVideoQt::mediaPlayerForNode):
        (WebCore::FullScreenVideoQt::requiresFullScreenForVideoPlayback):
        * WebCoreSupport/FullScreenVideoQt.h: Added.
        (WebCore::FullScreenVideoQt::isValid):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createFullScreenVideoHandler):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebPlugin.cpp:
        (FullScreenVideoWidget::FullScreenVideoWidget):
        (FullScreenVideoWidget::event):
        (FullScreenVideoWidget::keyPressEvent):
        (FullScreenVideoHandler::FullScreenVideoHandler):
        (FullScreenVideoHandler::~FullScreenVideoHandler):
        (FullScreenVideoHandler::requiresFullScreenForVideoPlayback):
        (FullScreenVideoHandler::enterFullScreen):
        (FullScreenVideoHandler::exitFullScreen):
        (WebPlugin::supportsExtension):
        (WebPlugin::createExtension):
        * examples/platformplugin/WebPlugin.h:
        (FullScreenVideoWidget::~FullScreenVideoWidget):
        * examples/platformplugin/platformplugin.pro:
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebFullScreenVideoHandler::QWebFullScreenVideoHandler):
        (QWebFullScreenVideoHandler::~QWebFullScreenVideoHandler):

2011-01-16  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebKit into Source
        https://bugs.webkit.org/show_bug.cgi?id=52530

        * Api/DerivedSources.pro:
        * declarative/declarative.pro:
        * docs/docs.pri:
        * tests/tests.pri:

2011-01-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r75708.
        http://trac.webkit.org/changeset/75708
        https://bugs.webkit.org/show_bug.cgi?id=52521

        Breaks Qt build if mobility is not installed. (Requested by
        benjaminp on #webkit).

        * Api/qwebkitplatformplugin.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::ChromeClientQt):
        (WebCore::ChromeClientQt::~ChromeClientQt):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/FullScreenVideoQt.cpp: Removed.
        * WebCoreSupport/FullScreenVideoQt.h: Removed.
        * WebCoreSupport/QtPlatformPlugin.cpp:
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebPlugin.cpp:
        (WebPlugin::supportsExtension):
        (WebPlugin::createExtension):
        * examples/platformplugin/WebPlugin.h:
        * examples/platformplugin/platformplugin.pro:
        * examples/platformplugin/qwebkitplatformplugin.h:

2011-01-15  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] plugins/no-mime-with-valid-extension.html fails
        Check extension of resource against installed
        plugins when determining mime-type.

        https://bugs.webkit.org/show_bug.cgi?id=52288
        https://bugs.webkit.org/show_bug.cgi?id=50657

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::objectContentType):

2011-01-14  Sam Magnuson  <smagnuso@gmail.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Compile with QT_NO_GRAPHICSVIEW
        https://bugs.webkit.org/show_bug.cgi?id=49750

        * Api/qgraphicswebview.cpp:
        * Api/qgraphicswebview.h:
        * Api/qwebpage.cpp:
        (QWebPage::event):
        * Api/qwebpage_p.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):
        * WebCoreSupport/PageClientQt.cpp:
        * WebCoreSupport/PageClientQt.h:

2011-01-14  Yuzo Fujishima  <yuzo@google.com>

        Reviewed by Antti Koivisto.

        Rename cache() to memoryCache()
        https://bugs.webkit.org/show_bug.cgi?id=52433

        * Api/qwebpage.cpp:
        (QWebPagePrivate::_q_cleanupLeakMessages):
        * Api/qwebsettings.cpp:
        (QWebSettings::clearMemoryCaches):
        (QWebSettings::setObjectCacheCapacities):

2011-01-14  Konstantin Tokarev  <annulen@yandex.ru>

        Reviewed by Laszlo Gombos.

        [Qt] Fixed compilation when QT_NO_SHORTCUT is defined
        https://bugs.webkit.org/show_bug.cgi?id=52460

        This patch fixes compilation when QT_NO_SHORTCUT is defined in Qt
        configuration.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent): Added QT_NO_SHORTCUT guards

2011-01-13  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Need a way to inform the application when a Netscape plugin is created.
        https://bugs.webkit.org/show_bug.cgi?id=30179

        Added "c" style static method for the application to hook up for
        receiving notifications when a plugin is created.

        * symbian/bwins/QtWebKitu.def:
        * symbian/eabi/QtWebKitu.def:

2011-01-13  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Extend the Platform Plugin to support full screen video handler
        https://bugs.webkit.org/show_bug.cgi?id=51249

        Add a new webkit platform plugin interface to support full screen video handler.

        * Api/qwebkitplatformplugin.h:
        (QWebFullScreenVideoHandler::QWebFullScreenVideoHandler):
        (QWebFullScreenVideoHandler::~QWebFullScreenVideoHandler):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::ChromeClientQt):
        (WebCore::ChromeClientQt::~ChromeClientQt):
        (WebCore::ChromeClientQt::fullScreenVideo):
        (WebCore::ChromeClientQt::supportsFullscreenForNode):
        (WebCore::ChromeClientQt::requiresFullscreenForVideoPlayback):
        (WebCore::ChromeClientQt::enterFullscreenForNode):
        (WebCore::ChromeClientQt::exitFullscreenForNode):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/FullScreenVideoQt.cpp: Added.
        (WebCore::FullScreenVideoQt::FullScreenVideoQt):
        (WebCore::FullScreenVideoQt::~FullScreenVideoQt):
        (WebCore::FullScreenVideoQt::enterFullScreenForNode):
        (WebCore::FullScreenVideoQt::exitFullScreenForNode):
        (WebCore::FullScreenVideoQt::aboutToClose):
        (WebCore::FullScreenVideoQt::mediaPlayer):
        (WebCore::FullScreenVideoQt::mediaPlayerForNode):
        (WebCore::FullScreenVideoQt::requiresFullScreenForVideoPlayback):
        * WebCoreSupport/FullScreenVideoQt.h: Added.
        (WebCore::FullScreenVideoQt::isValid):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createFullScreenVideoHandler):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebPlugin.cpp:
        (FullScreenVideoWidget::FullScreenVideoWidget):
        (FullScreenVideoWidget::event):
        (FullScreenVideoWidget::keyPressEvent):
        (FullScreenVideoHandler::FullScreenVideoHandler):
        (FullScreenVideoHandler::~FullScreenVideoHandler):
        (FullScreenVideoHandler::requiresFullScreenForVideoPlayback):
        (FullScreenVideoHandler::enterFullScreen):
        (FullScreenVideoHandler::exitFullScreen):
        (WebPlugin::supportsExtension):
        (WebPlugin::createExtension):
        * examples/platformplugin/WebPlugin.h:
        (FullScreenVideoWidget::~FullScreenVideoWidget):
        * examples/platformplugin/platformplugin.pro:
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebFullScreenVideoHandler::QWebFullScreenVideoHandler):
        (QWebFullScreenVideoHandler::~QWebFullScreenVideoHandler):

2011-01-12  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Search input field doesn't have cancel button

        Add a cancel button to the search field and make it customizable
        by the client. For now, use the close dialog button associated
        with the application's style as the default.

        https://bugs.webkit.org/show_bug.cgi?id=42887

        * Api/qwebsettings.cpp:
        (graphics):
        * Api/qwebsettings.h:

2011-01-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74344.
        http://trac.webkit.org/changeset/74344
        https://bugs.webkit.org/show_bug.cgi?id=52290

        broke QWebPluginFactory for unusual mime-types (Requested by
        kling on #webkit).

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2011-01-11  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Remove uses of QFuture since it isn't supported on all platforms.
        https://bugs.webkit.org/show_bug.cgi?id=51204

        * tests/qwebpage/tst_qwebpage.cpp:
        (QtNAMThread::QtNAMThread):
        (QtNAMThread::networkAccessManager):
        (QtNAMThread::run):

2011-01-11  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix tst_QWebPage::geolocationRequestJS()
        https://bugs.webkit.org/show_bug.cgi?id=46814

        Skip the test when WebKit is compiled without geolocation.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::geolocationRequestJS):

2011-01-10  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Csaba Osztrogonác.

        [Qt] Baseline qt_minimal configuration
        https://bugs.webkit.org/show_bug.cgi?id=51313

        * WebCoreSupport/PopupMenuQt.cpp:
        (WebCore::PopupMenuQt::show): Add QT_NO_COMBOBOX guard.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopup::populate): Add QT_NO_TOOLTIP guard.

        * tests/qwebframe/tst_qwebframe.cpp: Add QT_NO_COMBOBOX guard.
        * tests/qwebpage/tst_qwebpage.cpp:
        (PluginPage::createPlugin): Add QT_NO_INPUTDIALOG guard.

2011-01-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Adler.

        Introduce the notion of a "display-isolated" URL scheme for use by
        Chrome-internal URLs
        https://bugs.webkit.org/show_bug.cgi?id=50182

        Update to new function name.

        * Api/qwebsecurityorigin.cpp:
        (QWebSecurityOrigin::localSchemes):

2011-01-10  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Navigator.cookiesEnabled return true for Qt even if there is no cookie jar
        https://bugs.webkit.org/show_bug.cgi?id=52081

        Add an autotest for checking the result of Navigator.cookiesEnabled depending
        on the status of the cookie jar.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::navigatorCookieEnabled):

2011-01-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r75337.
        http://trac.webkit.org/changeset/75337
        https://bugs.webkit.org/show_bug.cgi?id=52137

        It made fast/dom/navigator-detached-no-crash.html crash
        (Requested by Ossy on #webkit).

        * tests/qwebpage/tst_qwebpage.cpp:

2011-01-09  Xianzhu Wang <phnixwxz@gmail.com>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=41441
        createWindow method should only do window-creating without URL navigation

        * Api/qwebpage.cpp:
        (openNewWindow):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createWindow):

2011-01-08  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Navigator.cookiesEnabled return true for Qt even if there is no cookie jar
        https://bugs.webkit.org/show_bug.cgi?id=52081

        Add an autotest for checking the result of Navigator.cookiesEnabled depending
        on the status of the cookie jar.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::navigatorCookieEnabled):

2011-01-07  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=52050

        Update documentation to reference new location of WebCore.

        * docs/qtwebkit.qdoc:

2011-01-07  Andreas Kling  <kling@webkit.org>

        Reviewed by Adam Barth.

        [Qt] Add selectedHtml function to QWebView
        https://bugs.webkit.org/show_bug.cgi?id=35028

        Add QWebView::selectedHtml() and QWebPage::selectedHtml()
        which return the current selection range's HTML representation.

        * Api/qwebpage.cpp:
        (QWebPage::selectedHtml):
        * Api/qwebpage.h:
        * Api/qwebview.cpp:
        (QWebView::selectedText):
        (QWebView::selectedHtml):
        * Api/qwebview.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::cursorMovements):
        (tst_QWebPage::textSelection):
        (tst_QWebPage::crashTests_LazyInitializationOfMainFrame):
        (tst_QWebPage::findText):

2011-01-06  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Introduce QDRTNode for passing WebCore::Node across JS bridge

        This allows LayoutTestController to pass WebCore::Node back to
        layout tests.

        Also amend nodesFromRect-links-and-text.html and
        nodesFromRect-inner-documents.html so that they do not produce
        platform-specific results.

        Unskip:
        fast/dom/nodesFromRect-links-and-text.html
        fast/dom/nodesFromRect-inner-documents.html

        https://bugs.webkit.org/show_bug.cgi?id=48957

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (QDRTNode::QDRTNode):
        (QDRTNode::~QDRTNode):
        (DumpRenderTreeSupportQt::nodesFromRect):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2011-01-04  Girish Ramakrishnan  <girish@forwardbias.in>

        Reviewed by Simon Hausmann.
        Acked by Aaron Kennedy <aaron.kennedy@nokia.com>

        [Qt] QML WebView does not transfer focus to underlying QGraphicsWebView

        QML WebView creates QGraphicsWebView as it's child. The WebView is not
        setup as a focus proxy of the QGraphicsWebView. Thus, even though the
        WebView gets focus, the QGraphicsWebView does not get focus.
        In QML, focus proxies or "focus scopes" are created using FocusScope.
        This change makes WebView a FocusScope and sets the focus on the
        QGraphicsWebView. 

        https://bugs.webkit.org/show_bug.cgi?id=51094

        * declarative/qdeclarativewebview.cpp:
        (QDeclarativeWebView::init):

2011-01-05  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Sync qwebkitplatformplugin.h in the plugin example
        https://bugs.webkit.org/show_bug.cgi?id=51882

        Make examples/platformplugin/qwebkitplatformplugin.h exactly the same
        as the one in the Api folder.

        * examples/platformplugin/qwebkitplatformplugin.h:

2011-01-04  Zhe Su  <suzhe@chromium.org>

        Reviewed by Kenneth Russell.

        Fix test LayoutTests/fast/events/ime-composition-events-001.html.

        https://bugs.webkit.org/show_bug.cgi?id=51693

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent): Calls editor->insertText() to
        insert the commit string when no composition text is available.

2011-01-03  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Adam Barth.

        [Qt] Add SelectAll option to the context menu for the editor
        https://bugs.webkit.org/show_bug.cgi?id=50049

        Enable SelectAll for the Qt context menu.

        * Api/qwebpage.cpp:
        (webActionForContextMenuAction):
        (QWebPage::action):
        * WebCoreSupport/WebPlatformStrategies.cpp:
        (WebPlatformStrategies::contextMenuItemTagSelectAll):
        * WebCoreSupport/WebPlatformStrategies.h:

2011-01-03  Antonio Gomes  <agomes@rim.com>

        Unreviewed crash fix.

        Follow up of r74891: potential crash fix (bogus assertion).

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::editorCommandForKeyDownEvent):

2011-01-03  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] document.getElementById(...) doesn't return the right object in combination with QGraphicsWidget
        https://bugs.webkit.org/show_bug.cgi?id=51464

        Added a way to bind any QObject created as a plugin to JavaScript, 
        by adding a custom membe to WebCore::Widget. 
        Added a test to make sure plugins created as QGraphicsWidget are 
        accessible through JavaScript.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        * tests/qwebpage/tst_qwebpage.cpp:
        (PluginPage::createPlugin):
        (tst_QWebPage::graphicsWidgetPlugin):

2011-01-02  Antonio Gomes  <agomes@rim.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Refactor EditorClientQt::handleKeyboardEvent
        https://bugs.webkit.org/show_bug.cgi?id=51306

        EditorClientQt::handleKeyboardEvent relies on QWebPagePrivate::editorActionForKeyEvent()
        to handle all editor commands that have a QAction associted with it.
        In practice, that covers most of editor commands (as one can see in editorCommandWebActions,
        in qwebpage.cpp). However, there are some key down events that are associated to no QAction
        or need special handling when features like spatial navigation or
        caret browsing are enabled. Currently, these cases are being handled with confusing
        and nested if/else switch's statements in EditorClientQt::handleKeyboardEvent(),
        and the code is hardly readable.

        This patch introduces a mapping hash for those cases, simplifying much
        the code. Basically, nested switches statements mixed with if/else's were
        refactored, and early returns were added right after an event gets consumed
        by the Editor.

        Since it is a refactor only patch, there is no funcionality change at
        all, and then no new tests are being added.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::interpretKeyEvent):
        (WebCore::EditorClientQt::handleKeyboardEvent):

2011-01-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move JavaScriptCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=51604

        * WebKit_pch.h:
        * docs/qtwebkit.qdocconf:
          - Point to JavaScriptCore in its new location.

2010-12-29  Kent Hansen  <kent.hansen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix compilation with Qt in namespace
        https://bugs.webkit.org/show_bug.cgi?id=51701

        * Api/qwebkitplatformplugin.h:
        * WebCoreSupport/InspectorServerQt.h:
        * tests/hybridPixmap/widget.h:

2010-12-23  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Alexey Proskuryakov.

        [Qt] Composition text is not removed from the editor when composition is cancelled
        https://bugs.webkit.org/show_bug.cgi?id=29391

        Ensure that the composition text is cleared when an empty QInputMethodEvent
        is received and the editor is in composition mode.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):

2010-12-23  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Andreas Kling.

        [Qt] copy and paste greek symbols to Word, TextEdit results in ?'s being shown
        https://bugs.webkit.org/show_bug.cgi?id=35635

        Test that QClipboard contains the charset information and unicode data
        after copying unicode text.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::macCopyUnicodeToClipboard):

2010-12-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        WebKit2 needs to mirror the frame tree in the UIProcess
        https://bugs.webkit.org/show_bug.cgi?id=51546

        - Add client functions to notify that a frame has been added or
          removed from the page cache.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::didSaveToPageCache):
        (WebCore::FrameLoaderClientQt::didRestoreFromPageCache):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-12-22  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Eric Seidel.

        Editor.h doesn't need to include SelectionController.h
        https://bugs.webkit.org/show_bug.cgi?id=51441

        Renamed SelectionController::EDirection to SelectionDirection.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-12-23  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Add a 'hasSelection' function to QWebView and QWebPage.
        https://bugs.webkit.org/show_bug.cgi?id=48722

        This is a convenience API that optimizes the case where checking for
        the presence of selected content and accessing the selected content
        are two separate actions in the client. See comment #12 in the above
        bug report link for details.

        * Api/qwebpage.cpp:
        (QWebPage::hasSelection):
        * Api/qwebpage.h:
        * Api/qwebview.cpp:
        (QWebView::hasSelection):
        * Api/qwebview.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::textSelection):

2010-12-20  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Improve the readability of FrameLoaderClientQt::createPlugin()
        https://bugs.webkit.org/show_bug.cgi?id=51330

        Redefine the scopes to improve readability. Objects are now created in
        the scope they are used in.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-12-17  Ariya Hidayat  <ariya@sencha.com>

        Reviewed by Antonio Gomes.

        [Qt] GraphicsContext should respect QWebView render hints
        https://bugs.webkit.org/show_bug.cgi?id=51208

        Adjust the test since SmoothPixmapTransform is set by default.

        * tests/qwebview/tst_qwebview.cpp:
        (tst_QWebView::renderHints):

2010-12-05  Antonio Gomes  <agomes@rim.com>

        Reviewed by Ariya Hidayat.

        [Qt] Fix caret browsing navigation mode
        https://bugs.webkit.org/show_bug.cgi?id=50536

        Caret browsing can consume editing commands even when the start
        of current selection is not a editable content. r69582 missed this
        case because caret browsing feature testing is very poor today.

        This commit reintroduces part of the removed code in r69582 but
        guarded by a isCaretBrowsingEnabled() check. No regression found.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-12-17  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebPage sends out a RequestSoftwareInputPanel event 
        incorrectly in particular case
        https://bugs.webkit.org/show_bug.cgi?id=50419

        Add HitTestResult check before firing RequestSoftwareInputPanel event.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::mouseReleaseEvent):
        (QWebPagePrivate::handleSoftwareInputPanel):
        * Api/qwebpage_p.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (clickOnPage):
        (tst_QWebPage::inputMethods):

2010-12-17  Eric Seidel  <eric@webkit.org>

        Unreviewed, rolling out r74229.
        http://trac.webkit.org/changeset/74229
        https://bugs.webkit.org/show_bug.cgi?id=50536

        Broken on Snow Leopard and possibly other platforms

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-12-05  Antonio Gomes  <agomes@rim.com>

        Reviewed by Ariya Hidayat.

        [Qt] Fix caret browsing navigation mode
        https://bugs.webkit.org/show_bug.cgi?id=50536

        Caret browsing can consume editing commands even when the start
        of current selection is not a editable content. r69582 missed this
        case because caret browsing feature testing is very poor today.

        This commit reintroduces part of the removed code in r69582 but
        guarded by a isCaretBrowsingEnabled() check. No regression found.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-12-16  Ariya Hidayat  <ariya@sencha.com>

        Reviewed by Andreas Kling.

        [Qt] GraphicsContext should respect QWebView render hints
        https://bugs.webkit.org/show_bug.cgi?id=51208

        Add some checks to ensure that GraphicsContext (via QWebFrame)
        does not clobber the render hints.

        * Api/qwebview.cpp:
        (QWebViewPrivate::QWebViewPrivate):
        * tests/qwebframe/tst_qwebframe.cpp:

2010-12-15  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] Fix tst_QWebPage::geolocationRequestJS()
        https://bugs.webkit.org/show_bug.cgi?id=46814

        Change the test case according to the changes introduced by
        r72603 and enable the test case.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::geolocationRequestJS):

2010-12-14  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Flash plugins should be windowless on QGraphicsWebView on Symbian
        Remove #idef SYMBIAN introduced by r69396.
        https://bugs.webkit.org/show_bug.cgi?id=50487

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-10-28  MORITA Hajime  <morrita@google.com>

        Reviewed by Ojan Vafai.

        spellcheck does not check pasted text
        https://bugs.webkit.org/show_bug.cgi?id=40092

        Added a stub implememntation.

        * WebCoreSupport/EditorClientQt.h:
        (WebCore::EditorClientQt::requestCheckingOfString):

2010-12-11  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Memory leaks for QWebPageClient
        https://bugs.webkit.org/show_bug.cgi?id=50267

        Use OwnPtr to solve this memory leak issue.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::overlay):
        (QGraphicsWebViewPrivate::QWebViewPrivate::pageClient):
        (QGraphicsWebViewPrivate::syncLayers):
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        (QGraphicsWebViewPrivate::_q_scaleChanged):
        (QGraphicsWebViewPrivate::detachCurrentPage):
        * Api/qwebpage_p.h:
        * Api/qwebview.cpp:
        (QWebViewPrivate::detachCurrentPage):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::platformPageClient):
        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-12-11  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Andreas Kling.

        [Qt] QWebFrame does not support QNetworkRequest::CacheLoadControl
        https://bugs.webkit.org/show_bug.cgi?id=35671

        Make QWebFrame respect the QNetworkRequest::CacheLoadControl attribute
        set on the request, if any.

        * Api/qwebframe.cpp:
        (cacheLoadControlToCachePolicy):
        (QWebFrame::load):
        * tests/qwebframe/tst_qwebframe.cpp:

2010-10-11  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Mock DeviceOrientation client for DRT
        https://bugs.webkit.org/show_bug.cgi?id=47490

        * WebCoreSupport/DeviceOrientationClientMockQt.cpp: Added.
        (WebCore::DeviceOrientationClientMockQt::client):
        (WebCore::DeviceOrientationClientMockQt::DeviceOrientationClientMockQt):
        (WebCore::DeviceOrientationClientMockQt::~DeviceOrientationClientMockQt):
        (WebCore::DeviceOrientationClientMockQt::setController):
        (WebCore::DeviceOrientationClientMockQt::startUpdating):
        (WebCore::DeviceOrientationClientMockQt::stopUpdating):
        (WebCore::DeviceOrientationClientMockQt::lastOrientation):
        (WebCore::DeviceOrientationClientMockQt::deviceOrientationControllerDestroyed):
        (WebCore::DeviceOrientationClientMockQt::setOrientation):
        * WebCoreSupport/DeviceOrientationClientMockQt.h: Added.
        * WebCoreSupport/DeviceOrientationClientQt.cpp:
        * WebCoreSupport/DeviceOrientationProviderQt.cpp:
        (WebCore::DeviceOrientationProviderQt::DeviceOrientationProviderQt):
        (WebCore::DeviceOrientationProviderQt::~DeviceOrientationProviderQt):
        (WebCore::DeviceOrientationProviderQt::changeDeviceOrientation):
        * WebCoreSupport/DeviceOrientationProviderQt.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::activeMockDeviceOrientationClient):
        (DumpRenderTreeSupportQt::removeMockDeviceOrientation):
        (DumpRenderTreeSupportQt::setMockDeviceOrientation):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-12-10  Krithigassree Sambamurthy  <krithigassree.sambamurthy@nokia.com>

        Reviewed by Joseph Pecoraro.

        Bug 43455 - [Qt]: Implement Application Cache Quotas
        https://bugs.webkit.org/show_bug.cgi?id=43455

        Added new signal to report ApplicationCache Database
        quota.

        * Api/qwebpage.cpp:
        * Api/qwebpage.h:

        Added new functions to accomodate new appcache layout
        test origin-quota.html.

        * Api/qwebsecurityorigin.cpp:
        (QWebSecurityOrigin::setApplicationCacheQuota):
        * Api/qwebsecurityorigin.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::reachedApplicationCacheOriginQuota):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::clearAllApplicationCaches):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-12-10  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Support a QNetworkAccessManager affined to a different thread.
        https://bugs.webkit.org/show_bug.cgi?id=50080

        This patch introduce thread safe proxy classes for QNetworkAccessManager
        and QNetworkReply.
        If run in the same thread, these objects will forward the calls with
        Qt::DirectConnection bindings, while in the other case they will use
        Qt::QueuedConnection to carry requests accross threads.

        This patch basically:
        - Makes sure that all access goes through these objects
        - Reorders signal connections to make sure we are connected when the
          signal comes
        - Makes sure that no QObject in the WebCore thread is a child of the
          reply which might be in a different thread.
        - Forward the data directly in QByteArrays in signals instead of collecting
          the data when the signal is handled.

        New test: tst_QWebPage::networkAccessManagerOnDifferentThread

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::download):
        * tests/qwebpage/tst_qwebpage.cpp:
        (QtNAMThread::QtNAMThread):
        (QtNAMThread::~QtNAMThread):
        (QtNAMThread::networkAccessManager):
        (QtNAMThread::run):
        (tst_QWebPage::networkAccessManagerOnDifferentThread):

2010-12-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r73635.
        http://trac.webkit.org/changeset/73635
        https://bugs.webkit.org/show_bug.cgi?id=50778

        'Side-effects on 3 css tests needs closer review' (Requested
        by mwenge on #webkit).

        * Api/qwebsettings.cpp:
        (graphics):
        * Api/qwebsettings.h:

2010-12-09  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Search input field doesn't have cancel button

        Add a cancel button to the search field and make it customizable
        by the client. For now, use the close dialog button associated
        with the application's style as the default.

        https://bugs.webkit.org/show_bug.cgi?id=42887

        * Api/qwebsettings.cpp:
        (graphics):
        * Api/qwebsettings.h:

2010-12-09  Siddharth Mathur  <siddharth.mathur@nokia.com>

        Reviewed by Laszlo Gombos.

        Use BUILDING_WEBKIT like other ports
        https://bugs.webkit.org/show_bug.cgi?id=50713

        * Api/qwebkitglobal.h: change BUILD_WEBKIT to BUILDING_WEBKIT

2010-12-08  Qi Zhang  <qi.2.zhang@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Support OrientationChange event
        https://bugs.webkit.org/show_bug.cgi?id=50685

        Get OrientationChange event from qtmobility then send to webkit.

        * Api/qwebframe.cpp:
        (QWebFrame::orientationChanged):
        (QWebFrame::QWebFrame):
        * Api/qwebframe.h:
        * Api/qwebframe_p.h:

2010-12-07  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by John Sullivan.

        Layering Violation in ContextMenu - member variable of type HitTestResult
        https://bugs.webkit.org/show_bug.cgi?id=50586
        
        Update users of ContextMenu and ContextMenuController to match where the new functions 
        are located.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::createContextMenu):
        (QWebPage::updatePositionDependentActions):

2010-12-07  Darin Adler  <darin@apple.com>

        Try to fix build.

        * Api/qwebpage.cpp:
        (frameLoadRequest): Added missing parentheses.

2010-12-06  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Pass security origin to make local file decision correctly
        https://bugs.webkit.org/show_bug.cgi?id=48603

        * Api/qwebpage.cpp:
        (frameLoadRequest): Pass security origin.

2010-12-07  Martin Robinson  <mrobinson@igalia.com>

        Unreviewed, rolling out r73392.
        http://trac.webkit.org/changeset/73392
        https://bugs.webkit.org/show_bug.cgi?id=50489

        This commit caused crashes on the GTK+ bots

        * Api/qwebframe.cpp:
        (QWebFrame::setUrl):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::finishedLoading):

2010-12-06  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Update calls to DocumentWriter.
        https://bugs.webkit.org/show_bug.cgi?id=50489

        * Api/qwebframe.cpp:
        (QWebFrame::setUrl):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::finishedLoading):

2010-12-01  Jia Pu  <jpu@apple.com>

        Reviewed by Darin Adler.

        Support multiple correction candidates panel for misspelled word on Mac OS X.
        https://bugs.webkit.org/show_bug.cgi?id=50137
        <rdar://problem/8568059>

        Adopted new function signature defined in base class.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::getGuessesForWord):
        * WebCoreSupport/EditorClientQt.h:

2010-11-30  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Implement layoutTestController.findString
        https://bugs.webkit.org/show_bug.cgi?id=50236

        Add support for the new advanced findString().

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::findString):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-11-30  Ojan Vafai  <ojan@chromium.org>

        Revert r72876. It caused a ~30% perf regression in chromium's bloat-http test
        https://bugs.webkit.org/show_bug.cgi?id=50288

        2010-11-29 Adam Barth <abarth@webkit.org (:abarth) (r)>
        Reviewed by Darin Adler.
        Introduce the notion of a "display-isolated" URL scheme for use by Chrome-internal URLs
        https://bugs.webkit.org/show_bug.cgi?id=50182
        A display-isolated URL can only be displayed (e.g., put in an iframe,
        hyperlinked to) by documents from that scheme. In a sense, this is a
        generalization of some of the protections we give file URLs, but
        instead of lumping them all together into one "local" bucket, this
        patch creates a separate bucket for each scheme.
        For a while, I tried using a separate bucket for each origin. That
        would have played nicely with what Blob URLs are trying to do, but some
        "chrome" URL pages rely on being able to display other chrome URL
        pages, even in different origins. For example, the New Tab Page shows
        thumbnails from the "thumbnail" host.
        This patch also removes a bunch of unused code. I've also propagated
        the "deprecated" status of deprecatedCanDisplay to
        deprecatedShouldTreatURLAsLocal because that method has no other
        callers and is really asking for uppercase/lowercase bugs. I dream of
        someday removing these functions.
        2010-11-29 Adam Barth <abarth@webkit.org (:abarth) (r)>
        Reviewed by Darin Adler.
        Introduce the notion of a "display-isolated" URL scheme for use by Chrome-internal URLs
         https://bugs.webkit.org/show_bug.cgi?id=50182
        This patch adds a Chromium API for registering schemes as
        display-isolated. In a subsequent patch, I'll change the "chrome"
        scheme in Chrome to be display isolated instead of local. That will
        prevent file URLs from linking to chrome URLs.

        * Api/qwebsecurityorigin.cpp:
        (QWebSecurityOrigin::localSchemes):

2010-11-29  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Simon Fraser.

        Provide more fine grained control to ports over when to turn on accelerated
        compositing.
        https://bugs.webkit.org/show_bug.cgi?id=49998

        As part of this change, the old hasAcceleratedCompositing method on the ChromeClient
        has now been replaced by allowedCompositingTriggers which returns a bitfield of
        all the features which can trigger the compositor.


        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::allowedCompositingTriggers):
        * WebCoreSupport/ChromeClientQt.h:

2010-11-30  Thiago Macieira  <thiago.macieira@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] QWebFrame::load(QNetworkRequest) should respect the CustomVerbAttribute

        For CustomOperation requests, pass the CustomVerbAttribute on to
        the WebCore::ResourceRequest.

        * Api/qwebframe.cpp:
        (QWebFrame::load):

2010-11-25  Norbert Leser  <norbert.leser@nokia.com>

        Reviewed by Laszlo Gombos.

        Updated Symbian DEF file for ARM target due to API changes
        via committs r72600-72603 (see bug# 46810)

        * symbian/eabi/QtWebKitu.def:

2010-11-25  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling and Simon Hausmann.

        [Qt] Calculate the -webkit-pixel-radio using the device DPI.
        http://webkit.org/b/50059

        Also, update the documentation on what a DIP is and how to override
        the device DPI in the case the system reports the wrong one (which
        unfortunately is common on X11).

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        (QWebPage::viewportAttributesForSize):
        * Api/qwebpage_p.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::scaleFactor):

2010-11-24  Kristian Amlie  <kristian.amlie@nokia.com>

        Reviewed by Andreas Kling.

        Fixed handling of QInputMethodEvents with nonzero replacementLength.

        These types of events replace text that is already in the widget, but
        WebKit did not check for replacementLength at all.

        https://bugs.webkit.org/show_bug.cgi?id=49787

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-11-24  Andras Becsi  <abecsi@inf.u-szeged.hu>

        Reviewed by Kenneth Rohde Christiansen.

        Make WebKit2 compile with !ENABLE(INSPECTOR).
        https://bugs.webkit.org/show_bug.cgi?id=49973

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setJavaScriptProfilingEnabled):

2010-11-24  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r72650.
        http://trac.webkit.org/changeset/72650
        https://bugs.webkit.org/show_bug.cgi?id=50010

        breaks focus in scenes focus item other than graphicswebiview
        (Requested by tronical_ on #webkit).

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::QGraphicsWebViewPrivate):
        (QGraphicsWebView::QGraphicsWebView):
        (QGraphicsWebView::itemChange):
        * Api/qgraphicswebview.h:
        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:

2010-11-24  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Html autofocus not working with QGraphicsWebView
        https://bugs.webkit.org/show_bug.cgi?id=43169

        QGraphicsScene does not propagate Qt::ActivateWindowFocusReason focus
        events when there are no active items.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::QGraphicsWebViewPrivate):
        (QGraphicsWebView::QGraphicsWebView):
        (QGraphicsWebView::eventFilter):
        (QGraphicsWebView::itemChange):
        * Api/qgraphicswebview.h:
        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (FocusPage::FocusPage):
        (FocusPage::event):
        (FocusPage::gotFocus):
        (tst_QGraphicsWebView::receivesFocusInOnShow):

2010-11-23  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        Adapt to setShouldDelegateScrolling not being a real setting anymore.
        We now similarily to setUseFixedLayout and setPaintEntireContents
        set it on the FrameView wen transitioning to a new page.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transitionToCommittedForNewPage):

2010-11-23  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix compilation with !ENABLE(INSPECTOR)
        https://bugs.webkit.org/show_bug.cgi?id=49942

        Add ENABLE(INSPECTOR) to the Qt specific files following r71981.

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::inspectorDestroyed):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::sendMessageToFrontend):
        * WebCoreSupport/InspectorServerQt.cpp:
        (WebCore::InspectorServerRequestHandlerQt::webSocketReadyRead):

2010-11-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Restore binary compatibility with the QtWebKit 2.1 branch

        Re-order the enums by adding new enum entries to the end.

        * Api/qwebsettings.h:

2010-11-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Review the setUserPermission & friends API
        https://bugs.webkit.org/show_bug.cgi?id=46810

        Renamed requestPermissionFromUser to featurePermissionRequested
        and cancelRequestsForPermission to featurePermissionRequestCanceled.

        * Api/qwebpage.h:
        * WebCoreSupport/GeolocationPermissionClientQt.cpp:
        (WebCore::GeolocationPermissionClientQt::requestGeolocationPermissionForFrame):
        (WebCore::GeolocationPermissionClientQt::cancelGeolocationPermissionRequestForFrame):
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::requestPermission):
        (WebCore::NotificationPresenterClientQt::cancelRequestsForPermission):

2010-11-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Review the setUserPermission & friends API
        https://bugs.webkit.org/show_bug.cgi?id=46810

        Rename setUserPermission to setFeaturePermission

        * Api/qwebpage.cpp:
        (QWebPage::setFeaturePermission):
        * Api/qwebpage.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (JSTestPage::requestPermission):

2010-11-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Review the setUserPermission & friends API
        https://bugs.webkit.org/show_bug.cgi?id=46810

        Rename PermissionDomain to Feature, NotificationsPermissionDomain to Notifications
        and GeolocationPermissionDomain to Geolocation.

        * Api/qwebpage.cpp:
        (QWebPage::setUserPermission):
        * Api/qwebpage.h:
        * WebCoreSupport/GeolocationPermissionClientQt.cpp:
        (WebCore::GeolocationPermissionClientQt::requestGeolocationPermissionForFrame):
        (WebCore::GeolocationPermissionClientQt::cancelGeolocationPermissionRequestForFrame):
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::requestPermission):
        (WebCore::NotificationPresenterClientQt::cancelRequestsForPermission):
        * tests/qwebpage/tst_qwebpage.cpp:
        (JSTestPage::requestPermission):
        (tst_QWebPage::geolocationRequestJS):

2010-11-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Review the setUserPermission & friends API
        https://bugs.webkit.org/show_bug.cgi?id=46810

        Add a ByUser suffix to PermissionGranted/Denied. In the future
        we can add PermissionGrantedByDefault.

        * Api/qwebpage.cpp:
        (QWebPage::setUserPermission):
        * Api/qwebpage.h:
        * WebCoreSupport/GeolocationPermissionClientQt.cpp:
        (WebCore::GeolocationPermissionClientQt::setPermission):
        * tests/qwebpage/tst_qwebpage.cpp:
        (JSTestPage::requestPermission):

2010-11-22  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebElement::appendInside() doesn't work on head elements
        https://bugs.webkit.org/show_bug.cgi?id=49166

        Make QWebElement::appendInside() call 
        Element::deprecatedCreateContextualFragment(), bypassing the check for
        the HEAD tag in the HTMLElement implementation of this function.

        * Api/qwebelement.cpp:
        (QWebElement::appendInside):
        * tests/qwebelement/tst_qwebelement.cpp:
        (tst_QWebElement::addElementToHead):

2010-11-20  Andreas Kling  <kling@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Dragging a selection should use a rendering of the selection as "cursor" for the drag
        https://bugs.webkit.org/show_bug.cgi?id=49870

        * WebCoreSupport/DragClientQt.cpp:
        (WebCore::DragClientQt::startDrag): Pass the DragImage to QDrag::setPixmap()

2010-11-20  Sam Magnuson  <smagnuso@gmail.com>

        Reviewed by Andreas Kling.

        [Qt] crash when attempting to add a JS object
        https://bugs.webkit.org/show_bug.cgi?id=49287

        * Api/qwebframe.cpp:
        (QWebFrame::addToJavaScriptWindowObject):

        Test: LayoutTests/fast/frames/sandboxed-iframe-plugins.html

2010-11-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r72471.
        http://trac.webkit.org/changeset/72471
        https://bugs.webkit.org/show_bug.cgi?id=49865

        broke two IME tests on Qt (Requested by kling on #webkit).

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-11-19  Kristian Amlie  <kristian.amlie@nokia.com>

        Reviewed by Andreas Kling.

        Fixed handling of QInputMethodEvents with nonzero replacementLength.

        These types of events replace text that is already in the widget, but
        WebKit did not check for replacementLength at all.

        Also made sure that the preeditString is always respected, even if
        there is committed text. This is how QLineEdit does it.

        https://bugs.webkit.org/show_bug.cgi?id=49787

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-11-19  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Transition and animation do not work with QWebView anymore
        https://bugs.webkit.org/show_bug.cgi?id=49797

        Accelerated compositing should not be enabled on QWebView without
        texture mapper.

        * WebCoreSupport/PageClientQt.h:
        (WebCore::PageClientQWidget::allowsAcceleratedCompositing):

2010-11-19  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Memory leak in QWebInspector
        https://bugs.webkit.org/show_bug.cgi?id=49765

        Delete QWebInspectorPrivate in ~QWebInspector()

        * Api/qwebinspector.cpp:
        (QWebInspector::~QWebInspector):

2010-11-19  Sam Magnuson  <smagnuso@gmail.com>

        Reviewed by Andreas Kling.

        [Qt] Compile with QT_NO_UNDOCOMMAND
        https://bugs.webkit.org/show_bug.cgi?id=49752

        * WebCoreSupport/EditCommandQt.cpp:
        (EditCommandQt::EditCommandQt):
        * WebCoreSupport/EditCommandQt.h:

2010-11-19  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        https://bugs.webkit.org/show_bug.cgi?id=49200
        [Qt] bugs in Composition mode for QWebPage::inputMethodEvent & inputMethodQuery()

        Make QWebPage work as following when editor is in composition mode:
        1. anchor position and cursor position are the same and always >= 0
        2. current selection is always null

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        (QWebPage::inputMethodQuery):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-11-18  Gavin Barraclough  <barraclough@apple.com>

        Build fix - update error messages folllowing r72360.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-11-12  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Static platform plugin support
        https://bugs.webkit.org/show_bug.cgi?id=49470

        Adding support for statically linked platform plugins.

        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::loadStaticallyLinkedPlugin):
        (WebCore::QtPlatformPlugin::plugin):
        * WebCoreSupport/QtPlatformPlugin.h:

2010-11-17  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        Reuse the size of the actualVisibleContentRect when loading a new page
        or navigating session history.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transitionToCommittedForNewPage):

2010-11-17  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Darin Adler.

        Converge means of querying a parent node into one way, which is Node::parentNode.
        https://bugs.webkit.org/show_bug.cgi?id=49686

        * Api/qwebelement.cpp:
        (QWebElement::prependOutside): Changed to use parentNode.
        (QWebElement::appendOutside): Ditto.
        (QWebElement::encloseContentsWith): Ditto.
        (QWebElement::encloseWith): Ditto.

2010-11-16  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Remove synchronous QWebPage::checkPermissions signal
        https://bugs.webkit.org/show_bug.cgi?id=46810

        As decided in the API review, we remove this signal and replace its only use currently
        with cached credentials.

        * Api/qwebpage.cpp:
        (QWebPage::setUserPermission): Pass the WebCore frame instead of the QWebFrame.
        * Api/qwebpage.h:
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::checkPermission): Replaced explicit
        signal emission with hash lookup of previously granted permission (or not).
        (WebCore::NotificationPresenterClientQt::cancelRequestsForPermission): Remove
        any previously cached/granted permission for the given script execution context.
        (WebCore::NotificationPresenterClientQt::allowNotificationForFrame): Do not
        only serve pending permission requests but before calling the JS callbacks, remember
        the permission for subsequent synchronous checkPermission() calls.
        * WebCoreSupport/NotificationPresenterClientQt.h: Add cache for permissions.

2010-11-15  Gavin Barraclough  <barraclough@apple.com>

        Reviewed by NOBODY build fix.

        Fix test broken by earlier patch.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-11-15  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] ZoomTextOnly doesn't work
        https://bugs.webkit.org/show_bug.cgi?id=49568

        Check QWebSettings::ZoomTextOnly attribute before applying zoom

        * Api/qwebframe.cpp:
        (QWebFrame::textSizeMultiplier):
        (QWebFrame::setZoomFactor):
        (QWebFrame::zoomFactor):
        * Api/qwebframe_p.h:
        (QWebFramePrivate::QWebFramePrivate):

2010-11-14  Andreas Kling  <kling@webkit.org>

        Reviewed by Antonio Gomes.

        REGRESSION(r71895): API test javaScriptWindowObjectCleared fails
        https://bugs.webkit.org/show_bug.cgi?id=49466

        As of r71895 empty inline scripts are no longer executed and so
        the javaScriptWindowObjectCleared() signal is no longer triggered
        by <script></script>.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-11-12  Jacob Dinu  <dinu.jacob@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Update .def file for Symbian
        https://bugs.webkit.org/show_bug.cgi?id=49456

        Added missing symbols from revisions r69825, r70470, r71806

        * symbian/eabi/QtWebKitu.def:

2010-11-12  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Need to implement WebKit::pluginWillHandleLoadError for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=48764

        Add the missing error.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::pluginWillHandleLoadError):

2010-11-11  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] QWebScriptWorld::world() may crash
        https://bugs.webkit.org/show_bug.cgi?id=49342

        * Api/qwebscriptworld.cpp:
        (QWebScriptWorld::world):

2010-11-11  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add an API for overriding the actual visible content rect in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=49373

        * Api/qwebpage.cpp:
        (QWebPage::setActualVisibleContentRect):
        * Api/qwebpage.h:

2010-11-11  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        FrameView: Don't clip to visibleContentRect in paintEntireContents mode
        https://bugs.webkit.org/show_bug.cgi?id=49375

        Use paintEntireContents in combination with tiling, allowing to
        actually set visibleContentRect to something different from
        the actual contents size.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transitionToCommittedForNewPage):

2010-11-10  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r71733.
        http://trac.webkit.org/changeset/71733
        https://bugs.webkit.org/show_bug.cgi?id=49319

        made qt bot crashy and sad (Requested by kling on #webkit).

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transitionToCommittedForNewPage):

2010-11-10  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        Use paintEntireContents in combination with tiling, allowing to
        actually set visibleContentRect to something different from
        the actual contents size.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transitionToCommittedForNewPage):

2010-11-08  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] build error in WebKit/qt/Api/qwebpage.cpp in Qt 4.7.0
        https://bugs.webkit.org/show_bug.cgi?id=47427

        Add a missing guard in order to be able to compile when
        ENABLE(TOUCH_EVENTS) is not defined.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::touchEvent):

2010-11-08  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=48685
        Notify UI process about focused frame

        Added an empty implementation of the new ChromeClient method.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::focusedNodeChanged): Removed unneeded namespace prefix.
        (WebCore::ChromeClientQt::focusedFrameChanged):
        * WebCoreSupport/ChromeClientQt.h:

2010-11-08  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Texmap] [Qt] Texture mapper initial implementation
        https://bugs.webkit.org/show_bug.cgi?id=47070

        Reorganized the textureMapper to be a member of QWebFramePrivate, to help with making
        TextureMapper thread-safe.

        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderCompositedLayers):
        * Api/qwebframe_p.h:
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PlatformLayerProxyQt::setTextureMapper):
        (WebCore::PlatformLayerProxyQt::textureMapper):
        (WebCore::PlatformLayerProxyQWidget::PlatformLayerProxyQWidget):
        (WebCore::PlatformLayerProxyQGraphicsObject::PlatformLayerProxyQGraphicsObject):

2010-11-07  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Rename Cache to MemoryCache
        https://bugs.webkit.org/show_bug.cgi?id=49159

        * Api/qwebpage.cpp:
        * Api/qwebsettings.cpp:

2010-11-07  Chang Shu  <chang.shu@nokia.com>

        Reviewed by Antonio Gomes.

        Add a helper function to avoid duplicated code.
        https://bugs.webkit.org/show_bug.cgi?id=49085

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-11-05  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Simon Fraser.

        Move resumeAnimations/suspendAnimations from Frame to AnimationController.
        https://bugs.webkit.org/show_bug.cgi?id=49073

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::suspendAnimations):
        (DumpRenderTreeSupportQt::resumeAnimations):

2010-11-03  Antonio Gomes  <tonikitoo@webkit.org>, Andre Pedralho  <andre.pedralho@gmail.com>

        Reviewed by Kenneth Rohde Christiansen and Antti Koivisto.

        [Qt] Making effective use of nodesFromRect.
        https://bugs.webkit.org/show_bug.cgi?id=44089

        Patch adds a helper class (named TouchAdjuster) to improve tap actions
        on mobile touch devices. TouchAdjuster makes use of the newly added rect
        based hit test extension through the Document::nodesFromRect method.
        Given a rectangle as input, nodesFromRect returns a z-index ordered list
        of nodes whose boundaries intersect the rectangle.

        Basically the TouchAdjuster class intercepts the QGraphicsSceneMouseEvent
        passed to both QWebPagePrivate::mouse{Press,Release}Event methods before
        they are passed down to WebCore. The goal is to infer the target click position.
        For that, a rectangle is built up using the event position as a center point and
        expanding it based on the values and directions set in the Platform Plugin
        QWebTouchModifier::hitTestPadding.

        TouchAdjuster iterates over the list of nodes returned by nodesFromRect and
        picks the clickable one that has the largest intersection area with the hit
        test rectangle. The target position is then the center point of this intersection
        area.

        In case of no clickable node intersects the hit test area, the click position
        is not altered.

        TouchAdjuster is *only* working for QGraphicsWebView based views.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::mousePressEvent):
        (QWebPagePrivate::mouseReleaseEvent):
        (QWebPagePrivate::adjustPointForClicking):
        (QWebPagePrivate::TouchAdjuster::TouchAdjuster):
        (QWebPagePrivate::TouchAdjuster::findCandidatePointForTouch):
        (isClickableElement):
        (hasMouseListener):
        (isValidFrameOwner):
        (nodeToElement):
        * Api/qwebpage_p.h:

2010-10-20  Chang Shu  <chang.shu@nokia.com>, Antonio Gomes <tonikitoo@webkit.org>

        Reviewed by Simon Fraser.

        [Qt] Makes <input type=text> and <textarea> functional with
        Spatial Navigation enabled. Before this patch, the focus cannot
        move away from input box once it is in. This patch allows focus
        move to neighbor nodes when the caret reaches the edge of the texts.
        This patch does not support yet cases where the focused <input>
        has a JS handler for the arrow keys.
        https://bugs.webkit.org/show_bug.cgi?id=37153

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-11-04  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by David Hyatt.

        Delegate scrolling via a separate method
        https://bugs.webkit.org/show_bug.cgi?id=48988

        Implement delegatedScrollRequested and make it emit the
        scrollRequested signal for Qt.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::delegatedScrollRequested):
        * WebCoreSupport/ChromeClientQt.h:

2010-11-04  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Clarify expected return values of innerXml(), outerXml()

        If you put HTML in (e.g. using setHTML()) you will get HTML out,
        even if you marked it up as XML.

        https://bugs.webkit.org/show_bug.cgi?id=44876

        * Api/qwebelement.cpp:

2010-11-03  Andre Pedralho  <andre.pedralho@gmail.com>

        Reviewed by Kenneth Rohde Christiansen.

        Using the Platform Plugin to define the default values for the padding of HitTestResult.
        https://bugs.webkit.org/show_bug.cgi?id=48450

        * Api/qwebkitplatformplugin.h:
        (QWebTouchModifier::~QWebTouchModifier):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createTouchModifier):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebPlugin.cpp:
        (WebPlugin::supportsExtension):
        (WebPlugin::createExtension):
        * examples/platformplugin/WebPlugin.h:
        (TouchModifier::hitTestPaddingForTouch):
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebTouchModifier::~QWebTouchModifier):

2010-11-03  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QGWV: Keep the scrolling delegation intact when switching pages

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage): Turn on/off
        scrolling delegation depending on the resizeToContents mode.
        (QGraphicsWebViewPrivate::detachCurrentPage): Turn off scrolling delegation.
        (QGraphicsWebView::setResizesToContents):

2010-11-03  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        Make it possible to delegate scrolling to the UI
        https://bugs.webkit.org/show_bug.cgi?id=48907

        Enable scrolling delegation when setResizesToContents is active.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::setResizesToContents):

2010-11-03  Daniel Bates  <dbates@rim.com>

        For unnamed frames, window.name returns a generated name
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Part 1 of 2.

        Substitute FrameTree::uniqueName() for FrameTree::name() in the Qt port.

        * Api/qwebframe.cpp:
        (QWebFrame::frameName):

2010-11-02  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        Some refactor for texmap to enable WebKit2: remove globals, and allow TextureMapper to exist without a GraphicsContext.
        This will allow rendering the TextureMapperNode tree without an active QPainter, into the current GL context.
        Most of the changes simply move the globas in TextureMapperGL into members of that class.

        [Texmap] [Qt] Texture mapper initial implementation
        https://bugs.webkit.org/show_bug.cgi?id=47070

        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderFromTiledBackingStore):
        (QWebFramePrivate::renderCompositedLayers):
        (QWebFramePrivate::renderRelativeCoords):
        * Api/qwebframe_p.h:

2010-11-01  Brady Eidson  <beidson@apple.com>

        Reviewed by Anders Carlsson.

        <rdar://problem/7660547> and https://bugs.webkit.org/show_bug.cgi?id=48699
        Context menu support for WebKit 2.

        * WebCoreSupport/ChromeClientQt.h:
        (WebCore::ChromeClientQt::showContextMenu):

2010-10-31  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Support nodesFromRect in DRT

        https://bugs.webkit.org/show_bug.cgi?id=48716

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::nodesFromRect):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-10-31  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Short-circuit QWebPage::selectedText() if frame has no selection
        https://bugs.webkit.org/show_bug.cgi?id=48736

        Do an early return if the selection is empty.

        No new tests, this is covered by tst_QWebPage::findText().

        * Api/qwebpage.cpp:
        (QWebPage::selectedText):

2010-10-30  Andreas Kling  <kling@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] IM: Don't manipulate selection via RenderTextControl
        https://bugs.webkit.org/show_bug.cgi?id=48700

        Go directly through the Frame's SelectionController instead.

        No new tests, this is covered by tst_QWebPage::inputMethods.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        (QWebPage::inputMethodQuery):

2010-10-29  Daniel Bates  <dbates@rim.com>

        No review, rolling out 70971.
        http://trac.webkit.org/changeset/70971
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Rolling out changeset 70971 <http://trac.webkit.org/changeset/70971> since
        it caused layout test failures on all bots. In particular, the
        child count in a generated frame name differs after this patch. We need
        to look into this further.

        * Api/qwebframe.cpp:
        (QWebFrame::frameName):

2010-10-28  Antonio Gomes  <agomes@rim.com>

        Reviewed by Ojan Vafai.

        Needs a "LinuxEditingBehavior", perhaps with a better name
        https://bugs.webkit.org/show_bug.cgi?id=36627

        Adding support to Qt's DRTSupport class to test the newly introduced Unix editing behavior.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setEditingBehavior):

2010-10-29  Daniel Bates  <dbates@rim.com>

        Reviewed by Adam Barth.

        For unnamed frames, window.name returns a generated name
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Modified Qt-port to use FrameTree::uniqueName().

        * Api/qwebframe.cpp:
        (QWebFrame::frameName):

2010-10-29  Andreas Kling  <kling@webkit.org>

        Reviewed by Ariya Hidayat.

        [Qt] QWebPage's InputMethod event handling calls ShortcutOverride handler too
        https://bugs.webkit.org/show_bug.cgi?id=48692

        * Api/qwebpage.cpp:
        (QWebPage::event): Add missing break statement.

2010-10-29  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Darin Adler.

        Remove RenderTextControl::setSelectionRange
        https://bugs.webkit.org/show_bug.cgi?id=47870

        Converted RenderTextControll::setSelectionRange to a global function.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent): Calls setSelectionRange.

2010-10-29  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Change BackForwardList clients to use BackForwardListImpl to prepare for further refactoring
        https://bugs.webkit.org/show_bug.cgi?id=48574

        * Api/qwebhistory.cpp:
        (QWebHistory::clear):
        * Api/qwebhistory_p.h:
        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        Use BackForwardListImpl.

2010-10-29  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=48576
        Let WebKit2 client know when a frame is a frameset

        Added a blank implementation of the new FrameLoaderClient method.

        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidBecomeFrameset):

2010-10-29  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Fix tst_QWebFrame on XVFB.
        https://bugs.webkit.org/show_bug.cgi?id=48637

        These tests relied on a window manager to activate the window.

        Fixes:
        - tst_QWebFrame::popupFocus()
        - tst_QwebFrame::inputFieldFocus()

        * tests/qwebframe/tst_qwebframe.cpp:

2010-10-28  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Ariya Hidayat.

        [Texmap] [Qt] Texture mapper initial implementation
        https://bugs.webkit.org/show_bug.cgi?id=47070

        Build fix,

        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PlatformLayerProxyQGraphicsObject::PlatformLayerProxyQGraphicsObject):
        (WebCore::PageClientQGraphicsWidget::~PageClientQGraphicsWidget):
        (WebCore::PageClientQGraphicsWidget::setRootGraphicsLayer):
        * WebCoreSupport/PageClientQt.h:

2010-10-28  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] QWebElement: Don't retrieve CSS rules through DOMWindow.
        https://bugs.webkit.org/show_bug.cgi?id=48519

        JavaScript is prevented from retrieving cross-domain CSS rules since r70335.
        This patch allow QWebElement to retrive style without this limitation
        by asking the Document directly instead of going through DOMWindow.

        Fixes:
        - tst_QWebFrame::setHtmlWithResource()
        - tst_QWebElement::style()

        * Api/qwebelement.cpp:
        (QWebElement::styleProperty):

2010-10-28  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        Make Qt viewportAttributesForSize not assert on (0, 0) size
        https://bugs.webkit.org/show_bug.cgi?id=48524

        We now return an invalid (isValid() == false) ViewportAttributes
        instance when the supplied size is (0, 0).

        * Api/qwebpage.cpp:
        (QWebPage::viewportAttributesForSize):

2010-10-27  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix tst_QWebFrame::popupFocus().
        https://bugs.webkit.org/show_bug.cgi?id=48432

        - Call setFocus() before show() to work around a but in Qt.
        - Remove the check on combo at the end since hidePopup() leads
          indirectly to its destruction and segfault.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-10-26  Jenn Braithwaite  <jennb@chromium.org>

        Reviewed by Dmitry Titov.

        Resource tracking failure when trying to move a frame between documents
        https://bugs.webkit.org/show_bug.cgi?id=44713

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::transferLoadingResourceFromPage):
        Emtpy method.
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-10-26  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Skipping popup focus test for symbian
        https://bugs.webkit.org/show_bug.cgi?id=48324

        * tests/qwebframe/tst_qwebframe.cpp:

2010-10-26  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Unit tests: setHtml("data:text/html,...") -> load(QUrl("data:text/html,..."))
        https://bugs.webkit.org/show_bug.cgi?id=48319

        These tests were failing since the new HTML parser.
        This patch removes the content type from the error page as well.

        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (tst_QGraphicsWebView::crashOnViewlessWebPages):
        * tests/qwebelement/tst_qwebelement.cpp:
        (tst_QWebElement::frame):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::loadFinished):
        (ErrorPage::extension):
        (tst_QWebPage::errorPageExtension):
        (tst_QWebPage::errorPageExtensionInIFrames):
        (tst_QWebPage::errorPageExtensionInFrameset):

2010-10-25  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Texmap] [Qt] Texture mapper initial implementation
        https://bugs.webkit.org/show_bug.cgi?id=47070

        Glue layer (WebCoreSupport) changes to allow connecting TextureMapper to a Qt PageClient, i.e.
        a QWebView or a QGraphicsWebView. This enables the new type, TextureMapperPlatformLayer, to be recognized both by
        the compositor and by the page client.
        Note that this is temporarily an opt-in, under USE(TEXTURE_MAPPER)

        * Api/qwebframe.h:
        * Api/qwebframe_p.h:
        (QWebFramePrivate::QWebFramePrivate):
        * Api/qwebpage.cpp:
        (QWebPage::setView):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::attachRootGraphicsLayer):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PlatformLayerProxyQt::PlatformLayerProxyQt):
        (WebCore::PlatformLayerProxyQt::~PlatformLayerProxyQt):
        (WebCore::PlatformLayerProxyQt::setSizeChanged):
        (WebCore::PlatformLayerProxyQWidget::PlatformLayerProxyQWidget):
        (WebCore::PlatformLayerProxyQWidget::eventFilter):
        (WebCore::PlatformLayerProxyQWidget::setNeedsDisplay):
        (WebCore::PlatformLayerProxyQWidget::setNeedsDisplayInRect):
        (WebCore::PlatformLayerProxyQGraphicsObject::PlatformLayerProxyQGraphicsWidget):
        (WebCore::PlatformLayerProxyQGraphicsObject::setNeedsDisplay):
        (WebCore::PlatformLayerProxyQGraphicsObject::setNeedsDisplayInRect):
        (WebCore::PageClientQWidget::setRootGraphicsLayer):
        (WebCore::PageClientQWidget::markForSync):
        (WebCore::PageClientQWidget::syncLayers):
        (WebCore::PageClientQGraphicsWidget::updateCompositingScrollPosition):
        (WebCore::PageClientQGraphicsWidget::createOrDeleteOverlay):
        (WebCore::PageClientQGraphicsWidget::setRootGraphicsLayer):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::PageClientQWidget::PageClientQWidget):
        (WebCore::PageClientQWidget::allowsAcceleratedCompositing):
        (WebCore::PageClientQGraphicsWidget::PageClientQGraphicsWidget):

2010-10-25  Johnny Ding  <jnd@chromium.org>

        Reviewed by Tony Chang.

        Dump the gesture status of frame in frame load callbacks in DumpRenderTree
        by adding a new method dumpUserGestureInFrameLoadCallbacks.
        Now only dump the gesture status in "DidStartProvisionalLoad" callback.
        https://bugs.webkit.org/show_bug.cgi?id=47849

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::dumpUserGestureInFrameLoader):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (drtPrintFrameUserGestureStatus):
        (WebCore::FrameLoaderClientQt::dispatchDidHandleOnloadEvents):
        (WebCore::FrameLoaderClientQt::dispatchDidPushStateWithinPage):
        (WebCore::FrameLoaderClientQt::dispatchDidReplaceStateWithinPage):
        (WebCore::FrameLoaderClientQt::dispatchDidPopStateWithinPage):
        (WebCore::FrameLoaderClientQt::dispatchDidStartProvisionalLoad):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-10-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        WebKit2 needs to pass the current event modifier flags when requesting a new window
        https://bugs.webkit.org/show_bug.cgi?id=48140

        * Api/qwebpage.cpp:
        (openNewWindow):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createWindow):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchCreatePage):
        * WebCoreSupport/FrameLoaderClientQt.h:
        Add NavigationAction parameter.

2010-10-22  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] InspectorClientQt crashes when deleting a qwebpage which has an inspector
        https://bugs.webkit.org/show_bug.cgi?id=48079

        * Api/qwebpage.cpp:
        (QWebPagePrivate::~QWebPagePrivate):
        (QWebPage::~QWebPage):

2010-10-22  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] All widgets are rendered incorrectly when rendered through a cache
        https://bugs.webkit.org/show_bug.cgi?id=47767

        Add a new test for rendering with tiling.

        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (tst_QGraphicsWebView::widgetsRenderingThroughCache):

2010-10-21  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Sending a QInputMethodEvent::Selection event forces the
             Editor to go into Composition mode

        Improve QWebPage handling of input method events:
         - Selections don't trigger entering composition mode.
         - Handle multiple selections

        Also remove redundant cancellation of composition in tst_qwebpage.
        There is no composition in progress at that point.

        Finally, move infiniteLoopJS() to the end of the tst_qwebpage unit
        tests - so you don't have to wait for it to complete when running
        other tests.

        https://bugs.webkit.org/show_bug.cgi?id=39625

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        (QWebPage::inputMethodQuery):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-10-20  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Antonio Gomes.

        [Qt] Wrong null check in PopupMenuQt
        https://bugs.webkit.org/show_bug.cgi?id=47945

        Wrong null check in PopupMenuQt.

        * WebCoreSupport/PopupMenuQt.cpp:
        (WebCore::PopupMenuQt::hide):

2010-10-18  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Export QWebPage::ViewportAttributes class.
        https://bugs.webkit.org/show_bug.cgi?id=47845

        * Api/qwebpage.h:
        * symbian/eabi/QtWebKitu.def:

2010-10-18  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Simon Fraser.

        Web Inspector: [crash] when Inspector Open in CSSStyleSelector::loadPendingImages().
        https://bugs.webkit.org/show_bug.cgi?id=46224

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::sendMessageToFrontend):

2010-10-18  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] AC rendering bugs

        This fixes a regression that was introduced by making scrolling in accelerated compositing automatic,
        which made our explicit function to scroll the compositing layers superfluous, making the scrolling behavior
        when graphics layers are present incorrect. The fix simply removes those redundant functions.

        https://bugs.webkit.org/show_bug.cgi?id=47571

        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::scroll):
        (WebCore::PageClientQGraphicsWidget::update):
        (WebCore::PageClientQGraphicsWidget::setRootGraphicsLayer):
        * WebCoreSupport/PageClientQt.h:

2010-10-18  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by nobody, build fix.

        [Qt] Fix the build with MSVC.

        Splitting the condition in two to prevent qmake parentheses issues.

        * Api/DerivedSources.pro:

2010-10-18  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Antonio Gomes.

        [QT] Unable to load pages on QtTestBrowser after canceling a page load. 
        https://bugs.webkit.org/show_bug.cgi?id=43827

        * Api/qwebpage.cpp:
        (QWebPage::triggerAction):

2010-10-15  Qi Zhang  <qi.2.zhang@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] window.close() doesn't work in qt
        https://bugs.webkit.org/show_bug.cgi?id=46186

        Introduce new attribute in QWebSettings to trigger "setAllowScriptsToCloseWindow"

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):
        * Api/qwebsettings.h:

2010-10-15  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Unbreak scrolling the ContentsLayer with QWebView

        r69777 broke scrolling the contents layer in QWebView by not restoring
        the painter clip after painting each part of the dirty region.

        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderRelativeCoords):

2010-09-27 Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Andreas Kling.

        [Qt] Added functions for obtaining and checking the supported content types.
        http://webkit.org/b/37880

        * Api/qwebpage.cpp:
        (extractContentTypeFromHash):
        (extractContentTypeFromPluginVector):
        (QWebPage::supportedContentTypes):
        (QWebPage::supportsContentType):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::supportedContentType):

2010-10-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r69795.
        http://trac.webkit.org/changeset/69795
        https://bugs.webkit.org/show_bug.cgi?id=47687

        'See discussion at webkit.org/b/47609' (Requested by mwenge on
        #webkit).

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::canHandleRequest):
        (WebCore::FrameLoaderClientQt::dispatchUnableToImplementPolicy):

2010-10-14  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Fix http/tests/misc/redirect-to-external-url.html

        Support the test in FrameLoaderClientQt and unskip.

        https://bugs.webkit.org/show_bug.cgi?id=47609

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::canHandleRequest):
        (WebCore::FrameLoaderClientQt::dispatchUnableToImplementPolicy):

2010-10-14  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Texmap] [Qt] Texture mapper initial implementation
        https://bugs.webkit.org/show_bug.cgi?id=47070

        Allow rendering of accelerated-compositing with TextureMapper, inside a QWebFrame. The frame will render the regular content,
        either normally or through tiled backingstore, then let the TextureMapper layer render itself to the active context, and
        then render the scrollbar and pan icon. This is different from the current implementation, which uses additional QGraphicsItems for AC
        and the scrollbar overlay.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::paint):
        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderFromTiledBackingStore):
        (QWebFramePrivate::renderRelativeCoords):

2010-10-13  Gavin Barraclough  <barraclough@apple.com>

        Reviewed by Oliver Hunt.

        https://bugs.webkit.org/show_bug.cgi?id=43987
        Switch XMLHttpRequest, FileReader, and FileReaderSync to use a Stringbuilder
        to construct their internal result string.  Remove ScriptString (this is now
        redundant).

        * WebCoreSupport/FrameLoaderClientQt.cpp:

2010-10-13  Dinu Jacob  <dinu.jacob@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Update .def file for Symbian
        https://bugs.webkit.org/show_bug.cgi?id=47540

        Updated symbols for Symbian - added viewportAttributesForSize and
        made viewportConfigurationForSize absent based on the API change in
        47325

        * symbian/eabi/QtWebKitu.def:

2010-10-12  David Leong  <david.leong@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Enable Netscape plugin metadata caching on Linux 
        https://bugs.webkit.org/show_bug.cgi?id=46287
        
        QWebSettings::enablePersistentStorage will now store the netscape
        plugin cache to QDesktopServices::CacheLocation.
        
        * Api/qwebsettings.cpp:
        (QWebSettings::enablePersistentStorage):

2010-10-12  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] Editing commands should not be executed on non-editable content.
        https://bugs.webkit.org/show_bug.cgi?id=47426

        Remove calls to editor()->command() when we are not in editable content.
        There is no value in doing that, and in some cases, it prevents scrolling.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-10-08  Hui Huang  <hui.2.huang@nokia.com>

        Reviewed by Simon Hausmann.

        ifdef out code that rewrites Flash Plug-in wmode for Symbian build
        https://bugs.webkit.org/show_bug.cgi?id=43484

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-10-07  Andreas Kling  <kling@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] API: ViewportConfiguration => ViewportArguments
        https://bugs.webkit.org/show_bug.cgi?id=47325

        * Api/qwebpage.cpp:
        (QWebPage::ViewportAttributes::ViewportAttributes):
        (QWebPage::ViewportAttributes::~ViewportAttributes):
        (QWebPage::ViewportAttributes::operator=):
        (QWebPage::viewportAttributesForSize):
        * Api/qwebpage.h:
        * Api/qwebpage_p.h:
        (QtViewportAttributesPrivate::QtViewportAttributesPrivate):

2010-10-07  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Fixing viewport meta tag user-scalable handling
        https://bugs.webkit.org/show_bug.cgi?id=47330

        user-scalable attribute was not considered in viewport meta tag handling.

        * Api/qwebpage.cpp:
        (QWebPage::viewportConfigurationForSize):

2010-10-05  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Hook up accelerometer data via Qt DeviceMotion
        https://bugs.webkit.org/show_bug.cgi?id=47105

        Get accelerometer necessary data via Qt mobility library using a
        provider class. Enable, also the RotationRate using the current device
        orientation provider.

        * WebCoreSupport/DeviceMotionClientQt.cpp:
        (WebCore::DeviceMotionClientQt::DeviceMotionClientQt):
        (WebCore::DeviceMotionClientQt::~DeviceMotionClientQt):
        (WebCore::DeviceMotionClientQt::startUpdating):
        (WebCore::DeviceMotionClientQt::stopUpdating):
        (WebCore::DeviceMotionClientQt::currentDeviceMotion):
        (WebCore::DeviceMotionClientQt::changeDeviceMotion):
        * WebCoreSupport/DeviceMotionClientQt.h:
        * WebCoreSupport/DeviceMotionProviderQt.cpp: Added.
        (WebCore::DeviceMotionProviderQt::DeviceMotionProviderQt):
        (WebCore::DeviceMotionProviderQt::~DeviceMotionProviderQt):
        (WebCore::DeviceMotionProviderQt::start):
        (WebCore::DeviceMotionProviderQt::stop):
        (WebCore::DeviceMotionProviderQt::filter):
        * WebCoreSupport/DeviceMotionProviderQt.h: Added.
        (WebCore::DeviceMotionProviderQt::currentDeviceMotion):

2010-10-07  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Some viewport meta tag api refactoring
        https://bugs.webkit.org/show_bug.cgi?id=47334

        WebCore::findConfigurationForViewportData renamed to computeViewportAttributes.
        WebCore::ViewportAttributes::layoutViewport renamed to layoutSize.

        * Api/qwebpage.cpp:
        (QWebPage::viewportConfigurationForSize):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::viewportAsText):

2010-10-07  Keith Kyzivat  <keith.kyzivat@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Update .def file for Symbian
        https://bugs.webkit.org/show_bug.cgi?id=47336
        Fix and re-freeze symbols for symbian - viewportConfigurationForSize
        API changed, allowGeolocationRequest removed from API, several
        DumpRenderTree support calls added.

        * symbian/eabi/QtWebKitu.def:

2010-10-06  Ragner Magalhaes  <ragner.magalhaes@openbossa.org>

        Reviewed by Antonio Gomes.

        [Qt] Duplicated code in QWebPagePrivate
        https://bugs.webkit.org/show_bug.cgi?id=47195

        Remove duplicated code from QWebPagePrivate class for QGraphicsView and QWidget's mouse events.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::mouseMoveEvent):
        (QWebPagePrivate::mousePressEvent):
        (QWebPagePrivate::mouseDoubleClickEvent):
        (QWebPagePrivate::mouseTripleClickEvent):
        (QWebPagePrivate::mouseReleaseEvent):
        (QWebPagePrivate::wheelEvent):
        (QWebPagePrivate::dragEnterEvent):
        (QWebPagePrivate::dragLeaveEvent):
        (QWebPagePrivate::dragMoveEvent):
        (QWebPagePrivate::dropEvent):
        * Api/qwebpage_p.h:

2010-10-06  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Renaming WebCore::ViewportConfiguration to WebCore::ViewportAttributes
        https://bugs.webkit.org/show_bug.cgi?id=47268

        Renaming WebCore::ViewportConfiguration to WebCore::ViewportAttributes

        * Api/qwebpage.cpp:
        (QWebPage::viewportConfigurationForSize):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::viewportAsText):

2010-10-05  Andrew Wilson  <atwilson@chromium.org>

        Reviewed by Andreas Kling.

        Notification onclick() events don't act like user gestures
        https://bugs.webkit.org/show_bug.cgi?id=47137

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::notificationClicked):
        Use UserGestureIndicator to make sure click events are treated like user gestures.

2010-10-05  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Fix url conversion in QWebHistory

        Converting from KURL to WFT::String to QUrl does not
        permit proper percent encoding later.

        https://bugs.webkit.org/show_bug.cgi?id=47048

        * Api/qwebhistory.cpp:
        (QWebHistoryItem::originalUrl):
        (QWebHistoryItem::url):

2010-10-05  Jakob Petsovits  <jpetsovits@rim.com>

        Reviewed by Andreas Kling.

        [Qt] Make build work with QT_NO_CURSOR
        https://bugs.webkit.org/show_bug.cgi?id=46097

        Add a missing semicolon.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::setCursor):

2010-10-05  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed build fix.

        [Symbian] Fix build issue due to gaps in ordinals in the def file

        Restore previously removed symbols and mark them absent instead. We must
        not remove symbols from this file, because it breaks binary compatibility
        (when re-assigning the ordinals of the following symbols) or it causes build
        breakage when instead having a gap in the ordinal sequence. Instead removing
        a symbol is done by marking it as absent.

        * symbian/eabi/QtWebKitu.def:

2010-10-04  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Adler.

        Rename RedirectScheduler to NavigationScheduler
        https://bugs.webkit.org/show_bug.cgi?id=47037

        Update for name change.

        * Api/qwebpage.cpp:
        (QWebPage::triggerAction):

2010-10-04  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Hook up DeviceOrientation data for Qt support
        https://bugs.webkit.org/show_bug.cgi?id=47052

        Get DeviceOrientation necessary data via Qt mobility library
        using a provider class.

        * WebCoreSupport/DeviceOrientationClientQt.cpp:
        (WebCore::DeviceOrientationClientQt::DeviceOrientationClientQt):
        (WebCore::DeviceOrientationClientQt::~DeviceOrientationClientQt):
        (WebCore::DeviceOrientationClientQt::startUpdating):
        (WebCore::DeviceOrientationClientQt::stopUpdating):
        (WebCore::DeviceOrientationClientQt::lastOrientation):
        (WebCore::DeviceOrientationClientQt::changeDeviceOrientation):
        * WebCoreSupport/DeviceOrientationClientQt.h:
        * WebCoreSupport/DeviceOrientationProviderQt.cpp: Added.
        (WebCore::DeviceOrientationProviderQt::DeviceOrientationProviderQt):
        (WebCore::DeviceOrientationProviderQt::~DeviceOrientationProviderQt):
        (WebCore::DeviceOrientationProviderQt::start):
        (WebCore::DeviceOrientationProviderQt::stop):
        (WebCore::DeviceOrientationProviderQt::filter):
        * WebCoreSupport/DeviceOrientationProviderQt.h: Added.
        (WebCore::DeviceOrientationProviderQt::isActive):
        (WebCore::DeviceOrientationProviderQt::orientation):
        (WebCore::DeviceOrientationProviderQt::hasAlpha):

2010-09-28  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Viewport data change notifications
        https://bugs.webkit.org/show_bug.cgi?id=46755

        Regarding viewport meta tags, what matters for browser developers is to know when the viewport data has
        changed and its current value. Viewport data belongs to the document, but it is useful to keep the current
        viewport data in Page as a reference, to be able to send notifications only when the current viewport
        has changed.

        * Api/qwebframe.cpp:
        * Api/qwebframe_p.h:
        * Api/qwebpage.cpp:
        (QWebPagePrivate::viewportArguments):
        (QWebPage::viewportConfigurationForSize):
        * Api/qwebpage_p.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::viewportDataChanged):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::viewportAsText):

2010-10-04  Simon Hausmann  <simon.hausmann@nokia.com>

        Rubber-stamped by Tor Arne Vestbø.

        [Qt] Fix platform plugin support after r68128

        Replaced the qobject_cast from the QObject derived extension to a
        static_cast. qobject_cast works by comparing pointers to meta-object
        instances, of which there are two each: one compiled into WebKit and
        one compiled into the plugin.

        The platform plugin ensures the validity of the interface contract
        through its version and the initial safe qobject_cast from QObject
        to QWebKitPlatformPlugin. After that it is safe to use static_cast,
        and with the recent changes even required.

        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createSelectInputMethod):
        (WebCore::QtPlatformPlugin::createNotificationPresenter):
        (WebCore::QtPlatformPlugin::createHapticFeedbackPlayer):

2010-10-02  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Provide Qt support for DeviceMotion/Orientation clients
        https://bugs.webkit.org/show_bug.cgi?id=47051

        Dummy implementation of DeviceMotion/Orientation client classes
        to make possible to hook up motion/orientation data
        in further implementations.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        * WebCoreSupport/DeviceMotionClientQt.cpp: Added.
        (WebCore::DeviceMotionClientQt::DeviceMotionClientQt):
        (WebCore::DeviceMotionClientQt::setController):
        (WebCore::DeviceMotionClientQt::startUpdating):
        (WebCore::DeviceMotionClientQt::stopUpdating):
        (WebCore::DeviceMotionClientQt::currentDeviceMotion):
        (WebCore::DeviceMotionClientQt::deviceMotionControllerDestroyed):
        * WebCoreSupport/DeviceMotionClientQt.h: Added.
        (WebCore::DeviceMotionClientQt::~DeviceMotionClientQt):
        * WebCoreSupport/DeviceOrientationClientQt.cpp: Added.
        (WebCore::DeviceOrientationClientQt::DeviceOrientationClientQt):
        (WebCore::DeviceOrientationClientQt::setController):
        (WebCore::DeviceOrientationClientQt::startUpdating):
        (WebCore::DeviceOrientationClientQt::stopUpdating):
        (WebCore::DeviceOrientationClientQt::lastOrientation):
        (WebCore::DeviceOrientationClientQt::deviceOrientationControllerDestroyed):
        * WebCoreSupport/DeviceOrientationClientQt.h: Added.
        (WebCore::DeviceOrientationClientQt::~DeviceOrientationClientQt):

2010-09-30  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Support for PlainTextController

        Unskip editing/text-iterator/basic-iteration.html

        https://bugs.webkit.org/show_bug.cgi?id=38805

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::plainText):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-09-30  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] V8 port: Unbreak build

        Add missing <wtf/text/CString.h> include.

        * WebCoreSupport/InspectorServerQt.cpp:

2010-09-30  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Crash if an scene with accelerated compositing layout during the paint event
        https://bugs.webkit.org/show_bug.cgi?id=46812

        Delay the deletion of the overlay after the current event is processed.

        Removing the overlay can sometimes be done inside the rendering code of
        the overlay itself. When the rendering code is using the reference after
        the deletion of the overlay, WebKit crashes.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::overlay):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::~PageClientQGraphicsWidget):
        (WebCore::PageClientQGraphicsWidget::createOrDeleteOverlay):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::PageClientQGraphicsWidget::PageClientQGraphicsWidget):

2010-09-30  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Fix tst_QWebPage::geolocationRequestJS()
        https://bugs.webkit.org/show_bug.cgi?id=46814

        Disable the test. This test cannot pass with a
        standard build of WebKit, it is disabled until the API is finilized.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::geolocationRequestJS):

2010-09-29  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Ariya Hidayat.

        [Qt] Don't keep local reference to QGraphicsItemOverlay in QGWVPrivate
        https://bugs.webkit.org/show_bug.cgi?id=46812

        Get the QGraphicsItemOverlay* via the QWebPageClient (d->page->d->client)
        instead of keeping a local pointer to it.

        This is cleanup for a follow-up patch.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::overlay):
        (QGraphicsWebView::paint):
        (QGraphicsWebView::setPage):
        (QGraphicsWebView::updateGeometry):
        (QGraphicsWebView::setGeometry):

2010-09-28  Jenn Braithwaite  <jennb@chromium.org>

        Reviewed by Dmitry Titov.

        Added oldPage param to FrameLoaderClient::didTransferChildFrameToNewDocument.
        https://bugs.webkit.org/show_bug.cgi?id=46663

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::didTransferChildFrameToNewDocument):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-28  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Clean up QWebPage::ViewportConfiguration API
        https://bugs.webkit.org/show_bug.cgi?id=46730

        - Pass QSize parameter as const-reference
        - Style fixes

        * Api/qwebpage.cpp:
        (QWebPage::viewportConfigurationForSize):
        * Api/qwebpage.h:

2010-09-28  Andras Becsi  <abecsi@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Undefined reference errors when linking due to gperf and inlining.
        webkit.org/b/29244

        EFL CMake changes by Leandro Pereira <leandro@profusion.mobi>

        Refactor gperf code generation and usage to fix the debug build with gcc>4.4.
        Hitherto gperf generated C code, these files were included in multiple C++ files across WebCore
        to access the functionality provided. This resulted in debug build failure with newer gcc versions
        because of a behaviour change of gcc, which disables C style inlining in debug mode.
        The make-hash-tools.pl script lets gperf generate C++ code for all gperf files now, which are compiled
        in their own compilation unit.
        The functionality provided by the generated code is wrapped behind HashTools.h, so there is no need
        for multiple inclusions of generated C files to access these functions.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-09-28  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Remove support for Qt 4.5
        https://bugs.webkit.org/show_bug.cgi?id=46718

        Remove the code for versions of Qt prior to 4.6.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        (QGraphicsWebView::QGraphicsWebView):
        (QGraphicsWebView::sceneEvent):
        (QGraphicsWebViewPrivate::detachCurrentPage):
        * Api/qwebframe.cpp:
        (QWebFrame::load):
        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        (QWebPagePrivate::handleSoftwareInputPanel):
        (QWebPagePrivate::inputMethodEvent):
        (QWebPagePrivate::touchEvent):
        (QWebPage::inputMethodQuery):
        (QWebPage::view):
        (QWebPage::event):
        * Api/qwebpage_p.h:
        * Api/qwebview.cpp:
        (QWebView::QWebView):
        (QWebViewPrivate::detachCurrentPage):
        (QWebView::event):
        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQWidget::setInputMethodHints):
        (WebCore::PageClientQGraphicsWidget::setInputMethodEnabled):
        (WebCore::PageClientQGraphicsWidget::inputMethodEnabled):
        (WebCore::PageClientQGraphicsWidget::setInputMethodHints):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::QGraphicsItemOverlay::page):
        * tests/qwebframe/tst_qwebframe.cpp:
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods_data):
        (inputMethodHints):
        (inputMethodEnabled):
        (tst_QWebPage::inputMethods):
        (tst_QWebPage::originatingObjectInNetworkRequests):
        * tests/qwebview/tst_qwebview.cpp:
        (tst_QWebView::reusePage):

2010-09-28  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        Clean up QWebPage initialization

        * Api/qwebpage.cpp:
        * Api/qwebpage_p.h:

2010-09-28  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] tst_QWebPage::testStopScheduledPageRefresh() fails on MeeGo handset
        https://bugs.webkit.org/show_bug.cgi?id=46706

        The test require the network to succeed or fail in order to work.
        On MeeGo, the network can simply timeout the because of the netword access
        management. This patch makes the test use local URLs to avoid the
        problem.

        * tests/qwebpage/tst_qwebpage.cpp:
        (TestNetworkManager::TestNetworkManager):

2010-09-27  Kenneth Rohde Christiansen  <kenneth.christiansen@openbossa.org>

        Reviewed by Antonio Gomes.

        [Qt] Remove setDeviceSize methods
        https://bugs.webkit.org/show_bug.cgi?id=46347

        Remove our setDeviceHeight() API and obtain it automatically from the
        system. Also for testing purposes, make it possible to override the
        values via two newly introduced environment variables.

        * Api/qgraphicswebview.cpp:
        * Api/qgraphicswebview.h:
        * Api/qwebpage.cpp:
        (getintenv):
        (queryDeviceSizeForScreenContainingWidget):
        (QWebPage::viewportConfigurationForSize):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::windowRect):
        * symbian/eabi/QtWebKitu.def:

2010-09-27  Girish Ramakrishnan  <girish@forwardbias.in>

        Reviewed by Antonio Gomes.

        Enable local rendering of NPAPI plugins on Maemo6.

        https://bugs.webkit.org/show_bug.cgi?id=46618

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-09-27  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] tst_QWebFrame::popupFocus() randomly fail on MeeGo handset because the focus is not set on the window
        https://bugs.webkit.org/show_bug.cgi?id=46617

        This patch avoid the race condition by waiting for the window
        to be mapped on screen before attempting any actions.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-09-24  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Keep viewport information in Document
        https://bugs.webkit.org/show_bug.cgi?id=46385

        The viewport meta data (layout viewport, scale) needs to be set again when bringing
        back a page from the page cache. As the viewport metadata is only retrieved while parsing
        the document, we need to store it in the Document class.

        * Api/qwebframe.cpp:
        (QWebFramePrivate::viewportArguments):
        * Api/qwebframe_p.h:
        * Api/qwebpage.cpp:
        (QWebPage::viewportConfigurationForSize):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::didReceiveViewportArguments):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::viewportAsText):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidCommitLoad):

2010-09-23  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Fix QWebHapticFeedbackPlayer exposure via QWebKitPlatformPlugin

        [Qt] QWebHapticFeedbackPlayer needs correct exposure through QWebKitPlatformPlugin
        https://bugs.webkit.org/show_bug.cgi?id=46402

        QWebHapticFeedbackPlayer is exported through
        QWebKitPlatformPlugin::createExtension(), but
        createHapticFeedbackPlayer() and the correct
        inheritage are missing.

        * Api/qwebkitplatformplugin.h:
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createHapticFeedbackPlayer):
        * WebCoreSupport/QtPlatformPlugin.h:

2010-09-23  Nate Chapin  <japhet@chromium.org>

        Reviewed by Darin Fisher.

        Add hyperlink auditing settings (i.e., <a ping>).
        https://bugs.webkit.org/show_bug.cgi?id=30458

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):
        (QWebSettings::QWebSettings):
        * Api/qwebsettings.h:

2010-09-23  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Refactor QtWebKitPlatformPlugin interface

        Make it easier to keep source-compability for the 
        QtWebKitPlatformPlugin interface, and run qmake
        on the example (but not build) for convenience.

        https://bugs.webkit.org/show_bug.cgi?id=46345

        * Api/qwebkitplatformplugin.h:
        * WebCoreSupport/QtPlatformPlugin.cpp:
        * examples/platformplugin/README:
        * examples/platformplugin/WebPlugin.cpp:
        * examples/platformplugin/WebPlugin.h:
        * examples/platformplugin/qwebkitplatformplugin.h:

2010-09-22  Andras Becsi  <abecsi@webkit.org>

        Speculative build fix for the Qt Windows bots.

        * Api/DerivedSources.pro:

2010-09-22  Jamey Hicks  <jamey.hicks@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Web Inspector: Remote Web Inspector support for QtWebKit
        https://bugs.webkit.org/show_bug.cgi?id=43988

        Runs a web debug server on port specified by QtTestBrowser
        argument -remote-inspector-port. Property
        _q_webInspectorServerPort of the QWebPage instance will be set
        according to the argument. All pages with that property set will
        be remotely inspectable.

        URL for remote inspection of first QWebPage is
            http://localhost:9222/webkit/inspector/inspector.html?page=1
        where 1 is the number of the QWebPage instance.

        The base URL yields an index page with links to the individual inspectors:
            http://localhost:9222/

        * Api/qwebinspector.cpp:
        (QWebInspectorPrivate::attachAndReplaceRemoteFrontend):
        (QWebInspectorPrivate::detachRemoteFrontend):
        * Api/qwebinspector_p.h:
        (QWebInspectorPrivate::QWebInspectorPrivate):
        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):
        (QWebPagePrivate::inspectorServerPort):
        * Api/qwebpage.h:
        * Api/qwebpage_p.h:
        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::InspectorClientQt):
        (WebCore::InspectorClientQt::inspectorDestroyed):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::attachAndReplaceRemoteFrontend):
        (WebCore::InspectorClientQt::detachRemoteFrontend):
        (WebCore::InspectorClientQt::sendMessageToFrontend):
        * WebCoreSupport/InspectorClientQt.h:
        * WebCoreSupport/InspectorServerQt.cpp: Added.
        (WebCore::generateWebSocketChallengeResponse):
        (WebCore::parseWebSocketChallengeNumber):
        (WebCore::InspectorServerQt::server):
        (WebCore::InspectorServerQt::InspectorServerQt):
        (WebCore::InspectorServerQt::~InspectorServerQt):
        (WebCore::InspectorServerQt::listen):
        (WebCore::InspectorServerQt::close):
        (WebCore::InspectorServerQt::inspectorClientForPage):
        (WebCore::InspectorServerQt::registerClient):
        (WebCore::InspectorServerQt::unregisterClient):
        (WebCore::InspectorServerQt::newConnection):
        (WebCore::InspectorServerRequestHandlerQt::InspectorServerRequestHandlerQt):
        (WebCore::InspectorServerRequestHandlerQt::~InspectorServerRequestHandlerQt):
        (WebCore::InspectorServerRequestHandlerQt::tcpReadyRead):
        (WebCore::InspectorServerRequestHandlerQt::tcpConnectionDisconnected):
        (WebCore::InspectorServerRequestHandlerQt::webSocketSend):
        (WebCore::InspectorServerRequestHandlerQt::webSocketReadyRead):
        (WebCore::RemoteFrontendChannel::RemoteFrontendChannel):
        (WebCore::RemoteFrontendChannel::sendMessageToFrontend):
        * WebCoreSupport/InspectorServerQt.h: Added.

2010-09-22  Balazs Kelemen  <kb@inf.u-szeged.hu>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] PluginStrategy implementation is broken
        https://bugs.webkit.org/show_bug.cgi?id=46078

        Remove the QWebPage* member from WebPlatformStrategies.
        Get the originator QWebPage of the getPluginInfo call via
        the Page* argument.
        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        * WebCoreSupport/WebPlatformStrategies.cpp:
        (WebPlatformStrategies::initialize): 
        (WebPlatformStrategies::WebPlatformStrategies):
        (WebPlatformStrategies::getPluginInfo):
        Use the ChromeClient for accessing the originator QWebPage.
        * WebCoreSupport/WebPlatformStrategies.h:

2010-09-22  İsmail Dönmez  <ismail@namtrac.org>

        Reviewed by Andreas Kling.

        [Qt] Buildfix for WinCE

        * Api/DerivedSources.pro:

2010-09-20  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Eric Carlson.

        [GTK] enhanced context menu for media elements
        https://bugs.webkit.org/show_bug.cgi?id=45021

        * WebCoreSupport/WebPlatformStrategies.cpp:
        * WebCoreSupport/WebPlatformStrategies.h:
        (WebPlatformStrategies::contextMenuItemTagOpenVideoInNewWindow):
        (WebPlatformStrategies::contextMenuItemTagOpenAudioInNewWindow):
        (WebPlatformStrategies::contextMenuItemTagCopyVideoLinkToClipboard):
        (WebPlatformStrategies::contextMenuItemTagCopyAudioLinkToClipboard):
        (WebPlatformStrategies::contextMenuItemTagToggleMediaControls)
        (WebPlatformStrategies::contextMenuItemTagToggleMediaLoop)
        (WebPlatformStrategies::contextMenuItemTagEnterVideoFullscreen)
        (WebPlatformStrategies::contextMenuItemTagMediaPlay)
        (WebPlatformStrategies::contextMenuItemTagMediaPause)
        (WebPlatformStrategies::contextMenuItemTagMediaMute)

2010-09-20  Jacob Dinu  <dinu.jacob@nokia.com>

        Reviewed by Adam Barth.

        Added a new qwebpage test for loading a cached page
        https://bugs.webkit.org/show_bug.cgi?id=41155

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::loadCachedPage):

2010-09-08  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix forward includes generation for MSVC when sh is in PATH.

        MSVC's nmake isn't affected by having sh in PATH.

        * Api/DerivedSources.pro:

2010-09-18  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        Enable Platform Strategies on Qt

        [Qt] Turn on PLATFORM_STRATEGIES
        https://bugs.webkit.org/show_bug.cgi?id=45831

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate): Initialize the PlatformStrategy
        singleton.
        * WebCoreSupport/WebPlatformStrategies.cpp: Added, code was moved
        from platform/qt/Localizations.cpp and plugins/qt/PluginDataQt.cpp
        (WebPlatformStrategies::initialize): create the singleton,
        following the same "pattern" used by Mac and Win ports.
        (WebPlatformStrategies::WebPlatformStrategies):
        (WebPlatformStrategies::createPluginStrategy):
        (WebPlatformStrategies::createLocalizationStrategy):
        (WebPlatformStrategies::createVisitedLinkStrategy):
        (WebPlatformStrategies::refreshPlugins):
        (WebPlatformStrategies::getPluginInfo):
        (WebPlatformStrategies::inputElementAltText):
        (WebPlatformStrategies::resetButtonDefaultLabel):
        (WebPlatformStrategies::searchableIndexIntroduction):
        (WebPlatformStrategies::submitButtonDefaultLabel):
        (WebPlatformStrategies::fileButtonChooseFileLabel):
        (WebPlatformStrategies::fileButtonNoFileSelectedLabel):
        (WebPlatformStrategies::contextMenuItemTagOpenLinkInNewWindow):
        (WebPlatformStrategies::contextMenuItemTagDownloadLinkToDisk):
        (WebPlatformStrategies::contextMenuItemTagCopyLinkToClipboard):
        (WebPlatformStrategies::contextMenuItemTagOpenImageInNewWindow):
        (WebPlatformStrategies::contextMenuItemTagDownloadImageToDisk):
        (WebPlatformStrategies::contextMenuItemTagCopyImageToClipboard):
        (WebPlatformStrategies::contextMenuItemTagOpenFrameInNewWindow):
        (WebPlatformStrategies::contextMenuItemTagCopy):
        (WebPlatformStrategies::contextMenuItemTagGoBack):
        (WebPlatformStrategies::contextMenuItemTagGoForward):
        (WebPlatformStrategies::contextMenuItemTagStop):
        (WebPlatformStrategies::contextMenuItemTagReload):
        (WebPlatformStrategies::contextMenuItemTagCut):
        (WebPlatformStrategies::contextMenuItemTagPaste):
        (WebPlatformStrategies::contextMenuItemTagNoGuessesFound):
        (WebPlatformStrategies::contextMenuItemTagIgnoreSpelling):
        (WebPlatformStrategies::contextMenuItemTagLearnSpelling):
        (WebPlatformStrategies::contextMenuItemTagSearchWeb):
        (WebPlatformStrategies::contextMenuItemTagLookUpInDictionary):
        (WebPlatformStrategies::contextMenuItemTagOpenLink):
        (WebPlatformStrategies::contextMenuItemTagIgnoreGrammar):
        (WebPlatformStrategies::contextMenuItemTagSpellingMenu):
        (WebPlatformStrategies::contextMenuItemTagShowSpellingPanel):
        (WebPlatformStrategies::contextMenuItemTagCheckSpelling):
        (WebPlatformStrategies::contextMenuItemTagCheckSpellingWhileTyping):
        (WebPlatformStrategies::contextMenuItemTagCheckGrammarWithSpelling):
        (WebPlatformStrategies::contextMenuItemTagFontMenu):
        (WebPlatformStrategies::contextMenuItemTagBold):
        (WebPlatformStrategies::contextMenuItemTagItalic):
        (WebPlatformStrategies::contextMenuItemTagUnderline):
        (WebPlatformStrategies::contextMenuItemTagOutline):
        (WebPlatformStrategies::contextMenuItemTagWritingDirectionMenu):
        (WebPlatformStrategies::contextMenuItemTagTextDirectionMenu):
        (WebPlatformStrategies::contextMenuItemTagDefaultDirection):
        (WebPlatformStrategies::contextMenuItemTagLeftToRight):
        (WebPlatformStrategies::contextMenuItemTagRightToLeft):
        (WebPlatformStrategies::contextMenuItemTagInspectElement):
        (WebPlatformStrategies::searchMenuNoRecentSearchesText):
        (WebPlatformStrategies::searchMenuRecentSearchesText):
        (WebPlatformStrategies::searchMenuClearRecentSearchesText):
        (WebPlatformStrategies::AXWebAreaText):
        (WebPlatformStrategies::AXLinkText):
        (WebPlatformStrategies::AXListMarkerText):
        (WebPlatformStrategies::AXImageMapText):
        (WebPlatformStrategies::AXHeadingText):
        (WebPlatformStrategies::AXDefinitionListTermText):
        (WebPlatformStrategies::AXDefinitionListDefinitionText):
        (WebPlatformStrategies::AXButtonActionVerb):
        (WebPlatformStrategies::AXRadioButtonActionVerb):
        (WebPlatformStrategies::AXTextFieldActionVerb):
        (WebPlatformStrategies::AXCheckedCheckBoxActionVerb):
        (WebPlatformStrategies::AXUncheckedCheckBoxActionVerb):
        (WebPlatformStrategies::AXMenuListActionVerb):
        (WebPlatformStrategies::AXMenuListPopupActionVerb):
        (WebPlatformStrategies::AXLinkActionVerb):
        (WebPlatformStrategies::missingPluginText):
        (WebPlatformStrategies::crashedPluginText):
        (WebPlatformStrategies::multipleFileUploadText):
        (WebPlatformStrategies::unknownFileSizeText):
        (WebPlatformStrategies::imageTitle):
        (WebPlatformStrategies::mediaElementLoadingStateText):
        (WebPlatformStrategies::mediaElementLiveBroadcastStateText):
        (WebPlatformStrategies::localizedMediaControlElementString):
        (WebPlatformStrategies::localizedMediaControlElementHelpText):
        (WebPlatformStrategies::localizedMediaTimeDescription):
        (WebPlatformStrategies::validationMessageValueMissingText):
        (WebPlatformStrategies::validationMessageTypeMismatchText):
        (WebPlatformStrategies::validationMessagePatternMismatchText):
        (WebPlatformStrategies::validationMessageTooLongText):
        (WebPlatformStrategies::validationMessageRangeUnderflowText):
        (WebPlatformStrategies::validationMessageRangeOverflowText):
        (WebPlatformStrategies::validationMessageStepMismatchText):
        (WebPlatformStrategies::isLinkVisited):
        (WebPlatformStrategies::addVisitedLink):
        * WebCoreSupport/WebPlatformStrategies.h: Added, based on Mac and Win
        versions.

2010-09-18  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] V8 port: Add FrameLoaderClientQt::allowScriptExtension()
        https://bugs.webkit.org/show_bug.cgi?id=46034

        r67749 added FrameLoaderClient::allowScriptExtension() (V8-specific)
        Add a stub implementation that simply returns false for now.

        * WebCoreSupport/FrameLoaderClientQt.h:
        (WebCore::FrameLoaderClientQt::allowScriptExtension):

2010-09-17  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        REGRESSION (r60104): Zoom level is unexpectedly reset on page reload
        https://bugs.webkit.org/show_bug.cgi?id=42863

        * Api/qwebframe.cpp:
        (QWebFrame::setTextSizeMultiplier):
        (QWebFrame::textSizeMultiplier):
        (QWebFrame::setZoomFactor):
        (QWebFrame::zoomFactor):
        Call functions on Frame instead of FrameView.

2010-09-16  Darin Adler  <darin@apple.com>

        Fix build.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState): Updated for change
        in name of isUrlField to isURLField.

2010-09-16  Darin Adler  <darin@apple.com>

        Reviewed by Andreas Kling.

        Reduce use of HTMLInputElement::inputType so we can remove it later
        https://bugs.webkit.org/show_bug.cgi?id=45903

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::elementDoesAutoCompleteForElementWithId):
        Use isPasswordField.

2010-09-16  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Support globalhistory tests
        https://bugs.webkit.org/show_bug.cgi?id=45774

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::populateVisitedLinks):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::dumpHistoryCallbacks):
        (DumpRenderTreeSupportQt::dumpVisitedLinksCallbacks):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::setTitle):
        (WebCore::FrameLoaderClientQt::updateGlobalHistory):
        (WebCore::FrameLoaderClientQt::updateGlobalHistoryRedirectLinks):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-16  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Remove FrameLoaderClientQt::webFrame() to use NetworkingContext to get the WebFrame to avoid layering violations
        https://bugs.webkit.org/show_bug.cgi?id=42293

        * Api/qwebframe.cpp:
        (QWebFrame::childFrames):
        (QWebFramePrivate::kit):
        * Api/qwebpage.cpp:
        (QWebPage::currentFrame):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::runJavaScriptAlert):
        (WebCore::ChromeClientQt::runJavaScriptConfirm):
        (WebCore::ChromeClientQt::runJavaScriptPrompt):
        (WebCore::ChromeClientQt::contentsSizeChanged):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::chooseFile):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-15  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Update the Symbian def files

        Re-freeze with the viewport meta tag updates.

        * symbian/eabi/QtWebKitu.def:

2010-09-14  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] V8 port: Get inspector up and running
        https://bugs.webkit.org/show_bug.cgi?id=45771

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::ensureDebuggerScriptLoaded): Added, loads DebuggerScript.js into ScriptDebugServer.
        (WebCore::InspectorClientQt::openInspectorFrontend): Ensure that DebuggerScript.js is loaded
        before opening an inspector.

2010-09-14  Enrico Ros  <eros@codeaurora.org>

        Reviewed by Andreas Kling.

        [Qt] Respect title attribute on option elements
        https://bugs.webkit.org/show_bug.cgi?id=45084

        Set the tooltip in the combo box model, so it's reflected in the view.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopup::populate):

2010-09-13  Daniel Bates  <dbates@rim.com>

        https://bugs.webkit.org/show_bug.cgi?id=45732

        Fix the Qt build. I missed this when reviewing the patch
        for Bug #45732.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::suspendActiveDOMObjects): Change enum value ActiveDOMObject::JavaScriptPaused to
        ActiveDOMObject::JavaScriptDebuggerPaused

2010-09-13  Eric Carlson  <eric.carlson@apple.com>

        Reviewed by Daniel Bates.

        [Qt] DumpRenderTreeSupportQt::suspendActiveDOMObjects needs a new parameter
        https://bugs.webkit.org/show_bug.cgi?id=45732

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::suspendActiveDOMObjects): Pass ActiveDOMObject::JavaScriptPaused
        to suspendActiveDOMObjects.

2010-09-13  Enrica Casucci  <enrica@apple.com>

        Reviewed by Sam Weinig.

        Paste should be implemented in WebCore like Copy and Cut for Mac also.
        https://bugs.webkit.org/show_bug.cgi?id=45494
        <rdar://problem/7660537>

        On the Mac platform, the implementation of the paste operation is all done
        at the WebKit level. In order to support it on WebKit2 it is necessary to
        refactor the code and move this functionality at the level of WebCore like
        we already have on Windows.
        The original code relies on some in AppKit functions that call back into
        WebKit causing problems in WebKit2. All this functionality has been moved
        at the level of the editor client where it can be dealt with appropriately.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::canShowMIMETypeAsHTML): Added stub.
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-08-27  Kenneth Rohde Christiansen  <kenneth.christiansen@openbossa.org>

        Reviewed by Antti Koivisto.

        Add a Qt API for the viewport meta tag support based on the
        following draft spec:

        http://people.opera.com/rune/TR/ED-css-viewport-20100806/

        Add common handling of viewport meta tag based on new Opera spec
        https://bugs.webkit.org/show_bug.cgi?id=44201

        * Api/qwebframe_p.h:
        (QWebFramePrivate::QWebFramePrivate):
        * Api/qwebpage.cpp:
        (QWebPage::ViewportConfiguration::ViewportConfiguration):
        (QWebPage::ViewportConfiguration::~ViewportConfiguration):
        (QWebPage::ViewportConfiguration::operator=):
        (QWebPage::viewportConfigurationForSize):
        (QWebPage::setPreferredContentsSize):
        * Api/qwebpage.h:
        * Api/qwebpage_p.h:
        (QtViewportConfigurationPrivate::QtViewportConfigurationPrivate):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::didReceiveViewportArguments):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::viewportAsText):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidCommitLoad):
        (WebCore::FrameLoaderClientQt::dispatchDidFirstLayout):

2010-09-12  Martin Smith  <martin.smith@nokia.com>

        Reviewed by Simon Hausmann.

        doc: Changed the title so lists of contents sort better.

        * docs/qtwebkit.qdoc:

2010-09-12  David Boddie  <david.boddie@nokia.com>

        Reviewed by Simon Hausmann.

        Doc: More work on the QML documentation.

        * declarative/qdeclarativewebview.cpp:

2010-09-12  Martin Jones  <martin.jones@nokia.com>

        Reviewed by Simon Hausmann.

        [Qml] Ensure WebView gets focus when an editable node is clicked on.

        Task-number: QTBUG-13342

        * declarative/qdeclarativewebview.cpp:
        (GraphicsWebView::mousePressEvent):

2010-09-12  David Boddie  <david.boddie@nokia.com>

        Reviewed by Simon Hausmann.

        Doc: qdoc fixes.

        * declarative/qdeclarativewebview.cpp:

2010-09-12  Oswald Buddenhagen  <oswald.buddenhagen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] let WebKit inject itself into the qt configuration

        Task-number: QTBUG-12379

        * qt_webkit_version.pri: Use the faster + instead of *
        operator to add webkit to the config.

2010-09-12  Martin Smith  <martin.smith@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix group of declarative web view in QML docs.

        * declarative/qdeclarativewebview.cpp:

2010-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Partial implementation of Qt bridge using V8 and QtScript.

        * Api/qwebelement.cpp:
        (QWebElement::evaluateJavaScript): Stub it out for now,
        to compile, until we have a conversion path between v8::Object
        and QScriptValue.
        * Api/qwebframe.cpp:
        (QWebFrame::addToJavaScriptWindowObject): Implemented using
        few lines of QtScript code.
        (QWebFrame::evaluateJavaScript): Ditto.

2010-09-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Andreas Kling.

        Fix the build with V8.

        This is a temporary kludge until the scriptworld stuff is properly
        ported, as part of the upcoming DRT work.

        * Api/qwebscriptworld.cpp:
        (QWebScriptWorld::QWebScriptWorld):

2010-09-11  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] V8 port for Qt platform: Qt WebCoreSupport changes
        https://bugs.webkit.org/show_bug.cgi?id=45149

        Original patch by Vlad Burlik <volodimir.burlik@nokia.com>

        Implemented the V8 specifics needed in DumpRenderTreeSupportQt and
        FrameLoaderClientQt.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::javaScriptObjectsCount):
        (DumpRenderTreeSupportQt::garbageCollectorCollect):
        (DumpRenderTreeSupportQt::garbageCollectorCollectOnAlternateThread):
        (DumpRenderTreeSupportQt::evaluateScriptInIsolatedWorld):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::didCreateScriptContextForFrame):
        (WebCore::FrameLoaderClientQt::didDestroyScriptContextForFrame):
        (WebCore::FrameLoaderClientQt::didCreateIsolatedScriptContext):
        (WebCore::FrameLoaderClientQt::createDocumentLoader):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-11  Vlad Burlik  <volodimir.burlik@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] V8 port for QT platform: QT API implementation changes
        https://bugs.webkit.org/show_bug.cgi?id=45148

        V8 Implementation of QWebFrame::addToJavaScriptWindowObject()
        and QWebFrame::evaluateJavaScript()

        * Api/qwebelement.cpp:
        (setupScriptContext): JSC and V8 variations
        (QWebElement::evaluateJavaScript):
        * Api/qwebelement.h:
        * Api/qwebframe.cpp: QObject injection to V8 world
        (QWebFrame::addToJavaScriptWindowObject):
        (QWebFrame::evaluateJavaScript):
        * Api/qwebpage.cpp: Use ScriptController type definitions instead of direct references to JSC or V8
        (QWebPagePrivate::QWebPagePrivate):

2010-09-10  yi shen  <yi.4.shen@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] selected text gets deleted when qgraphicswebview losts focus
        https://bugs.webkit.org/show_bug.cgi?id=45539

        * Api/qwebpage.cpp:
        (QWebPagePrivate::inputMethodEvent):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-09-10  Sam Weinig  <sam@webkit.org>

        Fix Qt build.

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):

2010-09-10  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Remove unnecessary constraint in WebCore of choosing either text zoom or full page zoom.
        Precursor to <rdar://problem/7660657>
        https://bugs.webkit.org/show_bug.cgi?id=45522

        * Api/qwebframe.cpp:
        (QWebFrame::setTextSizeMultiplier):
        (QWebFrame::textSizeMultiplier):
        (QWebFrame::setZoomFactor):
        (QWebFrame::zoomFactor):
        * Api/qwebframe_p.h:
        (QWebFramePrivate::QWebFramePrivate):
        Move tracking of text only zoom here from WebCore.

2010-09-10  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] Support click event for notifications
        https://bugs.webkit.org/show_bug.cgi?id=44836

        Propagate click events to JavaScript from either the
        platform plugn or from QSystemTrayIcon.
        Also added the method NotificationWrapper::openerPageUrl so that
        if the platform plugin can reopen the page that created the
        notification directly, when the user clicks the notification.

        Added DumpRenderTreeSupportQt::simulateDesktopNotificationClick
        for testing purpose.

        * Api/qwebkitplatformplugin.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::simulateDesktopNotificationClick):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationWrapper::openerPageUrl):
        (WebCore::NotificationWrapper::notificationClicked):
        (WebCore::NotificationPresenterClientQt::displayNotification):
        (WebCore::NotificationPresenterClientQt::notificationClicked):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        * examples/platformplugin/WebNotificationPresenter.cpp:
        (WebNotificationWidget::event):
        * examples/platformplugin/WebNotificationPresenter.h:
        (WebNotificationPresenter::WebNotificationPresenter):
        * examples/platformplugin/qwebkitplatformplugin.h:

2010-09-10  Adam Barth  <abarth@webkit.org>

        Attempt to fix the failign Qt tests.  This patch adapts code from
        Chromium.  The long-term fix is to remove the need for this code, but
        that's a bit too complicated for a buildfix patch.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::FrameLoaderClientQt):
        (WebCore::FrameLoaderClientQt::makeRepresentation):
        (WebCore::FrameLoaderClientQt::revertToProvisionalState):
        (WebCore::FrameLoaderClientQt::finishedLoading):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Fisher.

        Move code from WebKit-layer to DocumentLoader
        https://bugs.webkit.org/show_bug.cgi?id=45569

        This code didn't know that setEncoding can be called multiple times.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::FrameLoaderClientQt):
        (WebCore::FrameLoaderClientQt::finishedLoading):
        (WebCore::FrameLoaderClientQt::setMainDocumentError):
        (WebCore::FrameLoaderClientQt::committedLoad):
        (WebCore::FrameLoaderClientQt::dispatchDidReceiveResponse):
        (WebCore::FrameLoaderClientQt::dispatchDidFailLoading):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-09-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Main resource bytes shouldn't bounce through FrameLoader
        https://bugs.webkit.org/show_bug.cgi?id=45496

        Now return the bytes to the DocumentLoader.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::committedLoad):

2010-09-08  Darin Adler  <darin@apple.com>

        Reviewed by Adam Barth.

        Move functions from Frame to Editor as planned
        https://bugs.webkit.org/show_bug.cgi?id=45218

        * Api/qwebpage.cpp:
        (QWebPage::selectedText):
        (QWebPage::setContentEditable):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::firstRectForCharacterRange):
        Changed call sites to use editor().

2010-09-08  Peter Kasting  <pkasting@google.com>

        Reviewed by David Hyatt.

        Add smooth scrolling framework, and a Windows implementation.
        https://bugs.webkit.org/show_bug.cgi?id=32356

        * Api/qwebframe.cpp:
        (QWebFrame::setScrollBarValue):

2010-09-06  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Update NetworkAccessManager in Qt FrameNetworkingContext
        https://bugs.webkit.org/show_bug.cgi?id=45231

        Make possible to get the current QNAM when NetwokingContext request it.

        * WebCoreSupport/FrameNetworkingContextQt.cpp:
        (WebCore::FrameNetworkingContextQt::networkAccessManager):

2010-09-06  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Antonio Gomes.

        Web Inspector: Tests crash on Qt bots revealed by r66720
        https://bugs.webkit.org/show_bug.cgi?id=45256

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::InspectorClientQt): m_frontendClient must be initialized by constructor

2010-09-06  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed. Attempt to fix random test crashes after r66720.

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::~InspectorFrontendClientQt):
        * WebCoreSupport/InspectorClientQt.h:

2010-09-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r66801.
        http://trac.webkit.org/changeset/66801
        https://bugs.webkit.org/show_bug.cgi?id=45242

        'breaks editing/pasteboard/onpaste-text-html.html' (Requested
        by mwenge4 on #webkit).

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::addMessageToConsole):

2010-09-05  Robert Hogan  <robert@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] utf8 encoding of console() messages

        http/tests/security/xssAuditor/embed-tag-null-char.html
        http/tests/security/xssAuditor/object-embed-tag-null-char.html

        both fail because ChromeClientQt::addMessageToConsole() is
        casting String to QString rather than String::utf8().data()

        https://bugs.webkit.org/show_bug.cgi?id=45240

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::addMessageToConsole):

2010-09-03  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        Reviewed by Darin Adler.

        Add NetworkingContext to avoid layer violations
        https://bugs.webkit.org/show_bug.cgi?id=42292

        Add Qt's specific implementation of NetworkingContext.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::setFrame):
        (WebCore::FrameLoaderClientQt::createNetworkingContext):
        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/FrameNetworkingContextQt.cpp:
        (WebCore::FrameNetworkingContextQt::FrameNetworkingContextQt):
        (WebCore::FrameNetworkingContextQt::create):
        (WebCore::FrameNetworkingContextQt::originatingObject):
        (WebCore::FrameNetworkingContextQt::networkAccessManager):

2010-09-02  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        REGRESSION: Crash occurs at objc_msgSend when closing a window that is displaying the web inspector
        https://bugs.webkit.org/show_bug.cgi?id=44230

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::inspectorDestroyed):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::releaseFrontendPage):
        (WebCore::InspectorFrontendClientQt::closeWindow):
        (WebCore::InspectorFrontendClientQt::disconnectFromBackend):
        (WebCore::InspectorFrontendClientQt::destroyInspectorView):
        (WebCore::InspectorFrontendClientQt::inspectorClientDestroyed):
        * WebCoreSupport/InspectorClientQt.h:

2010-09-02  Andreas Kling  <andreas.kling@nokia.com>

        Rubber-stamped by Simon Hausmann.

        [Qt] REGRESSION(r62898): tst_QWebFrame crashing
        https://bugs.webkit.org/show_bug.cgi?id=43039

        Rolling out the offending change <http://trac.webkit.org/changeset/62898>

        * tests/qwebframe/tst_qwebframe.cpp:
        (tst_QWebFrame::evalJSV):

2010-09-01  Mahesh Kulkarni  <mahesh.kulkarni@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] QWebPage::allowGeolocationRequest should be async API
        https://bugs.webkit.org/show_bug.cgi?id=41364

        Provides a new async API for geolocation permission. Using
        Notification API approach from qtwebkit. GeolocationPermissionClientQt 
        maintains list of pending requests from WebCore and intimates them
        when client either allowes/denies the request. Also implements
        ChromeClientQt::cancelGeolocationPermissionRequestForFrame.  

        * Api/qwebpage.cpp:
        (QWebPage::setUserPermission):
        * Api/qwebpage.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::requestGeolocationPermissionForFrame):
        (WebCore::ChromeClientQt::cancelGeolocationPermissionRequestForFrame):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/GeolocationPermissionClientQt.cpp: Added.
        (WebCore::GeolocationPermissionClientQt::geolocationPermissionClient):
        (WebCore::GeolocationPermissionClientQt::GeolocationPermissionClientQt):
        (WebCore::GeolocationPermissionClientQt::~GeolocationPermissionClientQt):
        (WebCore::GeolocationPermissionClientQt::requestGeolocationPermissionForFrame):
        (WebCore::GeolocationPermissionClientQt::cancelGeolocationPermissionRequestForFrame):
        (WebCore::GeolocationPermissionClientQt::setPermission):
        * WebCoreSupport/GeolocationPermissionClientQt.h: Added.
        * tests/qwebpage/tst_qwebpage.cpp:
        (JSTestPage::requestPermission):
        (tst_QWebPage::geolocationRequestJS):

2010-08-31  Dave Hyatt  <hyatt@apple.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=44863, disentangle style recalc from layout, so that
        the former can occur in more places without having to do the latter.

        * Api/qwebelement.cpp:
        (QWebElement::render):
        * Api/qwebframe.cpp:
        (QWebFramePrivate::renderRelativeCoords):

2010-08-31  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] tst_QWebPage::originatingObjectInNetworkRequests() fails on trunk
        https://bugs.webkit.org/show_bug.cgi?id=45001

        Fix the test, we should not use data encoded URL since we are not
        setting an URL but setting the substituteData directly.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::originatingObjectInNetworkRequests):

2010-08-31  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        JSC TimeoutChecker::didTimeOut overflows on ARM
        https://bugs.webkit.org/show_bug.cgi?id=38538

        Re-enabled the test that was skipped for Maemo 5.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::infiniteLoopJS):

2010-08-30  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r66198.
        http://trac.webkit.org/changeset/66198
        https://bugs.webkit.org/show_bug.cgi?id=44856

        It made tests crash on Qt bot (Requested by Ossy_ on #webkit).

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::inspectorDestroyed):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::releaseFrontendPage):
        (WebCore::InspectorFrontendClientQt::closeWindow):
        * WebCoreSupport/InspectorClientQt.h:

2010-08-28  Daniel Bates  <dbates@rim.com>

        Attempt to fix the Qt Windows and Qt Linux Release minimal builds
        after changeset 66297 <http://trac.webkit.org/changeset/66297>.

        * Api/qwebplugindatabase.cpp:
        (QWebPluginDatabase::plugins): Wrap the call to PluginPackage::ensurePluginLoaded
        in #if ENABLE(NETSCAPE_PLUGIN_METADATA_CACHE).

2010-08-27  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] tst_QWebView::focusInputTypes() fails on MeeGo Handset with WebKit 2.1
        https://bugs.webkit.org/show_bug.cgi?id=44761

        Make the test more robust to changes in the execution environment. The click
        are now correctly simulated, and the position are determined from the content.

        The test also create the view and page on the stack to avoid the leak when the
        test is failing.

        * tests/qwebview/tst_qwebview.cpp:
        (tst_QWebView::focusInputTypes):

2010-08-27  Kimmo Kinnunen  <kimmo.t.kinnunen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Cache plugin info to a persistent database

        https://bugs.webkit.org/show_bug.cgi?id=43179

        Implement a cache of NPAPI plugin metadata. Write the metadata to aa
        file that gets rewritten if any plugin is added / removed.  Compilation
        of the feature is controlled by #if ENABLE(NETSCAPE_PLUGIN_METADATA_CACHE)

        Currently only enabled for Qt UNIX flavors.

        * Api/qwebplugindatabase.cpp:
        (QWebPluginDatabase::plugins):  Match previous behavior: ensure all returned plugins are loaded.
        * Api/qwebsettings.cpp:
        (QWebSettings::enablePersistentStorage): Set plugin cache path.

2010-08-27  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] tst_QWebFrame::inputFieldFocus() fails on MeeGo Handset with QtWebKit 2.1
        https://bugs.webkit.org/show_bug.cgi?id=44703

        Make the test more robust to changes in the execution environment.
        The position where the mouse events are sent is now computed from the element geometry,
        this make the test less dependent on the fonts.

        The test now also make sure the window manager mapped the window on screen
        before attempting to send the events.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-08-27  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] tst_QWebFrame::hitTestContent() fails on Meego Handset
        https://bugs.webkit.org/show_bug.cgi?id=44701

        Make the test more robust. The position of the text is not relying
        on the size of the fonts anymore.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-08-26  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Add support for automatically creating new windows in QWebView
        https://bugs.webkit.org/show_bug.cgi?id=29847

        Improved the documentation of createWindow methods of both QWebView and
        QWebPage by mentioning that for any of them be called, QWebSettings'
        JavaScriptCanOpenWindows attribute must be set to true.

        * Api/qwebpage.cpp:
        * Api/qwebview.cpp:

2010-08-27  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        REGRESSION: Crash occurs at objc_msgSend when closing a window that is displaying the web inspector
        https://bugs.webkit.org/show_bug.cgi?id=44230

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::inspectorDestroyed):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::releaseFrontendPage):
        (WebCore::InspectorFrontendClientQt::closeWindow):
        (WebCore::InspectorFrontendClientQt::disconnectFromBackend):
        (WebCore::InspectorFrontendClientQt::destroyInspectorView):
        (WebCore::InspectorFrontendClientQt::inspectorClientDestroyed):
        * WebCoreSupport/InspectorClientQt.h:

2010-08-26  Girish Ramakrishnan  <girish@forwardbias.in>

        Reviewed by Antonio Gomes.

        [Qt] Remove dead code.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::statusbarVisible):

2010-08-26  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed. Revert r66103 since Qt tests are failing.

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::closeWindow):
        * WebCoreSupport/InspectorClientQt.h:

2010-08-26  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        REGRESSION: Crash occurs at objc_msgSend when closing a window that is displaying the web inspector
        https://bugs.webkit.org/show_bug.cgi?id=44230

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::closeWindow):
        (WebCore::InspectorFrontendClientQt::disconnectFromBackend):
        (WebCore::InspectorFrontendClientQt::destroyInspectorView):
        * WebCoreSupport/InspectorClientQt.h:

2010-08-26  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] tst_QWebFrame::popupFocus() hardcode the element position
        https://bugs.webkit.org/show_bug.cgi?id=44674

        This patch dynamically find the position of the combo element instead
        of hardcoding a position to click.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-08-25  Leo Yang  <leo.yang@torchmobile.com.cn>

        Reviewed by Simon Hausmann.

        In FrameLoaderClientQt::createFrame we should call loadURLIntoChildFrame
        with parent frame's loader instead of child frame's loader.
        https://bugs.webkit.org/show_bug.cgi?id=43930

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createFrame):

2010-08-25  Gabor Loki  <loki@webkit.org>

        Reviewed by Gavin Barraclough.

        Avoid increasing required alignment of target type warning
        https://bugs.webkit.org/show_bug.cgi?id=43963

        Fix alignment warnings on Qt.

        * Api/qwebelement.cpp:
        (QWebElement::evaluateJavaScript):
        * Api/qwebframe.cpp:
        (QWebFrame::addToJavaScriptWindowObject):

2010-08-24  Andras Becsi  <abecsi@inf.u-szeged.hu>

        Reviewed by Simon Hausmann.

        [Qt] Fix predeclared variables for Symbian to be able to build QtWebKit for Symbian on Linux.

        * Api/DerivedSources.pro:

2010-08-20  Girish Ramakrishnan  <girish@forwardbias.in>

        Reviewed by Ariya Hidayat.

        [Qt] Allow wmode=transparent in QWebView on Maemo5 after r65775.
        
        https://bugs.webkit.org/show_bug.cgi?id=44043

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-08-22  Marc Mutz  <marc.mutz@kdab.com>

        Reviewed by Antonio Gomes.

        [Qt] Actually emit the QWebView::selectionChanged() signal

        https://bugs.webkit.org/show_bug.cgi?id=44252

        * Api/qwebview.cpp:
        (QWebView::setPage): Connect QWebPage::selectionChanged() to QWebView::selectionChanged()

2010-08-20  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Ariya Hidayat.

        [Qt] constify core() and kit() parameters
        https://bugs.webkit.org/show_bug.cgi?id=44347

        * Api/qwebframe.cpp:
        (QWebFrame::evaluateJavaScript):
        * Api/qwebframe_p.h:
        * Api/qwebhistory.cpp:
        (QWebHistoryItemPrivate::core):
        * Api/qwebhistory_p.h:
        * Api/qwebpage.cpp:
        (QWebPagePrivate::core):
        * Api/qwebpage_p.h:

2010-08-19  Balazs Kelemen  <kb@inf.u-szeged.hu>

        Reviewed by Antonio Gomes.

        [Qt] Fix cursor change propagation
        https://bugs.webkit.org/show_bug.cgi?id=44250

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::setCursor): Implemented. Propagete the callback forward to the PageClient.

2010-08-19  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX #3: <http://webkit.org/b/44285> Fix compilation with NETSCAPE_PLUGIN_API disabled

        Still trying to make Qt Linux Release minimal buildbot happy.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin): Wrap code that
        handles Netscape plugins in #if ENABLE(NETSCAPE_PLUGIN_API)
        and #endif.

2010-08-19  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: FrameLoaderClientQt.h should include ResourceError.h

        * WebCoreSupport/FrameLoaderClientQt.h: Include ResourceError.h.

2010-08-19  Girish Ramakrishnan  <girish@forwardbias.in>

        Reviewed by Kenneth Christiansen.

        [Qt] Inject wmode=opaque for both QWebView and QGraphicsWebView on Maemo5
        as Flash XEmbed support is flaky.

        https://bugs.webkit.org/show_bug.cgi?id=44043

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):

2010-08-18  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, trivial Symbian build fix.

        [Qt] Remove unnecessary QtGui include from NotificationPresenterClientQt.cpp

        * WebCoreSupport/NotificationPresenterClientQt.cpp:

2010-08-17  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Ariya Hidayat.

        [Qt] [Symbian] Consistently use Q_OS_SYMBIAN to guard all Symbian platform dependencies
        https://bugs.webkit.org/show_bug.cgi?id=44124

        Q_WS_S60 is not defined for Symbian^4 devices as Q_WS_S60 used to guard
        Avkon UI framework dependencies. Use Q_OS_SYMBIAN everywhere to mark
        Symbian dependencies.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopup::populate):

2010-08-17  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        Reviewed by Darin Adler.

        Add NetworkingContext to avoid layer violations
        https://bugs.webkit.org/show_bug.cgi?id=42292

        Preparation: Just add the files to the build system.

        * WebCoreSupport/FrameNetworkingContextQt.cpp: Added.
        Empty placeholder for now.
        * WebCoreSupport/FrameNetworkingContextQt.h: Added.
        Placeholder with tentative code that might be changed when landing
        the rest of it.

2010-08-17  Hui Huang  <hui.2.huang@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Fix ARM5 compiling error in FrameLoaderClientQt.cpp
        https://bugs.webkit.org/show_bug.cgi?id=43927

        In the Symbian build chain QT_USE_FAST_OPERATOR_PLUS is defined,
        which means that the '+' will automatically be performed as the
        QStringBuilder '%'. Create a QString explicitly to make sure that
        toLocal8bit() member is available that the qPrintable Macro uses.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDecidePolicyForNavigationAction):

2010-08-16  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Kenneth Christiansen.

        [Qt] Implement ChromeClient's windowToScreen() and screenToWindow()

        * WebCoreSupport/ChromeClientQt.cpp:

2010-08-14  Adam Barth  <abarth@webkit.org>

        Propagate name change to Qt.

        * Api/qwebelement.cpp:
        (QWebElement::appendInside):
        (QWebElement::prependInside):
        (QWebElement::prependOutside):
        (QWebElement::appendOutside):
        (QWebElement::encloseContentsWith):
        (QWebElement::encloseWith):

2010-08-12  Jeremy Orlow  <jorlow@chromium.org>

        Revert for now
        https://bugs.webkit.org/show_bug.cgi?id=43794 

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):

2010-08-11  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Adam Barth.

        Some settings are linked to the PageGroup not the Page.  Create a new class for those.
        https://bugs.webkit.org/show_bug.cgi?id=43794

        Change WebSettings to use the new GroupSettings class rather than Settings for the
        settings that moved.  This is sub-optimal since the settings aren't really
        per-view, but I don't see how we can change the API at this point.

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):

2010-08-11  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Update the Symbian def files

        Re-freeze with various QGraphicsWebView and DRT updates.
        The uppper part of the diff is just whitespace, so 
        diff -w will show the real diff.

        * symbian/eabi/QtWebKitu.def:

2010-08-10  Anders Bakken  <agbakken@gmail.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Don't connect to microFocusChanged() if _q_updateMicroFocus is a noop.
        https://bugs.webkit.org/show_bug.cgi?id=40580

        _q_updateMicroFocus() is a noop unless this ifdef evaluates to true:
        #if !defined(QT_NO_IM) && (defined(Q_WS_X11) || defined(Q_WS_QWS) || defined(Q_OS_SYMBIAN))

        In such cases there's no need to carry the overhead of the extra
        signal/slot connection.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::_q_updateMicroFocus):
        (QGraphicsWebView::setPage):

2010-08-10  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Oliver Hunt.

        Add suspendAnimations/resumeAnimation API to DRT
        https://bugs.webkit.org/show_bug.cgi?id=43733
        
        Qt specific API. Missing symbian symbol defines in:
        
            WebKit/qt/symbian/bwins/QtWebKitu.def
            WebKit/qt/symbian/eabi/QtWebKitu.def

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::suspendAnimations):
        (DumpRenderTreeSupportQt::resumeAnimations):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-08-06  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig

        Bug 43594 - Add string forwards to Forward.h
        This allows us to remove forward declarations for these classes from
        WebCore/WebKit (a step in moving these class from WebCore:: to WTF::).

        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/InspectorClientQt.h:

2010-08-08  Ariya Hidayat  <ariya@sencha.com>

        Reviewed by Antonio Gomes.

        Inconsistent Qt version checks
        https://bugs.webkit.org/show_bug.cgi?id=43695

        Use QT_VERSION_CHECK macro instead of encoded hex.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::QGraphicsWebView):
        (QGraphicsWebViewPrivate::detachCurrentPage):
        * Api/qwebframe.cpp:
        (QWebFrame::load):
        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        (QWebPagePrivate::inputMethodEvent):
        (QWebPage::inputMethodQuery):
        (QWebPage::view):
        * Api/qwebview.cpp:
        (QWebViewPrivate::detachCurrentPage):
        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createPlugin):
        * WebCoreSupport/PageClientQt.cpp:
        * WebCoreSupport/PageClientQt.h:

2010-08-06  Jessie Berlin  <jberlin@apple.com>

        Roll out http://trac.webkit.org/changeset/64801, which broke the Safari Windows Build.
        Unreviewed.

        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/InspectorClientQt.h:

2010-08-06  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Move Qt's popup menu implementation from WebCore to WebKit layer
        https://bugs.webkit.org/show_bug.cgi?id=43427

        After PopupMenu changes in bug 42592 class QtAbstractWebPopup became unecessary and
        there is no need to keep any Qt specific code for popup menus in WebCore/platform/qt.

        PopupMenuQt has been moved from WebCore/platform/qt to WebKit/qt/WebCoreSupport and
        assumed the responsibilities of QtAbstractWebPopup. SearchPopupMenuQt has been moved
        to WebKit/qt/WebCoreSupport as well.

        All classes that previously inherited from QtAbstractWebPopup now inherit from
        QWebSelectMethod and QtPlatformPlugin's method createSelectInputMethod now returns an
        instance of class QWebSelectMethod instead of QtAbstractWebPopup.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createSelectPopup):
        (WebCore::ChromeClientQt::createPopupMenu):
        (WebCore::ChromeClientQt::createSearchPopupMenu):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/PopupMenuQt.cpp: Added.
        (SelectData::SelectData):
        (SelectData::itemText):
        (SelectData::itemToolTip):
        (SelectData::itemIsEnabled):
        (SelectData::itemCount):
        (SelectData::itemIsSelected):
        (SelectData::multiple):
        (SelectData::itemType):
        (WebCore::PopupMenuQt::PopupMenuQt):
        (WebCore::PopupMenuQt::~PopupMenuQt):
        (WebCore::PopupMenuQt::disconnectClient):
        (WebCore::PopupMenuQt::show):
        (WebCore::PopupMenuQt::didHide):
        (WebCore::PopupMenuQt::hide):
        (WebCore::PopupMenuQt::updateFromElement):
        (WebCore::PopupMenuQt::selectItem):
        * WebCoreSupport/PopupMenuQt.h: Added.
        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopupCombo::hidePopup):
        (WebCore::QtFallbackWebPopup::QtFallbackWebPopup):
        (WebCore::QtFallbackWebPopup::show):
        (WebCore::QtFallbackWebPopup::populate):
        (WebCore::QtFallbackWebPopup::activeChanged):
        (WebCore::QtFallbackWebPopup::pageClient):
        * WebCoreSupport/QtFallbackWebPopup.h:
        (WebCore::QtFallbackWebPopup::setGeometry):
        (WebCore::QtFallbackWebPopup::geometry):
        (WebCore::QtFallbackWebPopup::setFont):
        (WebCore::QtFallbackWebPopup::font):
        * WebCoreSupport/QtMaemoWebPopup.cpp:
        (WebCore::Maemo5Popup::populateList):
        (WebCore::QtMaemoWebPopup::QtMaemoWebPopup):
        (WebCore::QtMaemoWebPopup::createSingleSelectionPopup):
        (WebCore::QtMaemoWebPopup::createMultipleSelectionPopup):
        (WebCore::QtMaemoWebPopup::createPopup):
        (WebCore::QtMaemoWebPopup::show):
        (WebCore::QtMaemoWebPopup::popupClosed):
        (WebCore::QtMaemoWebPopup::itemClicked):
        (WebCore::Maemo5SingleSelectionPopup::Maemo5SingleSelectionPopup):
        (WebCore::Maemo5MultipleSelectionPopup::Maemo5MultipleSelectionPopup):
        * WebCoreSupport/QtMaemoWebPopup.h:
        (WebCore::Maemo5Popup::Maemo5Popup):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createSelectInputMethod):
        * WebCoreSupport/QtPlatformPlugin.h:
        * WebCoreSupport/SearchPopupMenuQt.cpp: Added.
        (WebCore::SearchPopupMenuQt::SearchPopupMenuQt):
        (WebCore::SearchPopupMenuQt::popupMenu):
        (WebCore::SearchPopupMenuQt::saveRecentSearches):
        (WebCore::SearchPopupMenuQt::loadRecentSearches):
        (WebCore::SearchPopupMenuQt::enabled):
        * WebCoreSupport/SearchPopupMenuQt.h: Added.

2010-08-06  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] Add support for the Android viewport meta tag extensions.
        http://webkit.org/b/43567

        * Api/qwebpage.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::didReceiveViewportArguments):

2010-08-05  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig

        Bug 43594 - Add string forwards to Forward.h
        This allows us to remove forward declarations for these classes from
        WebCore/WebKit (a step in moving these class from WebCore:: to WTF::).

        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/InspectorClientQt.h:

2010-08-05  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Clean up the input method handling
        https://bugs.webkit.org/show_bug.cgi?id=43545

        Replace the way of individually setting input method hints by
        many calls to QWidget::setInputMethodHints with one single call.

        This is more efficient by requiring less updates in the input
        method hint.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQWidget::setInputMethodHints):
        (WebCore::PageClientQGraphicsWidget::setInputMethodHints):
        * WebCoreSupport/PageClientQt.h:

2010-08-05  David Leong  <david.leong@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Input mode states are not reset after entering a password field
        https://bugs.webkit.org/show_bug.cgi?id=43530

        Input mode hints are not reset if clicking on password <input> elements then 
        clicking on <textarea> elements

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * tests/qwebview/resources/input_types.html:
        * tests/qwebview/tst_qwebview.cpp:
        (tst_QWebView::focusInputTypes):


2010-08-04  Pierre Rossi  <pierre.rossi@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] QWebFrame::setContent() does not respect charset provided in the mimeType
        https://bugs.webkit.org/show_bug.cgi?id=43125

        * Api/qwebframe.cpp:
        (QWebFrame::setContent):
        * tests/qwebframe/tst_qwebframe.cpp:

2010-08-03  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Edits to bridge documentation
        https://bugs.webkit.org/show_bug.cgi?id=43012

        * docs/qtwebkit-bridge.qdoc:
        * docs/webkitsnippets/qtwebkit_bridge_snippets.cpp:
        (wrapInFunction):

2010-08-03  Kim Grönholm  <kim.1.gronholm@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Platform plugin interface for Haptics
        https://bugs.webkit.org/show_bug.cgi?id=43143

        Platform plugin interface for playing haptic feedback

        * Api/qwebkitplatformplugin.h:
        (QWebHapticFeedbackPlayer::):
        (QWebKitPlatformPlugin::):
        * examples/platformplugin/WebPlugin.h:
        (WebPlugin::createHapticFeedbackPlayer):
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebHapticFeedbackPlayer::):
        (QWebKitPlatformPlugin::):

2010-07-27  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Darin Fisher.

        PopupMenu refactoring in preparation to WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=42592

        As ChromeClient was made responsible for providing PopupMenu and SearchPopupMenu
        instances, concrete classes that inherit from ChromeClient needed to be changed to
        implement the new methods.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::selectItemWritingDirectionIsNatural):
        (WebCore::ChromeClientQt::createPopupMenu):
        (WebCore::ChromeClientQt::createSearchPopupMenu):
        * WebCoreSupport/ChromeClientQt.h:

2010-08-02  Jeremy Orlow  <jorlow@chromium.org>

        Speculative revert of 64425 due to Chromium instability
        https://bugs.webkit.org/show_bug.cgi?id=43347

        * WebCoreSupport/ChromeClientQt.cpp:
        * WebCoreSupport/ChromeClientQt.h:

2010-07-27  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Darin Fisher.

        PopupMenu refactoring in preparation to WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=42592

        As ChromeClient was made responsible for providing PopupMenu and SearchPopupMenu
        instances, concrete classes that inherit from ChromeClient needed to be changed to
        implement the new methods.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::selectItemWritingDirectionIsNatural):
        (WebCore::ChromeClientQt::createPopupMenu):
        (WebCore::ChromeClientQt::createSearchPopupMenu):
        * WebCoreSupport/ChromeClientQt.h:

2010-07-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r64422.
        http://trac.webkit.org/changeset/64422
        https://bugs.webkit.org/show_bug.cgi?id=43304

        Build fixes are needed for Snow Leopard and Windows.
        (Requested by lca on #webkit).

        * WebCoreSupport/ChromeClientQt.cpp:
        * WebCoreSupport/ChromeClientQt.h:

2010-07-27  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Darin Fisher.

        PopupMenu refactoring in preparation to WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=42592

        As ChromeClient was made responsible for providing PopupMenu and SearchPopupMenu
        instances, concrete classes that inherit from ChromeClient needed to be changed to
        implement the new methods.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::selectItemWritingDirectionIsNatural):
        (WebCore::ChromeClientQt::createPopupMenu):
        (WebCore::ChromeClientQt::createSearchPopupMenu):
        * WebCoreSupport/ChromeClientQt.h:

2010-07-30  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Simon Fraser.

        Enabling view modes to all platforms
        https://bugs.webkit.org/show_bug.cgi?id=37505

        As view mode media feature is now supported by WebCore there is no need
        to keep its implementation here. QtWebKit now uses WebCore's view mode media feature
        implementation.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):
        * Api/qwebpage_p.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        * WebCoreSupport/ChromeClientQt.h:

2010-07-30  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by David Kilzer.

        Limit ApplicationCache Total and Per-Origin Storage Capacity (Quotas)
        https://bugs.webkit.org/show_bug.cgi?id=40627

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::reachedApplicationCacheOriginQuota):
        * WebCoreSupport/ChromeClientQt.h:

2010-07-29  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Antonio Gomes.

        QWebFrame and QWebView documentation fix.

        The QWebFrame and the QWebView setHtml() methods are a bit confusing.
        There are a few registered bugs in Webkit's bugzilla that source is
        in a bad usage of the function.
        Additional information were added.

        https://bugs.webkit.org/show_bug.cgi?id=31115

        * Api/qgraphicswebview.cpp:
        * Api/qwebframe.cpp:
        * Api/qwebview.cpp:

2010-07-28  Kim Grönholm  <kim.1.gronholm@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] Decouple QTouchEvent's accepted flag from JS prevent default
        https://bugs.webkit.org/show_bug.cgi?id=42892

        Added comments to the touch event handling code.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::sceneEvent):
        * Api/qwebpage.cpp:
        (QWebPagePrivate::touchEvent):
        (QWebPage::event):
        * Api/qwebpage_p.h:
        * Api/qwebview.cpp:
        (QWebView::event):

2010-07-26  Steve Block  <steveblock@google.com>

        Reviewed by Jeremy Orlow.

        Page clients should be passed to Page constructor via structure of pointers
        https://bugs.webkit.org/show_bug.cgi?id=42834

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-07-27  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] Incorrect input method hints
        https://bugs.webkit.org/show_bug.cgi?id=43037

        Properly set or reset all input method hints when
        activating input fields.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * tests/qwebview/tst_qwebview.cpp:
        (tst_QWebView::focusInputTypes): Extended unit test to verify that we
        reset hints.

2010-07-27  Kim Grönholm  <kim.1.gronholm@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Decouple QTouchEvent's accepted flag from JS prevent default
        https://bugs.webkit.org/show_bug.cgi?id=42892

        We need to always accept the QTouchEvents in order to get TouchUpdate and
        TouchEnd events. QWebPage::event() return value is used to indicate
        whether the default action was prevented for the touch events.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::sceneEvent):
        * Api/qwebpage.cpp:
        (QWebPagePrivate::touchEvent):
        (QWebPage::event):
        * Api/qwebpage_p.h:
        * Api/qwebview.cpp:
        (QWebView::event):

2010-07-26  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Change default font from sans-serif to serif

        This matches what other ports and browser engines do.

        We now also use QFont's defaultFontFamily() to resolve the
        correct fonts for each platform. For Qt >= 4.7 we can take
        advantage of the new enums for generic font families.

        * Api/qwebsettings.cpp:

2009-10-30  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Use the default timeout interval for JS as the HTML tokenizer delay for setHtml()

        This ensures that long-running JavaScript (for example due to a modal alert() dialog),
        will not trigger a deferred load after only 500ms (the default tokenizer delay) while
        still giving a reasonable timeout (10 seconds) to prevent deadlock.

        https://bugs.webkit.org/show_bug.cgi?id=29381

        * Api/qwebframe.cpp: Document the behaviour
        * WebCoreSupport/FrameLoaderClientQt.cpp: set the custom tokenizer delay for substitute loads
        * tests/qwebframe/tst_qwebframe.cpp: Add test

2010-07-23  David Boddie  <dboddie@trolltech.com>

        Reviewed by Simon Hausmann.

        Doc: Fixed incorrect QML property type.

        * declarative/qdeclarativewebview.cpp:

2010-07-23  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Build fix for Qt apps

        Add webkit to QT_CONFIG. qconfig.pri will read qt_webkit_version.pri and
        that's how it will pick up webkit in QT_CONFIG.

        * qt_webkit_version.pri:

2010-07-22  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] QtWebKit needs public API for Notifications.
        https://bugs.webkit.org/show_bug.cgi?id=41413

        Remove DumpRenderTree private API and introduce new API.
        Also add support for informing the UI when a notification request is cancelled.

        * Api/qwebpage.cpp:
        (QWebPage::setUserPermission):
        * Api/qwebpage.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::requestPermission):
        (WebCore::NotificationPresenterClientQt::checkPermission):
        (WebCore::NotificationPresenterClientQt::cancelRequestsForPermission):
        (WebCore::NotificationPresenterClientQt::allowNotificationForFrame):
        (WebCore::NotificationPresenterClientQt::toPage):
        (WebCore::NotificationPresenterClientQt::toFrame):
        * WebCoreSupport/NotificationPresenterClientQt.h:

2010-07-22  Jamey Hicks  <jamey.hicks@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Enable binding of QObjects to JavaScript environment for inspector frontend

        This patch enables QObjects to be bound to global variables in the
        javascript environment of the inspector frontend. This is useful
        for writing alternate inspector frontends in javascript which need
        additional native functionality. It's a lighter-weight alternative
        than using an NPAPI plugin.
 
        The code which instantiates QWebInspector uses this by setting the
        dynamic property "q_inspectorJavaScriptWindowObjects" on the
        QWebInspector. The value of this property should be a
        QMap<QString,QVariant> mapping global variable name to QObject.

        I have used this to add support for eclipse/chrome remote
        debugging in QtTestBrowser.

        https://bugs.webkit.org/show_bug.cgi?id=41995

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientWebPage::InspectorClientWebPage):
        (WebCore::InspectorClientWebPage::javaScriptWindowObjectCleared):
        (WebCore::InspectorClientQt::openInspectorFrontend):

2010-07-22  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Library versioning.

        2.1 is branched, trunk will become 2.2.

        * Api/qwebkitglobal.h:
        * qt_webkit_version.pri:

2010-07-21  Brady Eidson  <beidson@apple.com>

        Reviewed by Geoffrey Garen.

        Break out "scheme registration" functionality from SecurityOrigin to a SchemeRegistry
        https://bugs.webkit.org/show_bug.cgi?id=42783

        * Api/qwebpage.cpp:
        (QWebPage::acceptNavigationRequest):
        * Api/qwebsecurityorigin.cpp:
        (QWebSecurityOrigin::addLocalScheme):
        (QWebSecurityOrigin::removeLocalScheme):
        (QWebSecurityOrigin::localSchemes):

2010-07-20  Kenneth Rohde Christiansen  <kenneth.christiansen@openbossa.org>

        [Qt] Add API to define device-width and height for use with the viewport meta tag
        https://bugs.webkit.org/show_bug.cgi?id=42597

        Reviewed by Antonio Gomes.

        Add a new API for setting the deviceSize for use in conjunction with
        out viewport meta tag API.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::setDeviceSize):
        (QGraphicsWebView::deviceSize):
        * Api/qgraphicswebview.h:
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::windowRect):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::PageClientQGraphicsWidget::PageClientQGraphicsWidget):

2010-07-20  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] DRT sideeffect revealed by r63657
        https://bugs.webkit.org/show_bug.cgi?id=42578

        Don't set an automatic timeout for notifications when running in DRT.
        This fixes an issue with cancel() notifications in unrelated tests.

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::displayNotification):

2010-07-18  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] tst_QWebPage fails cursorMovements and textSelection
        https://bugs.webkit.org/show_bug.cgi?id=42531

        Correct the HTML used by these tests.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::cursorMovements):
        (tst_QWebPage::textSelection):
        (tst_QWebPage::textEditing):

2010-07-18  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Antonio Gomes.

        [Qt] tst_QWebElement fails firstChildNextSibling and lastChildPreviousSibling
        https://bugs.webkit.org/show_bug.cgi?id=42527

        Correct the HTML used by these tests.

        * tests/qwebelement/tst_qwebelement.cpp:
        (tst_QWebElement::firstChildNextSibling):
        (tst_QWebElement::lastChildPreviousSibling):

2010-07-16  Zhe Su  <suzhe@chromium.org>

        Reviewed by Darin Adler.

        REGRESSION(r61484): Broke focus behaviour on Qt and probably other platforms
        https://bugs.webkit.org/show_bug.cgi?id=42253

        Dummy implementation of EditorClient::willSetInputMethodState.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::willSetInputMethodState):
        * WebCoreSupport/EditorClientQt.h:

2010-07-14  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Patch for https://bugs.webkit.org/show_bug.cgi?id=42232
        Make changing Cursors work in WebKit2.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::setCursor):
        * WebCoreSupport/ChromeClientQt.h:
        Change prototype to match new one.

2010-07-07  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Darin Adler.

        Prevent assertion/duplicate loads for non-deferred subtitute-data loads

        https://bugs.webkit.org/show_bug.cgi?id=30879

        MainResourceLoader uses the member m_initialRequest to store requests for future
        deferred loads. When doing the actual load in handleDataLoadNow(), we therefore
        have to clear this request so that subsequent entries into the loader will not
        start yet another load.

        This can happen as a result of a PageGroupLoadDeferrer going out of scope when
        returning from Chrome::runJavaScriptAlert(), which calls setDeferredLoading(false),
        but only in the case of using both substitute-data and non-deferred main resource
        load together. That's why two new DRT functions were added:

         * queueLoadHTMLString()
         * setDeferMainResourceLoad()

        The change adds DRT hooks for Mac, Win and Qt for these two functions. For Mac
        and Win the hook uses new SPI in WebDataSource. For Qt a new static member was
        added to the FrameLoaderClientQt and accessed though DumpRenderTreeSupportQt.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setDeferMainResourceDataLoad):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createDocumentLoader):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-07-09  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Laszlo Gombos.

        NotificationPresenter needs a cancelRequestPermission API
        https://bugs.webkit.org/show_bug.cgi?id=41783

        Updated NotificationPresenter API to use ScriptExecutionContext instead of origin
        and added a new NotificationPresenter::cancelRequestsForPermission API.
        The new API will be implemented in a followup patch.

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::requestPermission):
        (WebCore::NotificationPresenterClientQt::checkPermission):
        (WebCore::NotificationPresenterClientQt::cancelRequestsForPermission):
        * WebCoreSupport/NotificationPresenterClientQt.h:

2010-07-09  Kent Hansen  <kent.hansen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Skip test that never terminates on maemo5

        Due to https://bugs.webkit.org/show_bug.cgi?id=38538
        the tst_QWebPage::infiniteLoopJS() autotest never terminates.
        Skip the test so that the test case may run to completion.

        Patch by Dominik Holland <dominik.holland@nokia.com>

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::infiniteLoopJS):

2010-07-09  Simon Hausmann <simon.hausmann@nokia.com>

        Unreviewed trivial Symbian build fix.

        [Qt] Fix the Symbian build when compiling without S60

        Use Q_OS_SYMBIAN instead of Q_WS_S60 for the user agent
        determination.

        * Api/qwebpage.cpp:
        (QWebPage::userAgentForUrl):

2010-07-09  Kristian Amlie  <kristian.amlie@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fixed Qt symbian/linux-armcc mkspec when configured with -qtlibinfix.

        * declarative/declarative.pro: Use QT_LIBINFIX.

2010-07-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by Simon Hausmann.

        [Qt] Remove superfluous function calls
        https://bugs.webkit.org/show_bug.cgi?id=40353

        QWebFrame::setUrl() calls ensureAbsoluteUrl() twice. It's better to
        store a local variable and reuse this one.

        QWebFrame::load(QUrl) calls QWebFrame::load(QNetworkRequest) which in
        turn will get the QUrl from the request and make sure it's absolute by
        calling ensureAbsoluteUrl() on it.

        * Api/qwebframe.cpp:
        (QWebFrame::setUrl):
        (QWebFrame::load):

2010-07-08  Sam Magnuson  <smagnuson@netflix.com>

        Reviewed by Simon Hausmann.

        [Qt] instance objects created for QObjects are somtimes GC'd
        https://bugs.webkit.org/show_bug.cgi?id=40352

        Improved the test to check for jsObjects that that are garbage collected.

        * tests/qwebframe/tst_qwebframe.cpp:
        (tst_QWebFrame::):

2010-07-08  Aaron Boodman  <aa@chromium.org>

        Unreviewed change to fix qt build after c62876.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::addUserStyleSheet):

2010-07-07  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Add DRT support for pageProperty etc.

        https://bugs.webkit.org/show_bug.cgi?id=41584

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::isPageBoxVisible):
        (DumpRenderTreeSupportQt::pageSizeAndMarginsInPixels):
        (DumpRenderTreeSupportQt::pageProperty):
        (DumpRenderTreeSupportQt::addUserStyleSheet):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-07-08  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Patch for https://bugs.webkit.org/show_bug.cgi?id=41826
        Convert BackForwardList to an abstract base class and add BackForwardListImpl
        as the concrete implementation of it.

        * Api/qwebhistory.cpp:
        (QWebHistory::clear):
        (QWebHistory::back):
        (QWebHistory::forward):
        (QWebHistory::goToItem):
        (operator>>):
        (QWebHistoryPrivate::page):

2010-07-08  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        Remove unused WEBKIT_VERSION define from qwebpage.cpp

        We now use qWebKitVersion()

        * Api/qwebpage.cpp:

2010-07-07  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Patch for https://bugs.webkit.org/show_bug.cgi?id=41772
        Add basic piping for BackForwardControllerClient.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-07-07  Marc Mutz  <marc.mutz@kdab.com>

        Reviewed by Adam Barth.

        [Qt] QWebSettings: Don't leak native pixmaps

        When Q_GLOBAL_STATIC gets around to deleting the QHash with the
        pixmaps in, the QApplication destructor has already been
        completed. This makes it impossible for ~QPixmap to return the
        native pixmap to the OS, thus leaking them.

        This patch adds a post routine (executed as part of ~QApplication)
        that clears the hash so Q_GLOBAL_STATIC's destruction doesn't have
        to execute ~QPixmap's anymore.

        https://bugs.webkit.org/show_bug.cgi?id=41657

        * Api/qwebsettings.cpp:
        (earlyClearGraphics): New. Clears the pixmap hash.
        (graphics): add earlyClearGraphics as a qAddPostRoutine()

2010-07-06  Csaba Osztrogonác  <ossy@webkit.org>

        Rubber-stamped by Kenneth Rohde Christiansen.

        Client errors should set "WebKitErrorDomain" domain instead of "WebKit" to match Mac.

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::blockedError):
        (WebCore::FrameLoaderClientQt::cannotShowURLError):
        (WebCore::FrameLoaderClientQt::interruptForPolicyChangeError):
        (WebCore::FrameLoaderClientQt::cannotShowMIMETypeError):

2010-07-06  Darin Adler  <darin@apple.com>

        Fix crash caused by my fix to the Qt build.

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::closeWindow): Release pointer into
        a local OwnPtr instead of calling clear. Another fix, probably better,
        would be to change OwnPtr::clear to zero out the pointer before deleting,
        but that affects many more call sites, so I will do that separately.

2010-07-06  Darin Adler  <darin@apple.com>

        Fix Qt build.

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorFrontendClientQt::closeWindow): Call clear instead of
        calling delete on the result of leakPtr.

2010-06-19  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Yury Semikhatsky.

        WebInspector: js function name was fixed.
        dispatchMessageToFrontend -> dispatchMessageFromBackend.
        https://bugs.webkit.org/show_bug.cgi?id=40675

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::sendMessageToFrontend):

2010-07-03  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Return usable property names from DRT's computedStyleIncludingVisitedInfo()

        Object property names such as 'background-color' need to be returned in camel
        case, i.e. backgroundColor so that JS can reference them. Add support for this
        to DumpRenderTreeSupportQt.

        https://bugs.webkit.org/show_bug.cgi?id=40445

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (convertToPropertyName):
        (DumpRenderTreeSupportQt::computedStyleIncludingVisitedInfo):

2010-07-01  Robert Hogan <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] dump frames in ascending alphabetical order of title

        https://bugs.webkit.org/show_bug.cgi?id=41261

        Unskip:
        http/tests/navigation/metaredirect-frames.html
        http/tests/navigation/redirect302-frames.html
        http/tests/navigation/redirect302-subframeload.html
        http/tests/navigation/timerredirect-frames.html

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::getChildHistoryItems):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-07-01  Bea Lam  <bea.lam@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Doc improvements for QDeclarativeWebView

        * declarative/qdeclarativewebview.cpp:

2010-07-01  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Create QComboBoxes when clicked and destroy on hide.
        https://bugs.webkit.org/show_bug.cgi?id=41451

        Currently a QComboBox is created for each RenderMenuList and
        it gets destroyed either when the RenderMenuList or the
        QWebView (its Qt parent) is destroyed. This cause a crash
        when the QWebView is destroyed before the render tree (which
        is kept in cache).

        This patch aim to destroy the QComboBox as soon as its popup
        gets hidden, and likewise, create it only when the popup is
        requested to be shown.
        It also removes the unneeded reference to the QGraphicsProxyWidget,
        destroying the QComboBox automatically destroys its bound
        proxywidget.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopupCombo::hidePopup):
        (WebCore::QtFallbackWebPopup::QtFallbackWebPopup):
        (WebCore::QtFallbackWebPopup::~QtFallbackWebPopup):
        (WebCore::QtFallbackWebPopup::show):
        (WebCore::QtFallbackWebPopup::hide):
        (WebCore::QtFallbackWebPopup::destroyPopup):
        (WebCore::QtFallbackWebPopup::populate):
        * WebCoreSupport/QtFallbackWebPopup.h:

2010-07-01  Satish Sampath  <satish@chromium.org>

        Reviewed by Kent Tamura.

        Rendering the speech button in input elements.
        https://bugs.webkit.org/show_bug.cgi?id=40984

        * Api/qwebsettings.cpp:
        (graphics):
        * Api/qwebsettings.h:

2010-06-30  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Make sure we catch closed QComboBox popups.
        https://bugs.webkit.org/show_bug.cgi?id=39019

        The way it works currently is using the QComboBox::show/hidePopup
        virtual method to catch popup requests in the middle. There is
        some cases however that the popup widget gets closed without
        going through the hidePopup method.

        This patch adds an event filter to the popup's view to know when
        it gets closed and calls hidePopup to call our handling code.
        This may get hidePopup called twice but this shouldn't have any
        effect.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopupCombo::QtFallbackWebPopupCombo):
        (WebCore::QtFallbackWebPopupCombo::eventFilter):
        * WebCoreSupport/QtFallbackWebPopup.h:

2010-06-30  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed Symbian build fix.

        [Qt] Update the def files to link DumpRenderTree.

        * symbian/eabi/QtWebKitu.def:

2010-06-30  Samuel Nevala  <samuel.nevala@digia.com>

        Reviewed by Simon Hausmann.

        [Qt] Auto test wont compile from \3rdparty\webkit\WebKit\qt\tests
        https://bugs.webkit.org/show_bug.cgi?id=38720
        
        Load qttest_p4.prf under QTDIR_build.

        * tests/tests.pri:

2010-06-29  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] support dumpResourceResponseMIMETypes
        https://bugs.webkit.org/show_bug.cgi?id=41260

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::dumpResourceResponseMIMETypes):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidReceiveResponse):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-06-28  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed Symbian build fix.

        [Qt] Update the def file after r61879.

        * symbian/eabi/QtWebKitu.def:

2010-06-28  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] QGraphicsWebView crash when calling setScale() before setUrl()
        https://bugs.webkit.org/show_bug.cgi?id=40000

        Check 'page' before dereference in _q_scaleChanged()
        Autotest included.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::_q_scaleChanged):
        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (tst_QGraphicsWebView::crashOnSetScaleBeforeSetUrl):

2010-06-26  Simon Hausmann  <hausmann@webkit.org>

        [Qt] Prospective build fix for MSVC

        In order for the forward declaration of QWebScriptWorldPrivate
        to work with QExplicitlySharedDataPointer, then copy constructor
        and assignment operators must not be compiler generated, to
        avoid them ending up in places where the private class is not
        declared.

        * Api/qwebscriptworld.cpp:
        (QWebScriptWorld::QWebScriptWorld):
        (QWebScriptWorld::operator=):
        * Api/qwebscriptworld.h:

2010-06-26  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] DRT Support for setCustomPolicyDelegate

        https://bugs.webkit.org/show_bug.cgi?id=39564

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setCustomPolicyDelegate):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (drtDescriptionSuitableForTestResult):
        (WebCore::navigationTypeToString):
        (WebCore::FrameLoaderClientQt::dispatchDecidePolicyForNavigationAction):
        * WebCoreSupport/FrameLoaderClientQt.h:

2010-06-25  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QtWebKit crashes if <select>'s render changes in its onchange event
        https://bugs.webkit.org/show_bug.cgi?id=41164

        QtWebKit crashes if <select>'s renderer changes in its onchange event.

        * WebCoreSupport/QtFallbackWebPopup.cpp:
        (WebCore::QtFallbackWebPopup::~QtFallbackWebPopup):

2010-06-25  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Support evaluateScriptInIsolatedWorld()

        https://bugs.webkit.org/show_bug.cgi?id=40079

        Remove evaluateScriptInIsolatedWorld() from QtWebKit API.
        Remove QWebScriptWorld from exported headers.
        Confine support to DumpRenderTreeSupportQt so that the tests can pass.

        * Api/headers.pri:
        * Api/qwebframe.cpp:
        * Api/qwebframe.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::clearScriptWorlds):
        (DumpRenderTreeSupportQt::evaluateScriptInIsolatedWorld):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-06-24  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed Symbian build fix.

        The QML WebKit integration needs to be part of QtWebKit.sis

        * declarative/declarative.pro: Removed non-working deployment.

2010-06-23  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, Symbian build fix.

        [Qt] Update the def file after r61478.

        * symbian/eabi/QtWebKitu.def:

2010-06-23  David Boddie  <dboddie@trolltech.com>

        Reviewed by Simon Hausmann.

        [Qt] Doc: Fixed documentation errors.

        * docs/qtwebkit-bridge.qdoc:

2010-06-23  Alessandro Portale  <alessandro.portale@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Provide the Webkit Qml plugin with a UID3 on Symbian

        ...otherwise we cannot Symbian sign it.

        * declarative/declarative.pro:

2010-06-23  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed Qt package build fix.

        When building without build-webkit, set OUTPUT_DIR if necessary, like
        in the other .pro files.

        * declarative/declarative.pro:

2010-06-22  Tasuku Suzuki  <tasuku.suzuki@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix compilation with QT_NO_COMBOBOX.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createSelectPopup):

2010-06-21  Robert Hogan  <robert@webkit.org>

        [Qt] Build fix for Qt on Windows MSVC2008

        Unreviewed, build fix.

        Fix by Jocelyn Turcotte.

        * Api/qwebframe.cpp:

2010-06-21  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by nobody, build fix.

        [Qt] Fix MSVC build.

        The max macro was replacing the max function used in StringImpl.h
        when compiling moc_NotificationPresenterClientQt.cpp.

        * WebCoreSupport/NotificationPresenterClientQt.cpp:

2010-06-21  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, Symbian build fix.

        [Qt] Update the def file with recent new exports.

        * symbian/eabi/QtWebKitu.def:

2010-06-21  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed build fix.

        [Qt] Fix package builds

        Don't use rpath unless we're building inside the trunk.

        * declarative/declarative.pro:

2010-06-20  Jedrzej Nowacki  <jedrzej.nowacki@nokia.com>

        Reviewed by Simon Hausmann.

        The QWebHistory regression fix.

        After change r51629 and r61207 QWebHistory's function back(),
        forward(), goToItem() got broken.

        Use page->goToItem() instead of direct actions on the BackForwardList.

        [Qt] REGRESSION(r61207): qwebhistory unit test hangs
        https://bugs.webkit.org/show_bug.cgi?id=40672

        * Api/qwebhistory.cpp:
        (QWebHistory::back):
        (QWebHistory::forward):
        (QWebHistory::goToItem):
        * tests/qwebhistory/tst_qwebhistory.cpp:
        (tst_QWebHistory::init):
        (tst_QWebHistory::back):
        (tst_QWebHistory::forward):

2010-06-19  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Platform plugin's multi-select does not take OptGroup into account
        https://bugs.webkit.org/show_bug.cgi?id=40718

        Make sure that SelectData is valid throughout the lifetime of the dialog.
        This is mostly important for the Orbt based plugin.
        Added virtual desctructors where they were missing.

        * Api/qwebkitplatformplugin.h:
        (QWebSelectData::~QWebSelectData):
        (QWebSelectMethod::~QWebSelectMethod):
        (QWebNotificationData::~QWebNotificationData):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::SelectInputMethodWrapper::SelectInputMethodWrapper):
        (WebCore::SelectInputMethodWrapper::~SelectInputMethodWrapper):
        (WebCore::SelectInputMethodWrapper::show):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebPlugin.cpp:
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebSelectData::~QWebSelectData):
        (QWebSelectMethod::~QWebSelectMethod):
        (QWebNotificationData::~QWebNotificationData):

2010-06-19  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Simon Hausmann.

        Bridge documentation: some snippets have the wrong indentation
        https://bugs.webkit.org/show_bug.cgi?id=40717

        Fixed code snippets

        * docs/webkitsnippets/qtwebkit_bridge_snippets.cpp:
        (wrapInFunction):

2010-06-02  Robert Hogan  <robert@webkit.org>

        Reviewed by Adam Barth.

        [Qt] Support evaluateScriptInIsolatedWorld()

        https://bugs.webkit.org/show_bug.cgi?id=40079

        * Api/headers.pri:
        * Api/qwebframe.cpp:
        (QWebFrame::evaluateScriptInIsolatedWorld):
        * Api/qwebframe.h:
        * Api/qwebscriptworld.cpp: Added.
        (QWebScriptWorld::QWebScriptWorld):
        (QWebScriptWorld::world):
        (QWebScriptWorld::~QWebScriptWorld):
        * Api/qwebscriptworld.h: Added.
        * Api/qwebscriptworld_p.h: Added.
        (QWebScriptWorldPrivate::QWebScriptWorldPrivate):
        (QWebScriptWorldPrivate::~QWebScriptWorldPrivate):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-06-19  Olivier Goffart  <olivier.goffart@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Compilation in QWebPagePrivate::timerEvent with clang
        https://bugs.webkit.org/show_bug.cgi?id=40714

        QObject::timerEvent is protected and cannot be accessed by QWebPagePrivate
        with clang

        QWebPagePrivate is a friend of QWebPage and then should have access to
        all protected members of parents of QWebPage, including QObject.
        But the clang team do not want to conform to this aspect of the specification
        because "It is either a drafting error or a horrible mistake."
        See http://llvm.org/bugs/show_bug.cgi?id=6840

        This change is better because QWebPage does not reimplement the timerEvent
        (QWebPagePrivate::timerEvent is called from QWebPage::event)
        So customers that would reimplement their own timerEvent
        for their own timer now get a chance to catch them.


        * Api/qwebpage.cpp:
        (QWebPagePrivate::timerEvent):

2010-06-19  Mirko Damiani  <mirko@develer.com>

        Reviewed by Simon Hausmann.

        [Qt] Avoid truncation of zoom factor in QWebFrame's print function.
        https://bugs.webkit.org/show_bug.cgi?id=40662

        The zoom factor is a qreal number but its value is truncated to an
        integer. So a cast to qreal is needed to avoid this issue.

        * Api/qwebframe.cpp:
        (QWebFrame::print):

2010-06-18  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] pass plugins/open-and-close-window-with-plugin.html on Qt

        Capture logDestroy messages from the test plugin. DRT's WebPage
        is already destroyed by the time they are emitted.

        https://bugs.webkit.org/show_bug.cgi?id=33333

        Unskip:
        plugins/open-and-close-window-with-plugin.html
        plugins/geturlnotify-during-document-teardown.html

        * Api/qwebpage.cpp:
        (QWebPage::javaScriptConsoleMessage):

2010-06-18  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix documentation for the declarative module import.

        * declarative/qdeclarativewebview.cpp:

2010-06-18  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Simon Hausmann.

        Fix documentation issue on the onAlert handler.
        Fix compilation issue with QT_NO_ACTION.

        * declarative/qdeclarativewebview.cpp:
        * declarative/qdeclarativewebview_p.h:

2010-06-18  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Antti Koivisto.

        REGRESSION(r60958) [Qt] qwebpage::inputMethods auto-test fails
        https://bugs.webkit.org/show_bug.cgi?id=40830

        When activating a regular input method field, always set or unset the ImhHiddenText
        input method hint.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):

2010-06-18  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Change the target path to QtWebKit.

        * declarative/declarative.pro:

2010-06-15  Dumitru Daniliuc  <dumi@chromium.org>

        Reviewed by Adam Barth.

        Move isAvailable()/setIsAvailable() from Database/DatabaseSync to AbstractDatabase.
        https://bugs.webkit.org/show_bug.cgi?id=39041

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):

2010-06-17  Robert Hogan  <robert@webkit.org>

        [Qt] Build fix

        Unreviewed.

        Remove includes in qdeclarativewebview*.* that rely on an installation
        of QtWebKit.

        * declarative/qdeclarativewebview.cpp:
        * declarative/qdeclarativewebview_p.h:

2010-06-17  Robert Hogan  <robert@webkit.org>

        Unreviewed, rolling out r61346.
        http://trac.webkit.org/changeset/61346
        https://bugs.webkit.org/show_bug.cgi?id=33333

        Broke inspector tests on Qt

        * Api/qwebpage.cpp:
        (QWebPage::javaScriptConsoleMessage):

2010-06-17  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] pass plugins/open-and-close-window-with-plugin.html on Qt

        Capture logDestroy messages from the test plugin. DRT's WebPage
        is already destroyed by the time they are emitted.

        https://bugs.webkit.org/show_bug.cgi?id=33333

        Unskip:
        plugins/open-and-close-window-with-plugin.html
        plugins/geturlnotify-during-document-teardown.html

        * Api/qwebpage.cpp:
        (QWebPage::javaScriptConsoleMessage):

2010-06-17  Jesus Sanchez-Palencia  <jesus@webkit.org>, Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] QtWebKit does not support viewport meta tag
        https://bugs.webkit.org/show_bug.cgi?id=39902

        Add viewport meta tag support to QtWebKit API layer.

        This implements didReceiveViewportArguments in our ChromeClientQt
        which is hooked up with QWebPage::viewportChangeRequested().
        This signal does not affect the current default behavior.
        The documentation of the signal explains how to make use of this new feature.

        * Api/qwebframe_p.h:
        (QWebFramePrivate::QWebFramePrivate):
        Store information about whether the page has been laid out or not.
        * Api/qwebpage.cpp:
        (QWebPage::viewportChangeRequested):
        * Api/qwebpage_p.h:
        Added class QtViewportHintsPrivate.
        * Api/qwebpage.h:
        (QWebPage::setPreferredContentsSize):
        Improved documentation and now only layout if the page had already
        passed layout phase.
        Added class QWebPage::ViewportHints.
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::windowRect):
        Modified to work as intended by the DOM, for both QWebView
        and QGraphicsWebView.
        (WebCore::ChromeClientQt::didReceiveViewportArguments):
        Emits the signal QWebPage::viewportChangeRequested.
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidCommitLoad):
        (WebCore::FrameLoaderClientQt::dispatchDidFirstLayout):
        Update information about whether the page has been laid out or not.
        If the page has been laid out we ignore any further viewport meta data.
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQWidget::windowRect):
        (WebCore::PageClientQGraphicsWidget::windowRect):
        (WebCore::PageClientQGraphicsWidget::graphicsItemVisibleRect):
        * WebCoreSupport/PageClientQt.h:
        The PageClient is now responsible for providing the right window rect.

2010-06-17  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Upstream the WebKit QML integration plugin
        https://bugs.webkit.org/show_bug.cgi?id=40050

        Add to the Qt port the QML WebKit integration plugin.
        QDeclarativeWebView is creating the item and expose
        properties. The C++ API is not public, only the
        properties are.

        * declarative/declarative.pro: Added.
        * declarative/plugin.cpp: Added.
        (WebKitQmlPlugin::registerTypes):
        * declarative/qdeclarativewebview.cpp: Added.
        (QDeclarativeWebViewPrivate::QDeclarativeWebViewPrivate):
        (QDeclarativeWebViewPrivate::):
        (QDeclarativeWebViewPrivate::windowObjectsAppend):
        (GraphicsWebView::GraphicsWebView):
        (GraphicsWebView::mousePressEvent):
        (GraphicsWebView::mouseReleaseEvent):
        (GraphicsWebView::mouseDoubleClickEvent):
        (GraphicsWebView::timerEvent):
        (GraphicsWebView::mouseMoveEvent):
        (QDeclarativeWebView::QDeclarativeWebView):
        (QDeclarativeWebView::~QDeclarativeWebView):
        (QDeclarativeWebView::init):
        (QDeclarativeWebView::componentComplete):
        (QDeclarativeWebView::status):
        (QDeclarativeWebView::progress):
        (QDeclarativeWebView::doLoadStarted):
        (QDeclarativeWebView::doLoadProgress):
        (QDeclarativeWebView::pageUrlChanged):
        (QDeclarativeWebView::doLoadFinished):
        (QDeclarativeWebView::url):
        (QDeclarativeWebView::setUrl):
        (QDeclarativeWebView::preferredWidth):
        (QDeclarativeWebView::setPreferredWidth):
        (QDeclarativeWebView::preferredHeight):
        (QDeclarativeWebView::setPreferredHeight):
        (QDeclarativeWebView::evaluateJavaScript):
        (QDeclarativeWebView::updateDeclarativeWebViewSize):
        (QDeclarativeWebView::initialLayout):
        (QDeclarativeWebView::updateContentsSize):
        (QDeclarativeWebView::geometryChanged):
        (QDeclarativeWebView::javaScriptWindowObjects):
        (QDeclarativeWebView::qmlAttachedProperties):
        (QDeclarativeWebViewPrivate::updateWindowObjects):
        (QDeclarativeWebView::renderingEnabled):
        (QDeclarativeWebView::setRenderingEnabled):
        (QDeclarativeWebView::heuristicZoom):
        (QDeclarativeWebView::pressGrabTime):
        (QDeclarativeWebView::setPressGrabTime):
        (QDeclarativeWebView::backAction):
        (QDeclarativeWebView::forwardAction):
        (QDeclarativeWebView::reloadAction):
        (QDeclarativeWebView::stopAction):
        (QDeclarativeWebView::title):
        (QDeclarativeWebView::icon):
        (QDeclarativeWebView::setStatusText):
        (QDeclarativeWebView::windowObjectCleared):
        (QDeclarativeWebView::statusText):
        (QDeclarativeWebView::page):
        (QDeclarativeWebView::settingsObject):
        (QDeclarativeWebView::setPage):
        (QDeclarativeWebView::load):
        (QDeclarativeWebView::html):
        (QDeclarativeWebView::setHtml):
        (QDeclarativeWebView::setContent):
        (QDeclarativeWebView::history):
        (QDeclarativeWebView::settings):
        (QDeclarativeWebView::createWindow):
        (QDeclarativeWebView::newWindowComponent):
        (QDeclarativeWebView::setNewWindowComponent):
        (QDeclarativeWebView::newWindowParent):
        (QDeclarativeWebView::setNewWindowParent):
        (QDeclarativeWebView::contentsSize):
        (QDeclarativeWebView::contentsScale):
        (QDeclarativeWebView::setContentsScale):
        (QDeclarativeWebView::elementAreaAt):
        (QDeclarativeWebPage::QDeclarativeWebPage):
        (QDeclarativeWebPage::~QDeclarativeWebPage):
        (QDeclarativeWebPage::chooseFile):
        (QDeclarativeWebPage::javaScriptAlert):
        (QDeclarativeWebPage::javaScriptConfirm):
        (QDeclarativeWebPage::javaScriptPrompt):
        (QDeclarativeWebPage::viewItem):
        (QDeclarativeWebPage::createWindow):
        * declarative/qdeclarativewebview_p.h: Added.
        (QDeclarativeWebView::):
        (QDeclarativeWebView::isComponentCompletePublic):
        (QDeclarativeWebViewAttached::QDeclarativeWebViewAttached):
        (QDeclarativeWebViewAttached::windowObjectName):
        (QDeclarativeWebViewAttached::setWindowObjectName):
        (QDeclarativeWebSettings::QDeclarativeWebSettings):
        (QDeclarativeWebSettings::standardFontFamily):
        (QDeclarativeWebSettings::setStandardFontFamily):
        (QDeclarativeWebSettings::fixedFontFamily):
        (QDeclarativeWebSettings::setFixedFontFamily):
        (QDeclarativeWebSettings::serifFontFamily):
        (QDeclarativeWebSettings::setSerifFontFamily):
        (QDeclarativeWebSettings::sansSerifFontFamily):
        (QDeclarativeWebSettings::setSansSerifFontFamily):
        (QDeclarativeWebSettings::cursiveFontFamily):
        (QDeclarativeWebSettings::setCursiveFontFamily):
        (QDeclarativeWebSettings::fantasyFontFamily):
        (QDeclarativeWebSettings::setFantasyFontFamily):
        (QDeclarativeWebSettings::minimumFontSize):
        (QDeclarativeWebSettings::setMinimumFontSize):
        (QDeclarativeWebSettings::minimumLogicalFontSize):
        (QDeclarativeWebSettings::setMinimumLogicalFontSize):
        (QDeclarativeWebSettings::defaultFontSize):
        (QDeclarativeWebSettings::setDefaultFontSize):
        (QDeclarativeWebSettings::defaultFixedFontSize):
        (QDeclarativeWebSettings::setDefaultFixedFontSize):
        (QDeclarativeWebSettings::autoLoadImages):
        (QDeclarativeWebSettings::setAutoLoadImages):
        (QDeclarativeWebSettings::javascriptEnabled):
        (QDeclarativeWebSettings::setJavascriptEnabled):
        (QDeclarativeWebSettings::javaEnabled):
        (QDeclarativeWebSettings::setJavaEnabled):
        (QDeclarativeWebSettings::pluginsEnabled):
        (QDeclarativeWebSettings::setPluginsEnabled):
        (QDeclarativeWebSettings::privateBrowsingEnabled):
        (QDeclarativeWebSettings::setPrivateBrowsingEnabled):
        (QDeclarativeWebSettings::javascriptCanOpenWindows):
        (QDeclarativeWebSettings::setJavascriptCanOpenWindows):
        (QDeclarativeWebSettings::javascriptCanAccessClipboard):
        (QDeclarativeWebSettings::setJavascriptCanAccessClipboard):
        (QDeclarativeWebSettings::developerExtrasEnabled):
        (QDeclarativeWebSettings::setDeveloperExtrasEnabled):
        (QDeclarativeWebSettings::linksIncludedInFocusChain):
        (QDeclarativeWebSettings::setLinksIncludedInFocusChain):
        (QDeclarativeWebSettings::zoomTextOnly):
        (QDeclarativeWebSettings::setZoomTextOnly):
        (QDeclarativeWebSettings::printElementBackgrounds):
        (QDeclarativeWebSettings::setPrintElementBackgrounds):
        (QDeclarativeWebSettings::offlineStorageDatabaseEnabled):
        (QDeclarativeWebSettings::setOfflineStorageDatabaseEnabled):
        (QDeclarativeWebSettings::offlineWebApplicationCacheEnabled):
        (QDeclarativeWebSettings::setOfflineWebApplicationCacheEnabled):
        (QDeclarativeWebSettings::localStorageDatabaseEnabled):
        (QDeclarativeWebSettings::setLocalStorageDatabaseEnabled):
        (QDeclarativeWebSettings::localContentCanAccessRemoteUrls):
        (QDeclarativeWebSettings::setLocalContentCanAccessRemoteUrls):
        * declarative/qmldir: Added.
        * docs/qtwebkit.qdocconf:

2010-06-17  Mark Brand  <mabrand@mabrand.nl>

        Reviewed by Simon Hausmann.

        [Qt] use "win32-g++*" scope to match all MinGW makespecs

        The scope "win32-g++" comes from the name of the makespec. However, it
        is frequently used to check for MinGW. This works fine as long as
        win32-g++ is the only makespec for MinGW. Now we need the wildcard
        to cover "win32-g++-cross" as well.

        * Api/DerivedSources.pro:

2010-05-28  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        Reviewed by Simon Hausmann, Antti Koivisto

        [Qt] Add internal Qt Api to configure repaint throttling parameters. 
        https://bugs.webkit.org/show_bug.cgi?id=38401

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):

2010-06-16  Alexis Menard <alexis.menard@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix tiled backing store painting when calling QGraphicsWebView::setPage() after setResizesToContents(true)

        When calling setPage() after setResizesToContents, the value of the property wasn't propagated
        to the page client. Therefore the visible rect for the tiled backing store was incorrect.

        Simply move the variable assignment into updateResizesToContentsForPage(), which is always called.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::updateResizesToContentsForPage):
        (QGraphicsWebView::setResizesToContents):

2010-06-16  Simon Hausmann  <simon.hausmann@nokia.com>

        Rubber-stamped by Tor Arne Vestbø.

        Swap WebGL and SiteSpecificQuirks attributes in the QWebSettings
        enum, to allow for binary compatibility with qtwebkit-2.0, where
        WebGL is not in the settings but SiteSpecificQuirks will be.

        * Api/qwebsettings.h:

2010-06-15  Darin Adler  <darin@apple.com>

        Fix build.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::shouldClose): Call loader()->shouldClose().

2010-06-15  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Rename NotificatioIconWrapper to NotificationWrapper
        https://bugs.webkit.org/show_bug.cgi?id=40571

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationWrapper::NotificationWrapper):
        (WebCore::NotificationWrapper::close):
        (WebCore::NotificationWrapper::title):
        (WebCore::NotificationWrapper::message):
        (WebCore::NotificationWrapper::iconData):
        (WebCore::NotificationWrapper::notificationClosed):
        (WebCore::NotificationPresenterClientQt::displayNotification):
        (WebCore::NotificationPresenterClientQt::cancel):
        (WebCore::NotificationPresenterClientQt::notificationForWrapper):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        (WebCore::NotificationWrapper::~NotificationWrapper):

2010-06-15  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, Symbian build fix.

        [Qt] Update the def file with recent new exports.

        * symbian/eabi/QtWebKitu.def:

2010-06-15  Yael Aharon  <yael.aharon@nokia.com>

        Unreviewed.

        Fix typo in reviewer name in r61187

2010-06-15  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Simon Fraser.

        [Qt] Build fix for Qt minimal after r61121
        https://bugs.webkit.org/show_bug.cgi?id=40624

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationIconWrapper::NotificationIconWrapper):
        (WebCore::NotificationIconWrapper::close):
        (WebCore::NotificationIconWrapper::title):
        (WebCore::NotificationIconWrapper::message):
        (WebCore::NotificationIconWrapper::iconData):
        (WebCore::NotificationIconWrapper::notificationClosed):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        (WebCore::NotificationIconWrapper::~NotificationIconWrapper):

2010-06-14  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, Symbian build fix.

        [Qt] Update the def file with recent new exports.

        * symbian/eabi/QtWebKitu.def:

2010-06-13  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Platform plugin support for Notifications UI
        https://bugs.webkit.org/show_bug.cgi?id=40005

        Add an interface to the platform plugin to display notifications.
        Implemented the notification in the example platform plugin. 
        This interface is enabled by default, but could be turned off with
        a build flag. The platform plugin should control its own lifecycle,
        so now the close timer applies only when using the QSystemTrayIcon.
        That's because QSystemTrayIcon does not inform its caller when it
        is closed.

        Changed the way NotificationPresenterClientQt is deleted because it
        is being accessed when GC is deleting the Notification objects.
        NotificationPresenterClientQt is now detaching itself from the
        Notifications before it is deleted.

        * Api/qwebkitplatformplugin.h:
        (QWebNotificationPresenter::QWebNotificationPresenter):
        (QWebNotificationPresenter::~QWebNotificationPresenter):
        (QWebKitPlatformPlugin::):
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationIconWrapper::NotificationIconWrapper):
        (WebCore::NotificationIconWrapper::title):
        (WebCore::NotificationIconWrapper::message):
        (WebCore::NotificationIconWrapper::iconData):
        (WebCore::NotificationPresenterClientQt::~NotificationPresenterClientQt):
        (WebCore::NotificationIconWrapper::notificationClosed):
        (WebCore::NotificationPresenterClientQt::displayNotification):
        (WebCore::NotificationPresenterClientQt::cancel):
        (WebCore::NotificationPresenterClientQt::notificationForWrapper):
        (WebCore::NotificationPresenterClientQt::removeReplacedNotificationFromQueue):
        (WebCore::NotificationPresenterClientQt::detachNotification):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::createNotificationPresenter):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/WebNotificationPresenter.cpp: Added.
        (WebNotificationWidget::WebNotificationWidget):
        (WebNotificationWidget::~WebNotificationWidget):
        (WebNotificationWidget::showNotification):
        (WebNotificationWidget::event):
        * examples/platformplugin/WebNotificationPresenter.h: Added.
        (WebNotificationPresenter::WebNotificationPresenter):
        (WebNotificationPresenter::~WebNotificationPresenter):
        (WebNotificationPresenter::showNotification):
        * examples/platformplugin/WebPlugin.cpp:
        (WebPlugin::supportsExtension):
        * examples/platformplugin/WebPlugin.h:
        (WebPlugin::createNotificationPresenter):
        * examples/platformplugin/platformplugin.pro:
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebNotificationPresenter::QWebNotificationPresenter):
        (QWebNotificationPresenter::~QWebNotificationPresenter):
        (QWebKitPlatformPlugin::):

2010-06-14  Mahesh Kulkarni  <mahesh.kulkarni@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] navigator.geolocation support for Qt port
        https://bugs.webkit.org/show_bug.cgi?id=39724

        Implement ChromeClientQt::requestGeolocationPermissionForFrame() which delegates call to QWebPage::allowGeolocationRequest
        Layout and unit test cases for the are also added. 

        * Api/qwebpage.cpp:
        (QWebPage::allowGeolocationRequest):
        * Api/qwebpage.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::requestGeolocationPermissionForFrame):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setMockGeolocationPosition):
        (DumpRenderTreeSupportQt::setMockGeolocationError):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (JSTestPage::shouldInterruptJavaScript):
        (JSTestPage::allowGeolocationRequest):
        (JSTestPage::setGeolocationPermission):
        (tst_QWebPage::geolocationRequestJS):

2010-06-14  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        WebInspector: On the way to Remote Debugging we want to transfer dom/timeline/etc
        data from inspected page to WebInspector as JSON string via http. The native
        serialization to JSON string is supported by InspectorValue's classes. This patch
        has the implementation of sendMessageToFrontend function. WebKit version of it still
        uses ScriptFunctionCall and will be switched to another transport a little bit later.
        https://bugs.webkit.org/show_bug.cgi?id=40134

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::InspectorClientQt):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::releaseFrontendPage):
        (WebCore::InspectorClientQt::sendMessageToFrontend):
        * WebCoreSupport/InspectorClientQt.h:

2010-06-13  Charles Wei  <charles.wei@torchmobile.com.cn>

        Reviewed by George Staikos.

        Fix the QtWebKit which doesn't recognize the MIME type of HTML/TEXT in uppercase
        https://bugs.webkit.org/show_bug.cgi?id=39492

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::canShowMIMEType):

2010-06-08  Robert Hogan  <robert@webkit.org>

        Reviewed by Eric Seidel.

        [Qt] Add support for callShouldCloseOnWebView() to DRT
        https://bugs.webkit.org/show_bug.cgi?id=40330

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::shouldClose):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-06-12  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Kenneth Rohde Christiansen.

        Added an attribute to enable/disable site specific quirks mode in WebKit. 
        The attribute is enabled by default.

        https://bugs.webkit.org/show_bug.cgi?id=40073

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):
        (QWebSettings::QWebSettings):
        * Api/qwebsettings.h:

2010-06-12  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix tst_qwebframe regression from http://trac.webkit.org/changeset/61062

        Only use cacheableBindingRootObject() if the object has QtOwnership.

        https://bugs.webkit.org/show_bug.cgi?id=40527

        * Api/qwebframe.cpp:
        (QWebFrame::addToJavaScriptWindowObject):

2010-06-13  Robert Hogan  <robert@webkit.org>

        Reviewed by Alexey Proskuryakov.

        FrameLoader::clear() clears JS objects that cached pages later rely on

        https://bugs.webkit.org/show_bug.cgi?id=37725
        https://bugs.webkit.org/show_bug.cgi?id=31626

        Fix the following tests for Qt:

        fast/events/pageshow-pagehide-on-back-cached.html
        fast/events/pageshow-pagehide-on-back-cached-with-frames.html
        fast/loader/input-element-page-cache-crash.html
        fast/dom/Window/timer-resume-on-navigation-back.html
        loader/go-back-to-different-window-size.html
        fast/dom/javascript-url-crash-function.html
        fast/dom/location-new-window-no-crash.html
        http/tests/security/javascriptURL/xss-ALLOWED-from-javascript-url-window-open.html

        which currently fail because the page's Qt-bindings runtime objects are
        cleared when navigating away from the page containing them.

        Track Qt-bindings objects in a separate ScriptController::cacheableRootBindingObject().
        RuntimeObjects tracked by this root object will not get invalidated on page navigations,
        so they will still be available when the pages containing them are retrieved from the
        b/f cache.

        This means the Qt bindings objects will only get cleared on Frame::pageDestroyed().

        * Api/qwebframe.cpp:
        (QWebFrame::addToJavaScriptWindowObject):

2010-06-12  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Add documentation to the QtWebkit bridge
        https://bugs.webkit.org/show_bug.cgi?id=35861

        The previous accepted patch was actually a faulty one; It was hard to trace since it's just a documentation
        change. The new patch amends that, with the correct snippets and grammar fixes.

        * docs/qtwebkit-bridge.qdoc:
        * docs/webkitsnippets/qtwebkit_bridge_snippets.cpp:
        (wrapInFunction):

2010-06-12  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Back-forward list dumping is incorrect

        https://bugs.webkit.org/show_bug.cgi?id=36392

        Support dumping child history items in DRT.

        Unskip:

        fast/loader/frame-src-change-added-to-history.html
        fast/loader/frame-src-change-not-added-to-history.html
        fast/loader/frame-location-change-not-added-to-history.html

        * Api/qwebhistory.cpp:
        (QWebHistoryItemPrivate::core):
        * Api/qwebhistory.h:
        * Api/qwebhistory_p.h:
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::isTargetItem):
        (DumpRenderTreeSupportQt::historyItemTarget):
        (DumpRenderTreeSupportQt::getChildHistoryItems):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-06-11  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Typo error in QWebPluginFactory Documentation
        https://bugs.webkit.org/show_bug.cgi?id=40490

        * Api/qwebpluginfactory.cpp:

2010-06-11  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by nobody, build fix.

        [Qt] Second fix attempt for the build break introduced by r61002.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-06-11  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by nobody, build fix.

        [Qt] Fix build break introduced by r61002.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-05-31  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Implement the simple text code path.
        https://bugs.webkit.org/show_bug.cgi?id=40077

        Remove the FONT_FAST_PATH macro and use the Qt's
        fast text implementation instead of the one of WebKit.

        The Qt::TextBypassShaping flag is used to tell Qt to
        only use the glyph advances.

        Qt 4.7 is needed to get this flag thus the complex path is always
        used if QtWebKit is compiled against an earlier version.

        Contrary to the WebKit's implementation, the complex code path
        is taken if the text is RightToLeft, justified or is formatted
        with non-zero letter or word spacing.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-06-10  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Support for loading notification icons
        https://bugs.webkit.org/show_bug.cgi?id=40004

        Take into use the icon that was loaded for the notification.

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::show):

2010-06-10  Mahesh Kulkarni  <mahesh.kulkarni@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Memory leak in qwebpage unit test cases
        https://bugs.webkit.org/show_bug.cgi?id=40405

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::infiniteLoopJS):

2010-06-10  Raine Makelainen  <raine.makelainen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        Impossible to set input method hints based HTML5 input types
        https://bugs.webkit.org/show_bug.cgi?id=40107

        EditorClientQt to set input method hints for "number", "tel",
        "email", and "url" HTML input elements.

        Tests for HTML input elements and input method hints added for
        QGraphicsWebView and QWebView.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):
        * tests/qgraphicswebview/resources/input_types.html: Added.
        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (GraphicsWebView::GraphicsWebView):
        (GraphicsWebView::fireMouseClick):
        (tst_QGraphicsWebView::focusInputTypes):
        * tests/qgraphicswebview/tst_qgraphicswebview.qrc: Added.
        * tests/qwebview/resources/input_types.html: Added.
        * tests/qwebview/tst_qwebview.cpp:
        (WebView::fireMouseClick):
        (tst_QWebView::focusInputTypes):
        * tests/qwebview/tst_qwebview.qrc:

2010-06-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Reduce FrameView.h includes to speed up build times
        https://bugs.webkit.org/show_bug.cgi?id=40408

        * Api/qwebframe.cpp:
         - Include RenderLayer.h since it's used in this file.

2010-06-10  Andy Shaw  <andy.shaw@nokia.com>

        Reviewed by Simon Hausmann.

        REGRESSION: [Qt] When dragging onto a page that handles the drag in Javascript it will be a move and not a copy by default
        https://bugs.webkit.org/show_bug.cgi?id=40401

        The correct pattern in Qt for Dnd events is to use acceptProposedAction() instead
        of accept().

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dragEnterEvent):
        (QWebPagePrivate::dragMoveEvent):
        (QWebPagePrivate::dropEvent):

2010-06-09  Pierre Rossi  <pierre.rossi@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        QWebPage::findText() does not clear selection when passed empty string
        https://bugs.webkit.org/show_bug.cgi?id=31779

        * Api/qwebpage.cpp:
        (QWebPage::findText):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::findText):

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] PageClientQt.h has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40257

        * WebCoreSupport/PageClientQt.h:

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] InspectorClientQt.cpp has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40255

        * WebCoreSupport/InspectorClientQt.cpp:

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] FrameLoaderClientQt.h has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40251

        * WebCoreSupport/FrameLoaderClientQt.h:
        (WebCore::FrameLoaderClientQt::dispatchWillSendSubmitEvent):

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] EditorClientQt.h has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40249

        * WebCoreSupport/EditorClientQt.h:

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] EditCommandQt.cpp/h have coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40248

        * WebCoreSupport/EditCommandQt.cpp:
        (EditCommandQt::EditCommandQt):
        (EditCommandQt::~EditCommandQt):
        (EditCommandQt::redo):
        (EditCommandQt::undo):
        * WebCoreSupport/EditCommandQt.h:

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] DumpRenderTreeSupportQt.cpp has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40247

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::firstRectForCharacterRange):

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] DragClientQt.cpp has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40246

        * WebCoreSupport/DragClientQt.cpp:
        (WebCore::DragClientQt::startDrag):

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by Laszlo Gombos.

        [Qt] ContextMenuClientQt.h has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40242

        * WebCoreSupport/ContextMenuClientQt.h:

2010-06-09  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] ChromeClientQt.cpp has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40240

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::pageRect):
        (WebCore::ChromeClientQt::createWindow):
        (WebCore::ChromeClientQt::runJavaScriptAlert):
        (WebCore::ChromeClientQt::runJavaScriptConfirm):
        (WebCore::ChromeClientQt::runJavaScriptPrompt):
        (WebCore::ChromeClientQt::print):
        (WebCore::ChromeClientQt::attachRootGraphicsLayer):
        (WebCore::ChromeClientQt::visibleRectForTiledBackingStore):

2010-06-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r60889.
        http://trac.webkit.org/changeset/60889
        https://bugs.webkit.org/show_bug.cgi?id=40365

        gtk bot has some kind of memory corruption (Requested by
        loislo on #webkit).

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::InspectorClientQt):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorFrontendClientQt::InspectorFrontendClientQt):
        (WebCore::InspectorFrontendClientQt::closeWindow):
        * WebCoreSupport/InspectorClientQt.h:

2010-06-07  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        WebInspector: On the way to Remote Debugging we want to transfer dom/timeline/etc
        data from inspected page to WebInspector as JSON string via http. The native
        serialization to JSON string is supported by InspectorValue's classes. This patch
        has the implementation of sendMessageToFrontend function. WebKit version of it still
        uses ScriptFunctionCall and will be switched to another transport a little bit later.
        https://bugs.webkit.org/show_bug.cgi?id=40134

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::InspectorClientQt):
        (WebCore::InspectorClientQt::openInspectorFrontend):
        (WebCore::InspectorClientQt::releaseFrontendPage):
        (WebCore::InspectorClientQt::sendMessageToFrontend):
        * WebCoreSupport/InspectorClientQt.h:

2010-06-08  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Ojan Vafai and Darin Adler.

        Refactor platform dependent editing behavior code out of Settings
        https://bugs.webkit.org/show_bug.cgi?id=39854

        EditingBehavior enum was renamed to EditingBehaviorTypes and moved out from Settings.h to
        EditingBehaviorTypes.h . Call sites in WebKit/ adjusted accordingly.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setEditingBehavior):

2010-06-07  Anders Bakken  <agbakken@gmail.com>

        Reviewed by David Levin.

        [Qt] NotificationPresenterClientQt.cpp has coding-style errors
        https://bugs.webkit.org/show_bug.cgi?id=40256

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::show):

2010-06-06  Antonio Gomes  <tonikitoo@webkit.org>, Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Christiansen, Eric Seidel.

        [Qt] Expose the editing behavior setting in DRT to test all editing code paths
        https://bugs.webkit.org/show_bug.cgi?id=39680

        Make setEditingBehavior() a no-operation if the editingBehavior
        argument is not recognized to avoid using an uninitialized variable.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setEditingBehavior):

2010-06-04  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Symbian build fix.

        [Qt] Updated the def file with recent new exports.

        * symbian/eabi/QtWebKitu.def:

2010-06-03  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Don't send notifications event after the page was navigated away
        https://bugs.webkit.org/show_bug.cgi?id=40127

        Added a check before sending events to the notification and before logging.

        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::cancel):
        (WebCore::NotificationPresenterClientQt::sendEvent):

2010-06-02  Tasuku Suzuki  <tasuku.suzuki@nokia.com>

        Reviewed by Shinichiro Hamaji.

        [Qt] Fix compilation with QT_NO_PROPERTIES
        https://bugs.webkit.org/show_bug.cgi?id=38324

        * Api/qwebpage.cpp:
        (QWebPage::event):
        * Api/qwebpage_p.h:
        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::openInspectorFrontend):

2010-06-02  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Simon Hausmann.

        [Qt] Shared platform plugin
        https://bugs.webkit.org/show_bug.cgi?id=39968

        Allow several instances of class QtPlatformPlugin to share the QWebKitPlatformPlugin
        object provided by a plugin.

        Updated plugin interface version number due to ABI breaking change.

        * Api/qwebkitplatformplugin.h:
        (QWebKitPlatformPlugin::~QWebKitPlatformPlugin):
        * WebCoreSupport/QtPlatformPlugin.cpp:
        (WebCore::QtPlatformPlugin::load):
        (WebCore::QtPlatformPlugin::~QtPlatformPlugin):
        (WebCore::QtPlatformPlugin::plugin):
        * WebCoreSupport/QtPlatformPlugin.h:
        * examples/platformplugin/qwebkitplatformplugin.h:
        (QWebKitPlatformPlugin::~QWebKitPlatformPlugin):

2010-06-02  Raine Makelainen  <raine.makelainen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] On Maemo6 platform auto upper case and predictive text input method hints are not disabled for password field.
        https://bugs.webkit.org/show_bug.cgi?id=40062
       
        Introducing Q_WS_MAEMO_6 for Maemo6 specific code. Enabling code that sets input 
        method hints Qt::ImhNoAutoUppercase and Qt::ImhNoPredictiveText true for Maemo6.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::setInputMethodState):

2010-06-01  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix the lifecycle of notification objects
        https://bugs.webkit.org/show_bug.cgi?id=40003

        Notification objects are not tightly related to the page that created them,
        and should be decoupled from the page.
        Create one NotificationPresenter that handles all notifications.
        Add ref/deref to the notification objects when they are added/removed from
        the queue of active notifications. The same technique is used for XMLHttpRequest.
        Instead of deleting all notifications associated with a page when the page is navigated,
        delete them on a timer, using the same timeout that QSystemTrayIcon is using.
        Break up the show() method into smaller methods.
        Use OwnPtr instead of raw pointer for QSystemTrayIcon.
        Move creating the QIcon to just before showing it in the QSyetemTrayIcon.

        No new tests as this is just a refactoring. Existing notifications test cover the code.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        (QWebPagePrivate::~QWebPagePrivate):
        * Api/qwebpage_p.h:
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::notificationPresenter):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setNotificationsReceiver):
        (DumpRenderTreeSupportQt::allowNotificationForOrigin):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidClearWindowObjectInWorld):
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (WebCore::NotificationPresenterClientQt::notificationPresenter):
        (WebCore::NotificationIconWrapper::NotificationIconWrapper):
        (WebCore::NotificationIconWrapper::~NotificationIconWrapper):
        (WebCore::NotificationIconWrapper::close):
        (WebCore::NotificationPresenterClientQt::NotificationPresenterClientQt):
        (WebCore::NotificationPresenterClientQt::removeClient):
        (WebCore::NotificationPresenterClientQt::show):
        (WebCore::NotificationPresenterClientQt::displayNotification):
        (WebCore::NotificationPresenterClientQt::cancel):
        (WebCore::NotificationPresenterClientQt::notificationObjectDestroyed):
        (WebCore::NotificationPresenterClientQt::requestPermission):
        (WebCore::NotificationPresenterClientQt::sendEvent):
        (WebCore::NotificationPresenterClientQt::removeReplacedNotificationFromQueue):
        (WebCore::NotificationPresenterClientQt::dumpReplacedIdText):
        (WebCore::NotificationPresenterClientQt::dumpShowText):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        (WebCore::NotificationPresenterClientQt::addClient):

2010-06-01  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Add documentation to the QtWebkit bridge
        https://bugs.webkit.org/show_bug.cgi?id=35861

        This patch includes comprehensive qdoc documentation for the QtWebkit bridge.

        * docs/qtwebkit-bridge.qdoc: Added.
        * docs/qtwebkit.qdoc:
        * docs/webkitsnippets/doc_src_qtscript.qdoc: Added.
        * docs/webkitsnippets/qtwebkit_bridge_snippets.cpp: Added.
        (wrapInFunction):

2010-06-01  Raine Makelainen  <raine.makelainen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt]: REGRESSION(r58703): QWebSettings::JavascriptCanAccessClipboard has wrong case in "Javascript" part.
        https://bugs.webkit.org/show_bug.cgi?id=39878        

        QWebSettings::JavaScriptCanAccessClipboard reverted back to
        QWebSettings::JavascriptCanAccessClipboard. QWebSettings::DOMPasteAllowed enum removed.

        Value of QWebSettings::JavascriptCanAccessClipboard to setDOMPasteAllowed and 
        setJavaScriptCanAccessClipboard of WebCore::Settings.

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):
        * Api/qwebsettings.h:

2010-06-01  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Rename versioning .pri file to what Qt's mkspecs/features/qt.pri expects.

        * qt_webkit_version.pri: Renamed from WebKit/qt/qtwebkit_version.pri.

2010-05-31  Lyon Chen  <liachen@rim.com>

        Reviewed by Kent Tamura.

        Enum value FORWARD, BACKWARD, RIGHT, LEFT are causing macro conflicts.
        https://bugs.webkit.org/show_bug.cgi?id=35530

        Change enum EAlteration from { MOVE, EXTEND } to { AlterationMove, AlterationExtend } and enum EDirection { FORWARD, BACKWARD, RIGHT, LEFT} to { DirectionForward, DirectionBackward, DirectionRight, DirectionLeft } to avoid macro conflict, and also better coding style conformance.

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-05-31  Oswald Buddenhagen  <oswald.buddenhagen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Escape backslashes in the .pro files

        qmake in Qt 4.7 warns about unescaped backspaces and deprecates them.

        * Api/DerivedSources.pro:
        * docs/docs.pri:

2010-05-30  Lyon Chen  <liachen@rim.com>

        Reviewed by Kent Tamura.

        This is a coding style cleanup before fixing to bug 35530.

        Enum value FORWARD, BACKWARD, RIGHT, LEFT are causing macro conflicts.
        https://bugs.webkit.org/show_bug.cgi?id=35530

        * WebCoreSupport/EditorClientQt.cpp:
        (WebCore::EditorClientQt::registerCommandForUndo):
        (WebCore::EditorClientQt::handleKeyboardEvent):

2010-05-29  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Kenneth Rohde Christiansen.

        Added a WebAction to stop all pending page refresh/redirect
        requests set through the <meta http-equiv="refresh"...> tag.

        https://bugs.webkit.org/show_bug.cgi?id=29899

        * Api/qwebpage.cpp:
        (QWebPage::triggerAction):
        * Api/qwebpage.h:
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::testStopScheduledPageRefresh):

2010-05-28  Antti Koivisto  <koivisto@iki.fi>

        Reviewed by Kenneth Rohde Christiansen.
    
        Add a missing #if ENABLE(), some null checking.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):

2010-05-28  Antti Koivisto  <koivisto@iki.fi>

        Reviewed by Kenneth Rohde Christiansen.

        https://bugs.webkit.org/show_bug.cgi?id=39874
        [Qt] Make tiled backing store more configurable
    
        Make tile size, tile creation delay and tiling area dynamically configurable.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):

2010-05-28  Yael Aharon  <yael.aharon@nokia.com>

        Unreviewed build fix after r60348.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setNotificationsReceiver):

2010-05-28  Yael Aharon  <yael.aharon@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Pass all web notification layout tests
        https://bugs.webkit.org/show_bug.cgi?id=39146

        Add support for multiple simultaneous notifications.
        Add a private callback mechanism to the client for security checks. 
        Notifications are disabled if the client does not set the callbacks. 
        Support replaceId and cancel.
        Send close and display events when needed.   

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setNotificationsReceiver):
        (DumpRenderTreeSupportQt::allowNotificationForOrigin):
        (DumpRenderTreeSupportQt::setCheckPermissionFunction):
        (DumpRenderTreeSupportQt::setRequestPermissionFunction):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidClearWindowObjectInWorld):
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        (NotificationIconWrapper::NotificationIconWrapper):
        (NotificationIconWrapper::~NotificationIconWrapper):
        (NotificationPresenterClientQt::NotificationPresenterClientQt):
        (NotificationPresenterClientQt::show):
        (NotificationPresenterClientQt::cancel):
        (NotificationPresenterClientQt::notificationObjectDestroyed):
        (NotificationPresenterClientQt::requestPermission):
        (NotificationPresenterClientQt::checkPermission):
        (NotificationPresenterClientQt::allowNotificationForOrigin):
        (NotificationPresenterClientQt::clearNotificationsList):
        (NotificationPresenterClientQt::sendEvent):
        * WebCoreSupport/NotificationPresenterClientQt.h:
        (WebCore::NotificationPresenterClientQt::~NotificationPresenterClientQt):
        (WebCore::NotificationPresenterClientQt::setReceiver):

2010-05-27  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Platform plugin example
        https://bugs.webkit.org/show_bug.cgi?id=39489

        Adding a Qt platform plugin example to repository.

        * examples/platformplugin/README: Added.
        * examples/platformplugin/WebPlugin.cpp: Added.
        (Popup::populateList):
        (Popup::onItemSelected):
        (WebPopup::WebPopup):
        (WebPopup::~WebPopup):
        (WebPopup::createSingleSelectionPopup):
        (WebPopup::createMultipleSelectionPopup):
        (WebPopup::createPopup):
        (WebPopup::show):
        (WebPopup::hide):
        (WebPopup::popupClosed):
        (WebPopup::itemClicked):
        (SingleSelectionPopup::SingleSelectionPopup):
        (MultipleItemListDelegate::MultipleItemListDelegate):
        (MultipleItemListDelegate::paint):
        (MultipleSelectionPopup::MultipleSelectionPopup):
        (WebPlugin::supportsExtension):
        * examples/platformplugin/WebPlugin.h: Added.
        (Popup::Popup):
        (WebPlugin::createSelectInputMethod):
        * examples/platformplugin/platformplugin.pro: Added.
        * examples/platformplugin/qwebkitplatformplugin.h: Copied from WebKit/qt/Api/qwebkitplatformplugin.h.
        (QWebSelectData::~QWebSelectData):
        (QWebSelectData::):
        (QWebSelectMethod::~QWebSelectMethod):
        (QWebKitPlatformPlugin::~QWebKitPlatformPlugin):
        (QWebKitPlatformPlugin::):

2010-05-25  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Ojan Vafai.

        [Qt] Expose the editing behavior setting in DRT to test all editing code paths
        https://bugs.webkit.org/show_bug.cgi?id=39680

        Add support to Qt's DRT to setting the editing behavior. Patch is a follow up of
        bug 38603, which just stubbed out the Qt bits of it.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp: Implementation of editing behavior control.
        (DumpRenderTreeSupportQt::setEditingBehavior):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-05-24  Robert Hogan  <robert@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] DRT Support for removeOriginAccessWhitelistEntry

        Unskips http/tests/xmlhttprequest/origin-whitelisting-removal.html

        [Qt] DRT Support for removeOriginAccessWhitelistEntry
        https://bugs.webkit.org/show_bug.cgi?id=39565

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::removeWhiteListAccessFromOrigin):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-05-24  Darin Adler  <darin@apple.com>

        Reviewed by Eric Seidel.

        Move view-related functions from Frame to FrameView
        https://bugs.webkit.org/show_bug.cgi?id=39366

        * Api/qwebframe.cpp:
        (QWebFrame::setTextSizeMultiplier): Call functions on FrameView.
        (QWebFrame::textSizeMultiplier): Ditto.
        (QWebFrame::setZoomFactor): Ditto.
        (QWebFrame::zoomFactor): Ditto.
        * Api/qwebpage.cpp:
        (QWebPage::setContentEditable): Removed call to empty function,
        removeEditingStyleFromBodyElement.

2010-05-23  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] GraphicsLayer: The rocket animation doesn't scroll together with the page
        https://bugs.webkit.org/show_bug.cgi?id=39517

        A previous fix to this issue was overridden by the PageClientQt refactor. Reapplying.

        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::update):

2010-05-23  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Update the Symbian version for the user agent
        https://bugs.webkit.org/show_bug.cgi?id=38389

        Fixes a regression introduced by r58648. Ensure that the "Symbian" string
        is only listed one time in the User Agent string.

        In addition make an effort to align the User Agent string to already
        released WebKit based products for Symbian.

        * Api/qwebpage.cpp:
        (QWebPage::userAgentForUrl):

2010-05-21  Steve Block  <steveblock@google.com>

        Reviewed by Jeremy Orlow.

        Add DeviceOrientation and DeviceOrientationClient
        https://bugs.webkit.org/show_bug.cgi?id=39479

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate):

2010-05-21  Simon Hausmann  <simon.hausmann@nokia.com>

        Symbian build fix.

        [Qt] Updated the wins def file with one new export.

        The DRT symbols are still missing, but I can't build DRT ;(

        * symbian/bwins/QtWebKitu.def:

2010-05-20  Janne Koskinen  <janne.p.koskinen@digia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] WINSCW compile fix for qwebframe test
        https://bugs.webkit.org/show_bug.cgi?id=38722

        WINSCW cannot determine template type up the hierarchy
        to common base class.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-05-20  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        Remove unused "old style" private APIs

        These symbols were introduced after QtWebKit v4.6
        so no-one should be using them

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:

2010-05-20  Rajiv Ramanasankaran  <rajiv.ramanasankaran@nokia.com>

        Reviewed by Simon Hausmann.
        
        [Qt] QWebPage::inputMethodQuery() returns wrong values for Qt::ImCursorPosition, Qt::ImAnchorPosition
        https://bugs.webkit.org/show_bug.cgi?id=38779

        The earlier implementation was written with the assumption that in this scenario the 
        anchor position always corresponds to the START index and that the current cursor position
        always corresponds to the END index in WebKit.

        Updated the implementation of QWebPage::inputMethodQuery(Qt::ImCursorPosition) and 
        QWebPage::inputMethodQuery(Qt::ImAnchorPosition) for the case where the Editor is not in
        composition mode. In the non-composition mode, the Anchor and the Current cursor positions
        correspond to the Base and Extent position offsets in WebKit.

        Also added the auto-tests for the RIGHT to LEFT and LEFT to RIGHT selections.

        * Api/qwebpage.cpp:
        (QWebPage::inputMethodQuery): Now returning correct values for Qt::ImCursorPosition and
        Qt::ImAnchorPosition when the Editor is not in composition mode. 
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods): Added auto-tests for RIGHT to LEFT and LEFT to RIGHT selections

2010-05-20  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Skipping popup focus test for maemo
        https://bugs.webkit.org/show_bug.cgi?id=39314

        Skipping popup focus test for maemo in qwebframe auto test.

        The test method tst_QWebFrame::popupFocus() was testing popup focus AND input
        field focus. The input field focus has been removed from the method popupFocus()
        and a new test method named inputFieldFocus() has been added. Finally the test 
        method popupFocus() has been skipped for maemo.

        * tests/qwebframe/tst_qwebframe.cpp:

2010-05-19  Jedrzej Nowacki  <jedrzej.nowacki@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        Crash fix in the HistoryController.

        The problem was casued by a documented feature of the QWebFrame::setHtml().
        The method doesn't affect a browsing history (doesn't create a HistoryItem instance), so
        m_currentItem and m_previousItem are not set.

        A null check was added.

        [Qt] The QWebPage crashes on history.pushState().
        https://bugs.webkit.org/show_bug.cgi?id=38840

        * tests/qwebhistory/tst_qwebhistory.cpp:
        (tst_QWebHistory::popPushState_data):
        (tst_QWebHistory::popPushState):

2010-05-19  Antti Koivisto  <koivisto@iki.fi>

        Rubber-stamped by Kenneth Rohde Christiansen.

        [Qt] TiledBackingStore updates broken when not using resizesToContents mode
        https://bugs.webkit.org/show_bug.cgi?id=39359
        
        Put the back logic that was lost in refactoring.

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::visibleRectForTiledBackingStore):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::graphicsItemVisibleRect):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::PageClientQWidget::viewResizesToContentsEnabled):
        (WebCore::PageClientQGraphicsWidget::viewResizesToContentsEnabled):

2010-05-19  Simon Hausmann  <simon.hausmann@nokia.com>

        Symbian build fix.

        [Qt] Updated the def file with exports needed for DumpRenderTree.

        * symbian/eabi/QtWebKitu.def:

2010-05-19  Denis Dzyubenko <denis.dzyubenko@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        When creating the UA, do not sassmue the language code is a
        two-letter iso639-1 code.

        * Api/qwebpage.cpp:
        (QWebPage::userAgentForUrl):

2010-05-18  Antti Koivisto  <koivisto@iki.fi>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Move visible rect calculation from QGraphicsWebViewPrivate to PageClientQGraphicsWidget
        https://bugs.webkit.org/show_bug.cgi?id=39294

        * Api/qgraphicswebview.cpp:
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::graphicsItemVisibleRect):
        * WebCoreSupport/PageClientQt.h:

2010-05-18  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Symbian build fix.

        [Qt] Updated the def file with new exports after r59335.

        * symbian/eabi/QtWebKitu.def:

2010-05-18  Jedrzej Nowacki  <jedrzej.nowacki@nokia.com>

        Reviewed by Simon Hausmann.

        Fix QWebHistory serialization.

        Regression was caused by bug 33224. The streaming function
        should generate a documentSequenceNumber for all loaded values.

        [Qt] tst_QWebHistory::serialize_2() fails
        https://bugs.webkit.org/show_bug.cgi?id=37322

        * Api/qwebhistory.cpp:
        (operator>>):

2010-05-17  Tasuku Suzuki  <tasuku.suzuki@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Fix compilation with QT_NO_COMBOBOX
        https://bugs.webkit.org/show_bug.cgi?id=38324

        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createSelectPopup):
        * WebCoreSupport/QtFallbackWebPopup.cpp:
        * WebCoreSupport/QtFallbackWebPopup.h:

2010-05-17  Antti Koivisto  <koivisto@iki.fi>

        Reviewed by Kenneth Rohde Christiansen.

        https://bugs.webkit.org/show_bug.cgi?id=39218
        [Qt] Tiled backing store tiles sometimes flicker when exiting a zoom animation
        
        Tiles sometimes flicker when exiting a zoom animation. This happens as a result
        of the visible rectangle being momentarily out of sync.
        
        Instead of updating the visible rect by explicitly setting it, pull it through
        the client and recompute in WebKit the level.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::paint):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::visibleRectForTiledBackingStore):
        * WebCoreSupport/ChromeClientQt.h:

2010-05-16  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Unskip fast/loader/main-document-url-for-non-http-loads.html

        Fix FrameLoaderClientQt.cpp to print relative filename paths correctly.

        Move qt_* functions in FrameLoaderClientQt, EditorClientQt, and NotificationPresenterClientQt
        to DumpRenderTreeSupportQt. Create new functions to replace them in DumpRenderTreeSupportQt.
        Support for the old function names is retained until confirmed that no one uses them outside
        QtWebKit.

        https://bugs.webkit.org/show_bug.cgi?id=38867

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::dumpFrameLoader):
        (DumpRenderTreeSupportQt::dumpResourceLoadCallbacks):
        (DumpRenderTreeSupportQt::dumpResourceLoadCallbacksPath):
        (DumpRenderTreeSupportQt::setWillSendRequestReturnsNullOnRedirect):
        (DumpRenderTreeSupportQt::setWillSendRequestReturnsNull):
        (DumpRenderTreeSupportQt::setWillSendRequestClearHeaders):
        (DumpRenderTreeSupportQt::dumpEditingCallbacks):
        (DumpRenderTreeSupportQt::dumpSetAcceptsEditing):
        (DumpRenderTreeSupportQt::dumpNotification):
        (qt_dump_frame_loader):
        (qt_dump_resource_load_callbacks):
        (qt_dump_resource_load_callbacks_path):
        (qt_set_will_send_request_returns_null_on_redirect):
        (qt_set_will_send_request_returns_null):
        (qt_set_will_send_request_clear_headers):
        (qt_dump_editing_callbacks):
        (qt_dump_set_accepts_editing):
        (qt_dump_notification):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:
        * WebCoreSupport/EditorClientQt.cpp:
        * WebCoreSupport/EditorClientQt.h:
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (drtDescriptionSuitableForTestResult):
        * WebCoreSupport/FrameLoaderClientQt.h:
        * WebCoreSupport/NotificationPresenterClientQt.cpp:
        * WebCoreSupport/NotificationPresenterClientQt.h:

2010-05-16  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt]Unskip security/set-form-autocomplete-attribute.html

        Add support for layoutTestController.elementDoesAutoCompleteForElementWithId().

        https://bugs.webkit.org/show_bug.cgi?id=38859

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::elementDoesAutoCompleteForElementWithId):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-05-16  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Prospective Qt/Mac build fix.

        The friend declaration of QGraphicsWidget confuses gcc and thinks that it's an implicit
        forward declaration, moving the class into the WebCore namespace (WebCore::QGraphicsWidget).

        The declaration seems useless as no method of QGraphicsWidget is going to call anything
        in this class.

        * WebCoreSupport/PageClientQt.h:

2010-05-15  Charles Wei  <charles.wei@torchmobile.com.cn>

        Reviewed by Simon Hausmann.

        This patch fixes the build failure of WebKit on Linux for Qt4.5
        https://bugs.webkig.org/show_bug.cgi?id=39108

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::syncLayers):
        * WebCoreSupport/QtPlatformPlugin.cpp:

2010-05-14  Kent Hansen <kent.hansen@nokia.com>, Jocelyn Turcotte <jocelyn.turcotte@nokia.com>, Tor Arne Vestbø <tor.arne.vestbo@nokia.com>, Henry Haverinen <henry.haverinen@nokia.com>, Jedrzej Nowacki <jedrzej.nowacki@nokia.com>, Andreas Kling <andreas.kling@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Merge overhaul of the QtWebKit API documentation

        Numerous improvements in wording, qdoc warning fixes and
        clarifications, done in a team work effort.

        No functional changes.

        * Api/qwebdatabase.cpp:
        * Api/qwebelement.cpp:
        * Api/qwebframe.cpp:
        * Api/qwebhistoryinterface.cpp:
        * Api/qwebinspector.cpp:
        * Api/qwebkitversion.cpp:
        * Api/qwebpage.cpp:
        * Api/qwebpluginfactory.cpp:
        * Api/qwebsecurityorigin.cpp:
        * Api/qwebsettings.cpp:
        * Api/qwebsettings.h:
        * docs/qtwebkit.qdoc:
        * docs/webkitsnippets/qtwebkit_qwebinspector_snippet.cpp:
        (wrapInFunction):
        * docs/webkitsnippets/webelement/main.cpp:
        (findButtonAndClick):
        (autocomplete1):
        (autocomplete2):
        (main):

2010-05-14  Martin Smith  <msmith@trolltech.com>

        Reviewed by Simon Hausmann.

        Documentation: Fix overview grouping.

        * docs/qtwebkit.qdoc:

2010-05-14  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Laszlo Gombos.

        [QT] Update the Symbian version for the user agent
        https://bugs.webkit.org/show_bug.cgi?id=38389

        Update the user agent for Symbian^2 to Symbian^4

        * Api/qwebpage.cpp:
        (QWebPage::userAgentForUrl):

2010-05-14  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Simon Hausmann.

        Implemented createJavaAppletWidget to activate Java applet support.

        https://bugs.webkit.org/show_bug.cgi?id=33044

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::createJavaAppletWidget):

2010-05-13  Simon Hausmann  <hausmann@webkit.org>

        Symbian build fix.

        [Qt] Updated the def file with new exports.

        * symbian/eabi/QtWebKitu.def: Add missing gc symbol for QtLauncher

2010-05-13  Simon Hausmann  <simon.hausmann@nokia.com>

        Symbian build fix.

        [Qt] Updated the def file with new exports.

        * symbian/eabi/QtWebKitu.def:

2010-05-11  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] tst_QWebPage::inputMethods failing on Maemo5
        https://bugs.webkit.org/show_bug.cgi?id=38685

        Check if the SIP (Software Input Panel) is triggered, which normally
        happens on mobile platforms, when a user input form receives a mouse click.

        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::inputMethods):

2010-05-11  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] REGRESSION(r58497) tst_QGraphicsWebView::crashOnViewlessWebPages() is failing
        https://bugs.webkit.org/show_bug.cgi?id=38655

        Fix double free by moving the connect till after the resize.

        The bug is causes by the fact that a resize of an empty page causes a
        layout, thus deleting the qgraphicswebview before setHtml is called,
        which then deletes it again, causing a double free.

        * tests/qgraphicswebview/tst_qgraphicswebview.cpp:
        (tst_QGraphicsWebView::crashOnViewlessWebPages):

2010-05-12  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] Regression(r59152): QGraphicsPageClient is not forwarding scroll and update events to view
        https://bugs.webkit.org/show_bug.cgi?id=39016

        Some forward calls got lost during the refatory.

        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::scroll):
        (WebCore::PageClientQGraphicsWidget::update):

2010-05-13  Antonio Gomes  <tonikitoo@webkit.org>, Yi Shen <yi.4.shen@nokia.com>

        Reviewed by Kenneth Christiansen.

        [Qt] Add LayoutTestController interface: computedStyleIncludingVisitedInfo
        https://bugs.webkit.org/show_bug.cgi?id=37759

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::markerTextForListItem):
        (DumpRenderTreeSupportQt::computedStyleIncludingVisitedInfo):
        * WebCoreSupport/DumpRenderTreeSupportQt.h:

2010-05-12  Joe Ligman  <joseph.ligman@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Nested overflow div does not scroll
        https://bugs.webkit.org/show_bug.cgi?id=38641

        Modify qtwebkit_webframe_scrollOverflow, if the current node's render layer
        does not scroll it will try and scroll the parent's render layer. Also export
        qtwebkit_webframe_scrollOverflow so we can use it independently of
        qtwebkit_webframe_scrollRecursively

        * Api/qwebframe.cpp:
        (qtwebkit_webframe_scrollOverflow):
        (qtwebkit_webframe_scrollRecursively):

2010-05-12  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Kenneth Christiansen.

        [Qt] Remove the unneeded check for QWidgetPageClient @QGraphicsWebView::detachCurrentPage
        https://bugs.webkit.org/show_bug.cgi?id=38989

        Reasons:
        - There is no need to check for a QWidgetPageClient-based in QGraphicsWebView.
        - The client has always to be deleted anyways.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::detachPage):

2010-05-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Laszlo Gombos.

        Add a comment to explain the web inspector dynamic property url hook
        and that it's there on purpose :)

        https://bugs.webkit.org/show_bug.cgi?id=35340

        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::openInspectorFrontend):

2010-05-11  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Kenneth Christiansen.

        [Qt] Implement a detachCurrentPage method for QGraphicsWebView and QWebView
        https://bugs.webkit.org/show_bug.cgi?id=38939

        unsetPageIfExists method was renamed to detachCurrentPage method and is now responsible
        for doing all the unset logic of page and pageClient references previously done by
        the Q{Graphics}WebView destructor(s).

        It is a code clean up, no behaviour change.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::~QGraphicsWebViewPrivate):
        (QGraphicsWebView::~QGraphicsWebView):
        (QGraphicsWebViewPrivate::detachCurrentPage):
        (QGraphicsWebView::setPage):
        * Api/qwebview.cpp:
        (QWebViewPrivate::~QWebViewPrivate):
        (QWebView::~QWebView):
        (QWebViewPrivate::detachCurrentPage):
        (QWebView::setPage):

2010-05-11  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Kenneth Christiansen.

        [Qt] emit initialLayoutCompleted signal from FrameLoaderClientQt::dispatchDidFirstVisuallyNonEmptyLayout
        https://bugs.webkit.org/show_bug.cgi?id=38921

        Emit initialLayoutCompleted signal from FrameLoaderClientQt::dispatchDidFirstVisuallyNonEmptyLayout
        instead of FrameLoaderClientQt::dispatchDidFirstLayout , because the former ensures that a
        visual content layed out on the frame.

        It matches to QWebFrame::initialLayoutCompleted signal documentation at:

        "... This is the first time you will see contents displayed on the frame ..."

        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::dispatchDidFirstLayout):
        (WebCore::FrameLoaderClientQt::dispatchDidFirstVisuallyNonEmptyLayout):

2010-05-11  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        Add PageClientQGraphicsWidget specific implementation.
        QGraphicsWebViewPrivate doesn't inherit QWebPageClient anymore
        and the needed functions were moved to this new PageClient class,
        including Tiling and Accelerated Composite specific ones.

        [Qt] PageClientQt specific implementation for QGraphicsWidget
        https://bugs.webkit.org/show_bug.cgi?id=37866

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::QGraphicsWebViewPrivate):
        (QGraphicsWebViewPrivate::~QGraphicsWebViewPrivate):
        (QGraphicsWebViewPrivate::syncLayers):
        (QGraphicsWebViewPrivate::_q_scaleChanged):
        (QGraphicsWebView::event):
        (QGraphicsWebView::setPage):
        (QGraphicsWebView::updateGeometry):
        (QGraphicsWebView::setGeometry):
        (QGraphicsWebView::setResizesToContents):
        * WebCoreSupport/PageClientQt.cpp:
        (WebCore::PageClientQGraphicsWidget::~PageClientQGraphicsWidget):
        (WebCore::PageClientQGraphicsWidget::scroll):
        (WebCore::PageClientQGraphicsWidget::update):
        (WebCore::PageClientQGraphicsWidget::createOrDeleteOverlay):
        (WebCore::PageClientQGraphicsWidget::syncLayers):
        (WebCore::PageClientQGraphicsWidget::setRootGraphicsLayer):
        (WebCore::PageClientQGraphicsWidget::markForSync):
        (WebCore::PageClientQGraphicsWidget::updateCompositingScrollPosition):
        (WebCore::PageClientQGraphicsWidget::updateTiledBackingStoreScale):
        (WebCore::PageClientQGraphicsWidget::setInputMethodEnabled):
        (WebCore::PageClientQGraphicsWidget::inputMethodEnabled):
        (WebCore::PageClientQGraphicsWidget::setInputMethodHint):
        (WebCore::PageClientQGraphicsWidget::cursor):
        (WebCore::PageClientQGraphicsWidget::updateCursor):
        (WebCore::PageClientQGraphicsWidget::palette):
        (WebCore::PageClientQGraphicsWidget::screenNumber):
        (WebCore::PageClientQGraphicsWidget::ownerWidget):
        (WebCore::PageClientQGraphicsWidget::geometryRelativeToOwnerWidget):
        (WebCore::PageClientQGraphicsWidget::pluginParent):
        (WebCore::PageClientQGraphicsWidget::style):
        * WebCoreSupport/PageClientQt.h:
        (WebCore::QGraphicsItemOverlay::page):
        (WebCore::QGraphicsItemOverlay::boundingRect):
        (WebCore::QGraphicsItemOverlay::paint):
        (WebCore::QGraphicsItemOverlay::prepareGraphicsItemGeometryChange):
        (WebCore::PageClientQGraphicsWidget::PageClientQGraphicsWidget):
        (WebCore::PageClientQGraphicsWidget::isQWidgetClient):
        (WebCore::PageClientQGraphicsWidget::allowsAcceleratedCompositing):
        (WebCore::PageClientQGraphicsWidget::):

2010-05-09  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Crash in QGraphicsWebViewPrivate::~QGraphicsWebViewPrivate when animation were used
        https://bugs.webkit.org/show_bug.cgi?id=38574

        The fix uses a QWeakPointer for rootGraphicsLayer, protecting from a crash in case the layer is deleted before the QGraphicsWebView.

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::QGraphicsWebViewPrivate):
        (QGraphicsWebViewPrivate::~QGraphicsWebViewPrivate):
        (QGraphicsWebViewPrivate::setRootGraphicsLayer):
        (QGraphicsWebViewPrivate::updateCompositingScrollPosition):

2010-05-08  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Simon Hausmann.

        [Qt] Platform plugin
        https://bugs.webkit.org/show_bug.cgi?id=38438

        Select popups delegate private API. To provide select popup delegates
        a plugin that implements QWebKitPlatformPlugin must be found
        in QCoreApplication::libraryPaths.

        * Api/headers.pri:
        * Api/qwebkitplatformplugin.h: Added.
        (QWebSelectData::~QWebSelectData):
        (QWebSelectData::):
        (QWebSelectMethod::~QWebSelectMethod):
        (QWebKitPlatformPlugin::~QWebKitPlatformPlugin):
        (QWebKitPlatformPlugin::):
        * WebCoreSupport/ChromeClientQt.cpp:
        (WebCore::ChromeClientQt::createSelectPopup):
        * WebCoreSupport/ChromeClientQt.h:
        * WebCoreSupport/QtPlatformPlugin.cpp: Added.
        (WebCore::SelectData::SelectData):
        (WebCore::SelectData::itemText):
        (WebCore::SelectData::itemToolTip):
        (WebCore::SelectData::itemIsEnabled):
        (WebCore::SelectData::itemCount):
        (WebCore::SelectData::itemIsSelected):
        (WebCore::SelectData::multiple):
        (WebCore::SelectData::itemType):
        (WebCore::SelectInputMethodWrapper::SelectInputMethodWrapper):
        (WebCore::SelectInputMethodWrapper::show):
        (WebCore::SelectInputMethodWrapper::hide):
        (WebCore::SelectInputMethodWrapper::selectItem):
        (WebCore::SelectInputMethodWrapper::didHide):
        (WebCore::getPluginObject):
        (WebCore::QtPlatformPlugin::~QtPlatformPlugin):
        (WebCore::QtPlatformPlugin::plugin):
        (WebCore::QtPlatformPlugin::createSelectInputMethod):
        * WebCoreSupport/QtPlatformPlugin.h: Added.
        (WebCore::QtPlatformPlugin::QtPlatformPlugin):

2010-05-08  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Document a limitation of QWebPage::linkClicked
        https://bugs.webkit.org/show_bug.cgi?id=37694

        * Api/qwebpage.cpp:

2010-05-02  Simon Hausmann  <hausmann@webkit.org>

        [Qt] Unreviewed, QtWebKit versioning for the trunk.

        The next version is going to be 2.1, based off the trunk.

        * Api/qwebkitglobal.h:

2010-05-07  Simon Hausmann  <simon.hausmann@nokia.com>

        Symbian build fix.

        [Qt] Updated the def file with absent exports.

        * symbian/eabi/QtWebKitu.def:

2010-05-06  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Patch to fix compilation warnings for QGraphicsWebView
        https://bugs.webkit.org/show_bug.cgi?id=37428

        Patch by Alexis Menard <alexis.menard@nokia.com>

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebView::itemChange):

2010-05-06  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Replace public inspector url with private property for QtLauncher
        https://bugs.webkit.org/show_bug.cgi?id=35340

        Replace the public API with a private dynamic property until this feature
        is ready.

        * Api/qwebsettings.cpp:
        * Api/qwebsettings.h:
        * WebCoreSupport/InspectorClientQt.cpp:
        (WebCore::InspectorClientQt::openInspectorFrontend):
        * symbian/bwins/QtWebKitu.def:
        * symbian/eabi/QtWebKitu.def:

2010-05-04  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebPage viewMode property
        https://bugs.webkit.org/show_bug.cgi?id=38119

        Rename the property from wrt_viewMode to _q_viewMode.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::viewModes):

2010-05-04  Simon Hausmann  <simon.hausmann@nokia.com>

        Rubber-stamped by Tor Arne Vestbø.

        [Qt] Preserve binary compatibility with qtwebkit-2.0 branch

        Moved the WebGL attribute in QWebSettings to the end of the enum,
        to ensure that the numeric values of the enum values following it
        are the same as in the release branch.

        * Api/qwebsettings.h:

2010-05-03  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Expose HTMLTokenizer yielding parameters
        https://bugs.webkit.org/show_bug.cgi?id=37023

        Enables to set TimeDelay and ChunkSize for 
        HTMLTokenizer.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):

2010-05-03  Abhishek Arya  <inferno@chromium.org>

        Reviewed by Adam Barth.

        Add support for controlling clipboard access from javascript.
        Clipboard access from javascript is disabled by default.
        https://bugs.webkit.org/show_bug.cgi?id=27751

        * Api/qwebsettings.cpp:
        (QWebSettingsPrivate::apply):
        * Api/qwebsettings.h:

2010-05-03  Jens Alfke  <snej@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add "willSendSubmitEvent" hook to WebFrameClient and FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=38397

        No tests (functionality is exposed only through native WebKit API.)

        * WebCoreSupport/FrameLoaderClientQt.h:
        (WebCore::FrameLoaderClientQt::dispatchWillSendSubmitEvent):

2010-05-03  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Prune dead code in QWebPage

        * Api/qwebpage.cpp:

2010-05-02  Tasuku Suzuki  <tasuku.suzuki@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix compilation with QT_NO_BEARERMANAGEMENT
        https://bugs.webkit.org/show_bug.cgi?id=38324

        * Api/qwebsettings.cpp:

2010-04-29  Janne Koskinen  <janne.p.koskinen@digia.com>

        Reviewed by Simon Hausmann.

        [Qt] QtWebKit versioning added
        https://bugs.webkit.org/show_bug.cgi?id=37207

        QtWebkit releases separated from Qt release cycle.

        * qtwebkit_version.pri: Added.

2010-05-02  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebPage::userAgentForUrl is terrible API
        https://bugs.webkit.org/show_bug.cgi?id=33875

        Simplify the creation of the user agent string to avoid some
        overhead for each loaded url.

        The static part of the user agent is cached so it only have
        to be made once.
        This creation has been made in order to simplify the code.

        The two variable: application name and current language are
        set dynamically when needed.
        The default locale is non longer created if the widget locale
        is used.

        * Api/qwebpage.cpp:
        (QWebPage::userAgentForUrl):
        * tests/qwebpage/tst_qwebpage.cpp:
        (tst_QWebPage::userAgentApplicationName):
        (tst_QWebPage::userAgentLocaleChange):

2010-05-02  Noam Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] GraphicsLayer: animation incorrect when scrolling
        https://bugs.webkit.org/show_bug.cgi?id=38371

        This is a regression introduced with the invalidate-on-scroll code path, that uses QGraphicsWebViewPrivate::update()
        instead of QGraphicsWebViewPrivate::scroll(). The patch makes sure that the scrolling position is correct on
        each content update - this shouldn't have a performance impact - the only overhead is an additional value-test on each update.

        Tested by http://www.the-art-of-web.com/css/css-animation/

        * Api/qgraphicswebview.cpp:
        (QGraphicsWebViewPrivate::update):

2010-05-01  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Add smart paste support

        https://bugs.webkit.org/show_bug.cgi?id=38136

        * Api/qwebpage.cpp:
        (QWebPagePrivate::QWebPagePrivate): Enable smart paste support by default.

2010-04-29  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Reinstate qt_drt_ symbol exports as of QtWebKit 4.6 release
        https://bugs.webkit.org/show_bug.cgi?id=38304

        This change provides backward compatibility with some previously
        exported private symbols. No new functionality introduced.

        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (qt_resumeActiveDOMObjects):
        (qt_suspendActiveDOMObjects):
        (qt_drt_clearFrameName):
        (qt_drt_garbageCollector_collect):
        (qt_drt_garbageCollector_collectOnAlternateThread):
        (qt_drt_javaScriptObjectsCount):
        (qt_drt_numberOfActiveAnimations):
        (qt_drt_overwritePluginDirectories):
        (qt_drt_pauseAnimation):
        (qt_drt_pauseTransitionOfProperty):
        (qt_drt_resetOriginAccessWhiteLists):
        (qt_drt_run):
        (qt_drt_setJavaScriptProfilingEnabled):
        (qt_drt_whiteListAccessFromOrigin):
        (qt_webpage_groupName):
        (qt_webpage_setGroupName):

2010-04-29  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        Get rid of forceLayout() on FrameView
        https://bugs.webkit.org/show_bug.cgi?id=38199

        The function FrameView::forceLayout() is missleading
        because it does not actually force the layout, the call is
        equivalent to layout().

        This patch replace the call to forceLayout() by layout() in Qt
        to avoid the misunderstanding/improve readability.

        * Api/qwebpage.cpp:
        (QWebPagePrivate::dynamicPropertyChangeEvent):
        (QWebPage::setPreferredContentsSize):
        * WebCoreSupport/DumpRenderTreeSupportQt.cpp:
        (DumpRenderTreeSupportQt::setMediaType):
        * WebCoreSupport/FrameLoaderClientQt.cpp:
        (WebCore::FrameLoaderClientQt::forceLayout):

2010-04-29  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Simon Hausmann.

        Remove unnecessary call to FrameView::forceLayout() in setViewportSize()
        This prevents a double relayout on resize.

        https://bugs.webkit.org/show_bug.cgi?id=38179

        Thanks to Nate Whetsell <nathan.whetsell@gmail.com> for spotting this.

        * Api/qwebpage.cpp:
        (QWebPage::setViewportSize):

2010-04-29  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbø.

        [Qt] REGRESSION(r57982): tst_qwebpage::showModalDialog() crashes
        https://bugs.webkit.org/show_bug.cgi?id=38314

        Make sure that there's always a main frame when returning from createWindow()
